###########################################################################################
#											  #
#	Program:		CRTacticalCube.py					  #
# 	Programmer:		Bryan Cook						  #
#											  #
###########################################################################################
import App
import GlobalPropertyTemplates
# Setting up local templates.
#################################################
BorgTacticalCube = App.ShipProperty_Create("BorgTacticalCube")

BorgTacticalCube.SetGenus(0)
BorgTacticalCube.SetSpecies(900)
BorgTacticalCube.SetMass(333333333.333334)
BorgTacticalCube.SetRotationalInertia(5000000000000000.000000)
BorgTacticalCube.SetShipName("BorgTacticalCube")
BorgTacticalCube.SetModelFilename("data/Models/Ships/BorgTacticalCube/BorgTacticalCube.nif")
BorgTacticalCube.SetDamageResolution(15.000000)
BorgTacticalCube.SetAffiliation(0)
BorgTacticalCube.SetStationary(0)
BorgTacticalCube.SetAIString("BorgAttack")
BorgTacticalCube.SetDeathExplosionSound("g_lsBigDeathExplosions")
App.g_kModelPropertyManager.RegisterLocalTemplate(BorgTacticalCube)
#################################################
Hull = App.HullProperty_Create("Hull")

Hull.SetMaxCondition(2000000.000000)
Hull.SetCritical(1)
Hull.SetTargetable(0)
Hull.SetPrimary(1)
Hull.SetPosition(0.000000, 0.000000, 0.000000)
Hull.SetPosition2D(64.000000, 60.000000)
Hull.SetRepairComplexity(17.000000)
Hull.SetDisabledPercentage(0.000000)
Hull.SetRadius(12.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(Hull)
#################################################
CorticalNode1 = App.PowerProperty_Create("Cortical Node 1")

CorticalNode1.SetMaxCondition(500000.000000)
CorticalNode1.SetCritical(0)
CorticalNode1.SetTargetable(1)
CorticalNode1.SetPrimary(1)
CorticalNode1.SetPosition(0.000000, 0.000000, 0.000000)
CorticalNode1.SetPosition2D(64.000000, 85.000000)
CorticalNode1.SetRepairComplexity(22.000000)
CorticalNode1.SetDisabledPercentage(0.500000)
CorticalNode1.SetRadius(16.094421)
CorticalNode1.SetMainBatteryLimit(10000.000000)
CorticalNode1.SetBackupBatteryLimit(10000.000000)
CorticalNode1.SetMainConduitCapacity(70000.000000)
CorticalNode1.SetBackupConduitCapacity(20000.000000)
CorticalNode1.SetPowerOutput(20000.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(CorticalNode1)
#################################################
CorticalNode2 = App.PowerProperty_Create("Cortical Node 2")

CorticalNode2.SetMaxCondition(500000.000000)
CorticalNode2.SetCritical(1)
CorticalNode2.SetTargetable(1)
CorticalNode2.SetPrimary(1)
CorticalNode2.SetPosition(0.000000, 0.000000, 0.000000)
CorticalNode2.SetPosition2D(64.000000, 85.000000)
CorticalNode2.SetRepairComplexity(22.000000)
CorticalNode2.SetDisabledPercentage(0.500000)
CorticalNode2.SetRadius(8.047210)
CorticalNode2.SetMainBatteryLimit(10000.000000)
CorticalNode2.SetBackupBatteryLimit(10000.000000)
CorticalNode2.SetMainConduitCapacity(70000.000000)
CorticalNode2.SetBackupConduitCapacity(20000.000000)
CorticalNode2.SetPowerOutput(20000.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(CorticalNode2)
#################################################
ImpulseEngines = App.ImpulseEngineProperty_Create("Impulse Engines")

ImpulseEngines.SetMaxCondition(2000000.000000)
ImpulseEngines.SetCritical(0)
ImpulseEngines.SetTargetable(0)
ImpulseEngines.SetPrimary(1)
ImpulseEngines.SetPosition(0.000000, 0.000000, 0.000000)
ImpulseEngines.SetPosition2D(0.000000, 0.000000)
ImpulseEngines.SetRepairComplexity(1.000000)
ImpulseEngines.SetDisabledPercentage(0.500000)
ImpulseEngines.SetRadius(0.250000)
ImpulseEngines.SetNormalPowerPerSecond(500.000000)
ImpulseEngines.SetMaxAccel(25.395752)
ImpulseEngines.SetMaxAngularAccel(0.600000)
ImpulseEngines.SetMaxAngularVelocity(0.750000)
ImpulseEngines.SetMaxSpeed(12.697876)
ImpulseEngines.SetEngineSound("Borg Engines2")
App.g_kModelPropertyManager.RegisterLocalTemplate(ImpulseEngines)
#################################################
PortImpulse = App.EngineProperty_Create("Port Impulse")

PortImpulse.SetMaxCondition(250000.000000)
PortImpulse.SetCritical(0)
PortImpulse.SetTargetable(1)
PortImpulse.SetPrimary(1)
PortImpulse.SetPosition(-8.765148, -13.885383, 1.725101)
PortImpulse.SetPosition2D(0.000000, 0.000000)
PortImpulse.SetRepairComplexity(0.500000)
PortImpulse.SetDisabledPercentage(0.500000)
PortImpulse.SetRadius(1.450000)
PortImpulse.SetEngineType(PortImpulse.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(PortImpulse)
#################################################
StarImpulse = App.EngineProperty_Create("Star Impulse")

StarImpulse.SetMaxCondition(250000.000000)
StarImpulse.SetCritical(0)
StarImpulse.SetTargetable(1)
StarImpulse.SetPrimary(1)
StarImpulse.SetPosition(8.765148, -13.885383, 1.725101)
StarImpulse.SetPosition2D(0.000000, 0.000000)
StarImpulse.SetRepairComplexity(0.500000)
StarImpulse.SetDisabledPercentage(0.500000)
StarImpulse.SetRadius(1.450000)
StarImpulse.SetEngineType(StarImpulse.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(StarImpulse)
#################################################
CenterImpulse = App.EngineProperty_Create("Center Impulse")

CenterImpulse.SetMaxCondition(250000.000000)
CenterImpulse.SetCritical(0)
CenterImpulse.SetTargetable(1)
CenterImpulse.SetPrimary(1)
CenterImpulse.SetPosition(0.000000, -13.885383, -7.889422)
CenterImpulse.SetPosition2D(0.000000, 0.000000)
CenterImpulse.SetRepairComplexity(0.500000)
CenterImpulse.SetDisabledPercentage(0.500000)
CenterImpulse.SetRadius(1.450000)
CenterImpulse.SetEngineType(CenterImpulse.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(CenterImpulse)
#################################################
TranswarpEngines = App.WarpEngineProperty_Create("Transwarp Engines")

TranswarpEngines.SetMaxCondition(2000000.000000)
TranswarpEngines.SetCritical(0)
TranswarpEngines.SetTargetable(0)
TranswarpEngines.SetPrimary(1)
TranswarpEngines.SetPosition(0.000000, 0.000000, 0.000000)
TranswarpEngines.SetPosition2D(0.000000, 0.000000)
TranswarpEngines.SetRepairComplexity(0.750000)
TranswarpEngines.SetDisabledPercentage(0.500000)
TranswarpEngines.SetRadius(0.250000)
TranswarpEngines.SetNormalPowerPerSecond(500.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(TranswarpEngines)
#################################################
PortTranswarp1 = App.EngineProperty_Create("Port Transwarp1")

PortTranswarp1.SetMaxCondition(500000.000000)
PortTranswarp1.SetCritical(0)
PortTranswarp1.SetTargetable(1)
PortTranswarp1.SetPrimary(1)
PortTranswarp1.SetPosition(-6.871687, -14.498991, 7.405485)
PortTranswarp1.SetPosition2D(0.000000, 0.000000)
PortTranswarp1.SetRepairComplexity(0.750000)
PortTranswarp1.SetDisabledPercentage(0.500000)
PortTranswarp1.SetRadius(1.250000)
PortTranswarp1.SetEngineType(PortTranswarp1.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(PortTranswarp1)
#################################################
PortTranswarp2 = App.EngineProperty_Create("Port Transwarp2")

PortTranswarp2.SetMaxCondition(500000.000000)
PortTranswarp2.SetCritical(0)
PortTranswarp2.SetTargetable(1)
PortTranswarp2.SetPrimary(1)
PortTranswarp2.SetPosition(-6.871687, -14.498991, -7.405485)
PortTranswarp2.SetPosition2D(0.000000, 0.000000)
PortTranswarp2.SetRepairComplexity(0.750000)
PortTranswarp2.SetDisabledPercentage(0.500000)
PortTranswarp2.SetRadius(1.250000)
PortTranswarp2.SetEngineType(PortTranswarp2.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(PortTranswarp2)
#################################################
StarTranswarp1 = App.EngineProperty_Create("Star Transwarp1")

StarTranswarp1.SetMaxCondition(500000.000000)
StarTranswarp1.SetCritical(0)
StarTranswarp1.SetTargetable(1)
StarTranswarp1.SetPrimary(1)
StarTranswarp1.SetPosition(6.871687, -14.498991, 7.405485)
StarTranswarp1.SetPosition2D(0.000000, 0.000000)
StarTranswarp1.SetRepairComplexity(0.750000)
StarTranswarp1.SetDisabledPercentage(0.500000)
StarTranswarp1.SetRadius(1.250000)
StarTranswarp1.SetEngineType(StarTranswarp1.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(StarTranswarp1)
#################################################
StarTranswarp2 = App.EngineProperty_Create("Star Transwarp2")

StarTranswarp2.SetMaxCondition(500000.000000)
StarTranswarp2.SetCritical(0)
StarTranswarp2.SetTargetable(1)
StarTranswarp2.SetPrimary(1)
StarTranswarp2.SetPosition(6.871687, -14.498991, -7.405485)
StarTranswarp2.SetPosition2D(0.000000, 0.000000)
StarTranswarp2.SetRepairComplexity(0.750000)
StarTranswarp2.SetDisabledPercentage(0.500000)
StarTranswarp2.SetRadius(1.250000)
StarTranswarp2.SetEngineType(StarTranswarp2.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(StarTranswarp2)
#################################################
ShieldGenerator = App.ShieldProperty_Create("Shield Generator")

ShieldGenerator.SetMaxCondition(2000000.000000)
ShieldGenerator.SetCritical(0)
ShieldGenerator.SetTargetable(1)
ShieldGenerator.SetPrimary(1)
ShieldGenerator.SetPosition(0.000000, 0.000000, 0.000000)
ShieldGenerator.SetPosition2D(0.000000, 0.000000)
ShieldGenerator.SetRepairComplexity(17.000000)
ShieldGenerator.SetDisabledPercentage(0.500000)
ShieldGenerator.SetRadius(13.412018)
ShieldGenerator.SetNormalPowerPerSecond(500.000000)
ShieldGeneratorShieldGlowColor = App.TGColorA()
ShieldGeneratorShieldGlowColor.SetRGBA(0.000000, 0.000000, 0.000000, 0.000000)
ShieldGenerator.SetShieldGlowColor(ShieldGeneratorShieldGlowColor)
ShieldGenerator.SetShieldGlowDecay(1.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.FRONT_SHIELDS, 107692.307692)
ShieldGenerator.SetMaxShields(ShieldGenerator.REAR_SHIELDS, 107692.307692)
ShieldGenerator.SetMaxShields(ShieldGenerator.TOP_SHIELDS, 107692.307692)
ShieldGenerator.SetMaxShields(ShieldGenerator.BOTTOM_SHIELDS, 107692.307692)
ShieldGenerator.SetMaxShields(ShieldGenerator.LEFT_SHIELDS, 107692.307692)
ShieldGenerator.SetMaxShields(ShieldGenerator.RIGHT_SHIELDS, 107692.307692)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.FRONT_SHIELDS, 3589.743590)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.REAR_SHIELDS, 3589.743590)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.TOP_SHIELDS, 3589.743590)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.BOTTOM_SHIELDS, 3589.743590)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.LEFT_SHIELDS, 3589.743590)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.RIGHT_SHIELDS, 3589.743590)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShieldGenerator)
#################################################
SensorArray = App.SensorProperty_Create("Primary Sensor")

SensorArray.SetMaxCondition(250000.000000)
SensorArray.SetCritical(0)
SensorArray.SetTargetable(1)
SensorArray.SetPrimary(1)
SensorArray.SetPosition(0.000000, 0.000000, 3.815798)
SensorArray.SetPosition2D(64.000000, 35.000000)
SensorArray.SetRepairComplexity(17.000000)
SensorArray.SetDisabledPercentage(0.500000)
SensorArray.SetRadius(3.800000)
SensorArray.SetNormalPowerPerSecond(50.000000)
SensorArray.SetBaseSensorRange(500000.000000)
SensorArray.SetMaxProbes(5000)
App.g_kModelPropertyManager.RegisterLocalTemplate(SensorArray)
#################################################
SensorArray2 = App.SensorProperty_Create("Secondary Sensor")

SensorArray2.SetMaxCondition(250000.000000)
SensorArray2.SetCritical(0)
SensorArray2.SetTargetable(1)
SensorArray2.SetPrimary(1)
SensorArray2.SetPosition(0.000000, 0.000000, -3.718601)
SensorArray2.SetPosition2D(64.000000, 35.000000)
SensorArray2.SetRepairComplexity(17.000000)
SensorArray2.SetDisabledPercentage(0.500000)
SensorArray2.SetRadius(3.800000)
SensorArray2.SetNormalPowerPerSecond(50.000000)
SensorArray2.SetBaseSensorRange(500000.000000)
SensorArray2.SetMaxProbes(5000)
App.g_kModelPropertyManager.RegisterLocalTemplate(SensorArray2)
#################################################
SensorArray3 = App.SensorProperty_Create("Tertiary Sensor")

SensorArray3.SetMaxCondition(250000.000000)
SensorArray3.SetCritical(0)
SensorArray3.SetTargetable(1)
SensorArray3.SetPrimary(1)
SensorArray3.SetPosition(0.000000, 0.000000, -13.569806)
SensorArray3.SetPosition2D(64.000000, 35.000000)
SensorArray3.SetRepairComplexity(17.000000)
SensorArray3.SetDisabledPercentage(0.500000)
SensorArray3.SetRadius(3.800000)
SensorArray3.SetNormalPowerPerSecond(50.000000)
SensorArray3.SetBaseSensorRange(500000.000000)
SensorArray3.SetMaxProbes(5000)
App.g_kModelPropertyManager.RegisterLocalTemplate(SensorArray3)
#################################################
RawMaterialStorage = App.RepairSubsystemProperty_Create("Raw Material Storage")

RawMaterialStorage.SetMaxCondition(2000000.000000)
RawMaterialStorage.SetCritical(0)
RawMaterialStorage.SetTargetable(0)
RawMaterialStorage.SetPrimary(1)
RawMaterialStorage.SetPosition(0.000000, 0.000000, 0.000000)
RawMaterialStorage.SetPosition2D(64.000000, 70.000000)
RawMaterialStorage.SetRepairComplexity(4.000000)
RawMaterialStorage.SetDisabledPercentage(0.250000)
RawMaterialStorage.SetRadius(14.516537)
RawMaterialStorage.SetNormalPowerPerSecond(250.000000)
RawMaterialStorage.SetMaxRepairPoints(48000.000000)
RawMaterialStorage.SetNumRepairTeams(200)
App.g_kModelPropertyManager.RegisterLocalTemplate(RawMaterialStorage)
#################################################
BeamArrays = App.WeaponSystemProperty_Create("Beam Arrays")

BeamArrays.SetMaxCondition(2000000.000000)
BeamArrays.SetCritical(0)
BeamArrays.SetTargetable(0)
BeamArrays.SetPrimary(1)
BeamArrays.SetPosition(0.000000, 0.000000, 0.000000)
BeamArrays.SetPosition2D(0.000000, 0.000000)
BeamArrays.SetRepairComplexity(2.000000)
BeamArrays.SetDisabledPercentage(0.750000)
BeamArrays.SetRadius(1.250000)
BeamArrays.SetNormalPowerPerSecond(250.000000)
BeamArrays.SetWeaponSystemType(BeamArrays.WST_PHASER)
BeamArrays.SetSingleFire(0)
BeamArrays.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
BeamArrays.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(BeamArrays)
#################################################
WarpEnergyBeamF1 = App.PhaserProperty_Create("Energy Beam F1")

WarpEnergyBeamF1.SetMaxCondition(5000.000000)
WarpEnergyBeamF1.SetCritical(0)
WarpEnergyBeamF1.SetTargetable(1)
WarpEnergyBeamF1.SetPrimary(1)
WarpEnergyBeamF1.SetPosition(15.589498, 17.177954, -7.821099)
WarpEnergyBeamF1.SetPosition2D(0.000000, 0.000000)
WarpEnergyBeamF1.SetRepairComplexity(2.000000)
WarpEnergyBeamF1.SetDisabledPercentage(0.750000)
WarpEnergyBeamF1.SetRadius(0.250000)
WarpEnergyBeamF1.SetDumbfire(0)
WarpEnergyBeamF1.SetWeaponID(0)
WarpEnergyBeamF1.SetGroups(0)
WarpEnergyBeamF1.SetDamageRadiusFactor(0.200000)
WarpEnergyBeamF1.SetIconNum(330)
WarpEnergyBeamF1.SetIconPositionX(22)
WarpEnergyBeamF1.SetIconPositionY(6)
WarpEnergyBeamF1.SetIconAboveShip(1)
WarpEnergyBeamF1.SetFireSound("Borg Phaser")
WarpEnergyBeamF1.SetMaxCharge(2.000000)
WarpEnergyBeamF1.SetMaxDamage(750.000000)
WarpEnergyBeamF1.SetMaxDamageDistance(100.000000)
WarpEnergyBeamF1.SetMinFiringCharge(2.000000)
WarpEnergyBeamF1.SetNormalDischargeRate(1.000000)
WarpEnergyBeamF1.SetRechargeRate(1.500000)
WarpEnergyBeamF1.SetIndicatorIconNum(501)
WarpEnergyBeamF1.SetIndicatorIconPositionX(25)
WarpEnergyBeamF1.SetIndicatorIconPositionY(9)
WarpEnergyBeamF1Forward = App.TGPoint3()
WarpEnergyBeamF1Forward.SetXYZ(0.000000, 1.000000, 0.000000)
WarpEnergyBeamF1Up = App.TGPoint3()
WarpEnergyBeamF1Up.SetXYZ(0.000000, 0.000000, 1.000000)
WarpEnergyBeamF1.SetOrientation(WarpEnergyBeamF1Forward, WarpEnergyBeamF1Up)
WarpEnergyBeamF1.SetWidth(0.010000)
WarpEnergyBeamF1.SetLength(0.010000)
WarpEnergyBeamF1.SetArcWidthAngles(-1.178098, 1.178098)
WarpEnergyBeamF1.SetArcHeightAngles(-1.178098, 1.178098)
WarpEnergyBeamF1.SetPhaserTextureStart(7)
WarpEnergyBeamF1.SetPhaserTextureEnd(0)
WarpEnergyBeamF1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamF1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
WarpEnergyBeamF1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamF1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
WarpEnergyBeamF1.SetInnerCoreColor(kColor)
WarpEnergyBeamF1.SetNumSides(6)
WarpEnergyBeamF1.SetMainRadius(0.070000)
WarpEnergyBeamF1.SetTaperRadius(0.010000)
WarpEnergyBeamF1.SetCoreScale(0.500000)
WarpEnergyBeamF1.SetTaperRatio(0.250000)
WarpEnergyBeamF1.SetTaperMinLength(5.000000)
WarpEnergyBeamF1.SetTaperMaxLength(30.000000)
WarpEnergyBeamF1.SetLengthTextureTilePerUnit(0.500000)
WarpEnergyBeamF1.SetPerimeterTile(1.000000)
WarpEnergyBeamF1.SetTextureSpeed(2.500000)
WarpEnergyBeamF1.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEnergyBeamF1)
#################################################
WarpEnergyBeamF2 = App.PhaserProperty_Create("Energy Beam F2")

WarpEnergyBeamF2.SetMaxCondition(5000.000000)
WarpEnergyBeamF2.SetCritical(0)
WarpEnergyBeamF2.SetTargetable(1)
WarpEnergyBeamF2.SetPrimary(1)
WarpEnergyBeamF2.SetPosition(2.650846, 17.177954, -0.917856)
WarpEnergyBeamF2.SetPosition2D(0.000000, 0.000000)
WarpEnergyBeamF2.SetRepairComplexity(2.000000)
WarpEnergyBeamF2.SetDisabledPercentage(0.750000)
WarpEnergyBeamF2.SetRadius(0.250000)
WarpEnergyBeamF2.SetDumbfire(0)
WarpEnergyBeamF2.SetWeaponID(0)
WarpEnergyBeamF2.SetGroups(0)
WarpEnergyBeamF2.SetDamageRadiusFactor(0.200000)
WarpEnergyBeamF2.SetIconNum(330)
WarpEnergyBeamF2.SetIconPositionX(22)
WarpEnergyBeamF2.SetIconPositionY(13)
WarpEnergyBeamF2.SetIconAboveShip(1)
WarpEnergyBeamF2.SetFireSound("Borg Phaser")
WarpEnergyBeamF2.SetMaxCharge(2.000000)
WarpEnergyBeamF2.SetMaxDamage(750.000000)
WarpEnergyBeamF2.SetMaxDamageDistance(100.000000)
WarpEnergyBeamF2.SetMinFiringCharge(2.000000)
WarpEnergyBeamF2.SetNormalDischargeRate(1.000000)
WarpEnergyBeamF2.SetRechargeRate(1.500000)
WarpEnergyBeamF2.SetIndicatorIconNum(501)
WarpEnergyBeamF2.SetIndicatorIconPositionX(25)
WarpEnergyBeamF2.SetIndicatorIconPositionY(16)
WarpEnergyBeamF2Forward = App.TGPoint3()
WarpEnergyBeamF2Forward.SetXYZ(0.000000, 1.000000, 0.000000)
WarpEnergyBeamF2Up = App.TGPoint3()
WarpEnergyBeamF2Up.SetXYZ(0.000000, 0.000000, 1.000000)
WarpEnergyBeamF2.SetOrientation(WarpEnergyBeamF2Forward, WarpEnergyBeamF2Up)
WarpEnergyBeamF2.SetWidth(0.010000)
WarpEnergyBeamF2.SetLength(0.010000)
WarpEnergyBeamF2.SetArcWidthAngles(-1.178098, 1.178098)
WarpEnergyBeamF2.SetArcHeightAngles(-1.178098, 1.178098)
WarpEnergyBeamF2.SetPhaserTextureStart(7)
WarpEnergyBeamF2.SetPhaserTextureEnd(0)
WarpEnergyBeamF2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamF2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
WarpEnergyBeamF2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamF2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
WarpEnergyBeamF2.SetInnerCoreColor(kColor)
WarpEnergyBeamF2.SetNumSides(6)
WarpEnergyBeamF2.SetMainRadius(0.070000)
WarpEnergyBeamF2.SetTaperRadius(0.010000)
WarpEnergyBeamF2.SetCoreScale(0.500000)
WarpEnergyBeamF2.SetTaperRatio(0.250000)
WarpEnergyBeamF2.SetTaperMinLength(5.000000)
WarpEnergyBeamF2.SetTaperMaxLength(30.000000)
WarpEnergyBeamF2.SetLengthTextureTilePerUnit(0.500000)
WarpEnergyBeamF2.SetPerimeterTile(1.000000)
WarpEnergyBeamF2.SetTextureSpeed(2.500000)
WarpEnergyBeamF2.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEnergyBeamF2)
#################################################
WarpEnergyBeamF3 = App.PhaserProperty_Create("Energy Beam F3")

WarpEnergyBeamF3.SetMaxCondition(5000.000000)
WarpEnergyBeamF3.SetCritical(0)
WarpEnergyBeamF3.SetTargetable(1)
WarpEnergyBeamF3.SetPrimary(1)
WarpEnergyBeamF3.SetPosition(11.131975, 17.177954, 12.888633)
WarpEnergyBeamF3.SetPosition2D(0.000000, 0.000000)
WarpEnergyBeamF3.SetRepairComplexity(2.000000)
WarpEnergyBeamF3.SetDisabledPercentage(0.750000)
WarpEnergyBeamF3.SetRadius(0.250000)
WarpEnergyBeamF3.SetDumbfire(0)
WarpEnergyBeamF3.SetWeaponID(0)
WarpEnergyBeamF3.SetGroups(0)
WarpEnergyBeamF3.SetDamageRadiusFactor(0.200000)
WarpEnergyBeamF3.SetIconNum(330)
WarpEnergyBeamF3.SetIconPositionX(22)
WarpEnergyBeamF3.SetIconPositionY(20)
WarpEnergyBeamF3.SetIconAboveShip(1)
WarpEnergyBeamF3.SetFireSound("Borg Phaser")
WarpEnergyBeamF3.SetMaxCharge(2.000000)
WarpEnergyBeamF3.SetMaxDamage(750.000000)
WarpEnergyBeamF3.SetMaxDamageDistance(100.000000)
WarpEnergyBeamF3.SetMinFiringCharge(2.000000)
WarpEnergyBeamF3.SetNormalDischargeRate(1.000000)
WarpEnergyBeamF3.SetRechargeRate(1.500000)
WarpEnergyBeamF3.SetIndicatorIconNum(501)
WarpEnergyBeamF3.SetIndicatorIconPositionX(25)
WarpEnergyBeamF3.SetIndicatorIconPositionY(23)
WarpEnergyBeamF3Forward = App.TGPoint3()
WarpEnergyBeamF3Forward.SetXYZ(0.000000, 1.000000, 0.000000)
WarpEnergyBeamF3Up = App.TGPoint3()
WarpEnergyBeamF3Up.SetXYZ(0.000000, 0.000000, 1.000000)
WarpEnergyBeamF3.SetOrientation(WarpEnergyBeamF3Forward, WarpEnergyBeamF3Up)
WarpEnergyBeamF3.SetWidth(0.010000)
WarpEnergyBeamF3.SetLength(0.010000)
WarpEnergyBeamF3.SetArcWidthAngles(-1.178098, 1.178098)
WarpEnergyBeamF3.SetArcHeightAngles(-1.178098, 1.178098)
WarpEnergyBeamF3.SetPhaserTextureStart(7)
WarpEnergyBeamF3.SetPhaserTextureEnd(0)
WarpEnergyBeamF3.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamF3.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
WarpEnergyBeamF3.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamF3.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
WarpEnergyBeamF3.SetInnerCoreColor(kColor)
WarpEnergyBeamF3.SetNumSides(6)
WarpEnergyBeamF3.SetMainRadius(0.070000)
WarpEnergyBeamF3.SetTaperRadius(0.010000)
WarpEnergyBeamF3.SetCoreScale(0.500000)
WarpEnergyBeamF3.SetTaperRatio(0.250000)
WarpEnergyBeamF3.SetTaperMinLength(5.000000)
WarpEnergyBeamF3.SetTaperMaxLength(30.000000)
WarpEnergyBeamF3.SetLengthTextureTilePerUnit(0.500000)
WarpEnergyBeamF3.SetPerimeterTile(1.000000)
WarpEnergyBeamF3.SetTextureSpeed(2.500000)
WarpEnergyBeamF3.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEnergyBeamF3)
#################################################
WarpEnergyBeamF4 = App.PhaserProperty_Create("Energy Beam F4")

WarpEnergyBeamF4.SetMaxCondition(5000.000000)
WarpEnergyBeamF4.SetCritical(0)
WarpEnergyBeamF4.SetTargetable(1)
WarpEnergyBeamF4.SetPrimary(1)
WarpEnergyBeamF4.SetPosition(-12.220715, 17.177954, 4.920317)
WarpEnergyBeamF4.SetPosition2D(0.000000, 0.000000)
WarpEnergyBeamF4.SetRepairComplexity(2.000000)
WarpEnergyBeamF4.SetDisabledPercentage(0.750000)
WarpEnergyBeamF4.SetRadius(0.250000)
WarpEnergyBeamF4.SetDumbfire(0)
WarpEnergyBeamF4.SetWeaponID(0)
WarpEnergyBeamF4.SetGroups(0)
WarpEnergyBeamF4.SetDamageRadiusFactor(0.200000)
WarpEnergyBeamF4.SetIconNum(330)
WarpEnergyBeamF4.SetIconPositionX(22)
WarpEnergyBeamF4.SetIconPositionY(27)
WarpEnergyBeamF4.SetIconAboveShip(1)
WarpEnergyBeamF4.SetFireSound("Borg Phaser")
WarpEnergyBeamF4.SetMaxCharge(2.000000)
WarpEnergyBeamF4.SetMaxDamage(750.000000)
WarpEnergyBeamF4.SetMaxDamageDistance(100.000000)
WarpEnergyBeamF4.SetMinFiringCharge(2.000000)
WarpEnergyBeamF4.SetNormalDischargeRate(1.000000)
WarpEnergyBeamF4.SetRechargeRate(1.500000)
WarpEnergyBeamF4.SetIndicatorIconNum(501)
WarpEnergyBeamF4.SetIndicatorIconPositionX(25)
WarpEnergyBeamF4.SetIndicatorIconPositionY(30)
WarpEnergyBeamF4Forward = App.TGPoint3()
WarpEnergyBeamF4Forward.SetXYZ(0.000000, 1.000000, 0.000000)
WarpEnergyBeamF4Up = App.TGPoint3()
WarpEnergyBeamF4Up.SetXYZ(0.000000, 0.000000, 1.000000)
WarpEnergyBeamF4.SetOrientation(WarpEnergyBeamF4Forward, WarpEnergyBeamF4Up)
WarpEnergyBeamF4.SetWidth(0.010000)
WarpEnergyBeamF4.SetLength(0.010000)
WarpEnergyBeamF4.SetArcWidthAngles(-1.178098, 1.178098)
WarpEnergyBeamF4.SetArcHeightAngles(-1.178098, 1.178098)
WarpEnergyBeamF4.SetPhaserTextureStart(7)
WarpEnergyBeamF4.SetPhaserTextureEnd(0)
WarpEnergyBeamF4.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamF4.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
WarpEnergyBeamF4.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamF4.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
WarpEnergyBeamF4.SetInnerCoreColor(kColor)
WarpEnergyBeamF4.SetNumSides(6)
WarpEnergyBeamF4.SetMainRadius(0.070000)
WarpEnergyBeamF4.SetTaperRadius(0.010000)
WarpEnergyBeamF4.SetCoreScale(0.500000)
WarpEnergyBeamF4.SetTaperRatio(0.250000)
WarpEnergyBeamF4.SetTaperMinLength(5.000000)
WarpEnergyBeamF4.SetTaperMaxLength(30.000000)
WarpEnergyBeamF4.SetLengthTextureTilePerUnit(0.500000)
WarpEnergyBeamF4.SetPerimeterTile(1.000000)
WarpEnergyBeamF4.SetTextureSpeed(2.500000)
WarpEnergyBeamF4.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEnergyBeamF4)
#################################################
PlasmaProjectorF1 = App.PhaserProperty_Create("Plasma Projector F1")

PlasmaProjectorF1.SetMaxCondition(7500.000000)
PlasmaProjectorF1.SetCritical(0)
PlasmaProjectorF1.SetTargetable(1)
PlasmaProjectorF1.SetPrimary(1)
PlasmaProjectorF1.SetPosition(-9.735547, 17.177954, 9.811759)
PlasmaProjectorF1.SetPosition2D(0.000000, 0.000000)
PlasmaProjectorF1.SetRepairComplexity(1.000000)
PlasmaProjectorF1.SetDisabledPercentage(0.500000)
PlasmaProjectorF1.SetRadius(0.250000)
PlasmaProjectorF1.SetDumbfire(0)
PlasmaProjectorF1.SetWeaponID(0)
PlasmaProjectorF1.SetGroups(0)
PlasmaProjectorF1.SetDamageRadiusFactor(0.350000)
PlasmaProjectorF1.SetIconNum(350)
PlasmaProjectorF1.SetIconPositionX(77)
PlasmaProjectorF1.SetIconPositionY(6)
PlasmaProjectorF1.SetIconAboveShip(1)
PlasmaProjectorF1.SetFireSound("Projector")
PlasmaProjectorF1.SetMaxCharge(2.000000)
PlasmaProjectorF1.SetMaxDamage(1000.000000)
PlasmaProjectorF1.SetMaxDamageDistance(100.000000)
PlasmaProjectorF1.SetMinFiringCharge(2.000000)
PlasmaProjectorF1.SetNormalDischargeRate(1.000000)
PlasmaProjectorF1.SetRechargeRate(1.500000)
PlasmaProjectorF1.SetIndicatorIconNum(502)
PlasmaProjectorF1.SetIndicatorIconPositionX(84)
PlasmaProjectorF1.SetIndicatorIconPositionY(9)
PlasmaProjectorF1Forward = App.TGPoint3()
PlasmaProjectorF1Forward.SetXYZ(0.000000, 1.000000, 0.000000)
PlasmaProjectorF1Up = App.TGPoint3()
PlasmaProjectorF1Up.SetXYZ(0.000000, 0.000000, 1.000000)
PlasmaProjectorF1.SetOrientation(PlasmaProjectorF1Forward, PlasmaProjectorF1Up)
PlasmaProjectorF1.SetWidth(0.010000)
PlasmaProjectorF1.SetLength(0.010000)
PlasmaProjectorF1.SetArcWidthAngles(-1.178098, 1.178098)
PlasmaProjectorF1.SetArcHeightAngles(-1.178098, 1.178098)
PlasmaProjectorF1.SetPhaserTextureStart(0)
PlasmaProjectorF1.SetPhaserTextureEnd(0)
PlasmaProjectorF1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.320000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorF1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.220000, 1.000000, 0.000000, 1.000000)
PlasmaProjectorF1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorF1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
PlasmaProjectorF1.SetInnerCoreColor(kColor)
PlasmaProjectorF1.SetNumSides(6)
PlasmaProjectorF1.SetMainRadius(0.100000)
PlasmaProjectorF1.SetTaperRadius(0.010000)
PlasmaProjectorF1.SetCoreScale(0.500000)
PlasmaProjectorF1.SetTaperRatio(0.250000)
PlasmaProjectorF1.SetTaperMinLength(5.000000)
PlasmaProjectorF1.SetTaperMaxLength(30.000000)
PlasmaProjectorF1.SetLengthTextureTilePerUnit(0.500000)
PlasmaProjectorF1.SetPerimeterTile(1.000000)
PlasmaProjectorF1.SetTextureSpeed(2.500000)
PlasmaProjectorF1.SetTextureName("data/CRPlasmaProjector.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaProjectorF1)
#################################################
PlasmaProjectorF2 = App.PhaserProperty_Create("Plasma Projector F2")

PlasmaProjectorF2.SetMaxCondition(7500.000000)
PlasmaProjectorF2.SetCritical(0)
PlasmaProjectorF2.SetTargetable(1)
PlasmaProjectorF2.SetPrimary(1)
PlasmaProjectorF2.SetPosition(-8.039321, 17.177954, -2.061822)
PlasmaProjectorF2.SetPosition2D(0.000000, 0.000000)
PlasmaProjectorF2.SetRepairComplexity(1.000000)
PlasmaProjectorF2.SetDisabledPercentage(0.500000)
PlasmaProjectorF2.SetRadius(0.250000)
PlasmaProjectorF2.SetDumbfire(0)
PlasmaProjectorF2.SetWeaponID(0)
PlasmaProjectorF2.SetGroups(0)
PlasmaProjectorF2.SetDamageRadiusFactor(0.350000)
PlasmaProjectorF2.SetIconNum(350)
PlasmaProjectorF2.SetIconPositionX(77)
PlasmaProjectorF2.SetIconPositionY(13)
PlasmaProjectorF2.SetIconAboveShip(1)
PlasmaProjectorF2.SetFireSound("Projector")
PlasmaProjectorF2.SetMaxCharge(2.000000)
PlasmaProjectorF2.SetMaxDamage(1000.000000)
PlasmaProjectorF2.SetMaxDamageDistance(100.000000)
PlasmaProjectorF2.SetMinFiringCharge(2.000000)
PlasmaProjectorF2.SetNormalDischargeRate(1.000000)
PlasmaProjectorF2.SetRechargeRate(1.500000)
PlasmaProjectorF2.SetIndicatorIconNum(502)
PlasmaProjectorF2.SetIndicatorIconPositionX(84)
PlasmaProjectorF2.SetIndicatorIconPositionY(16)
PlasmaProjectorF2Forward = App.TGPoint3()
PlasmaProjectorF2Forward.SetXYZ(0.000000, 1.000000, 0.000000)
PlasmaProjectorF2Up = App.TGPoint3()
PlasmaProjectorF2Up.SetXYZ(0.000000, 0.000000, 1.000000)
PlasmaProjectorF2.SetOrientation(PlasmaProjectorF2Forward, PlasmaProjectorF2Up)
PlasmaProjectorF2.SetWidth(0.010000)
PlasmaProjectorF2.SetLength(0.010000)
PlasmaProjectorF2.SetArcWidthAngles(-1.178098, 1.178098)
PlasmaProjectorF2.SetArcHeightAngles(-1.178098, 1.178098)
PlasmaProjectorF2.SetPhaserTextureStart(0)
PlasmaProjectorF2.SetPhaserTextureEnd(0)
PlasmaProjectorF2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.320000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorF2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.220000, 1.000000, 0.000000, 1.000000)
PlasmaProjectorF2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorF2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
PlasmaProjectorF2.SetInnerCoreColor(kColor)
PlasmaProjectorF2.SetNumSides(6)
PlasmaProjectorF2.SetMainRadius(0.100000)
PlasmaProjectorF2.SetTaperRadius(0.010000)
PlasmaProjectorF2.SetCoreScale(0.500000)
PlasmaProjectorF2.SetTaperRatio(0.250000)
PlasmaProjectorF2.SetTaperMinLength(5.000000)
PlasmaProjectorF2.SetTaperMaxLength(30.000000)
PlasmaProjectorF2.SetLengthTextureTilePerUnit(0.500000)
PlasmaProjectorF2.SetPerimeterTile(1.000000)
PlasmaProjectorF2.SetTextureSpeed(2.500000)
PlasmaProjectorF2.SetTextureName("data/CRPlasmaProjector.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaProjectorF2)
#################################################
PlasmaProjectorF3 = App.PhaserProperty_Create("Plasma Projector F3")

PlasmaProjectorF3.SetMaxCondition(7500.000000)
PlasmaProjectorF3.SetCritical(0)
PlasmaProjectorF3.SetTargetable(1)
PlasmaProjectorF3.SetPrimary(1)
PlasmaProjectorF3.SetPosition(15.313368, 17.177954, -1.154538)
PlasmaProjectorF3.SetPosition2D(0.000000, 0.000000)
PlasmaProjectorF3.SetRepairComplexity(1.000000)
PlasmaProjectorF3.SetDisabledPercentage(0.500000)
PlasmaProjectorF3.SetRadius(0.250000)
PlasmaProjectorF3.SetDumbfire(0)
PlasmaProjectorF3.SetWeaponID(0)
PlasmaProjectorF3.SetGroups(0)
PlasmaProjectorF3.SetDamageRadiusFactor(0.350000)
PlasmaProjectorF3.SetIconNum(350)
PlasmaProjectorF3.SetIconPositionX(77)
PlasmaProjectorF3.SetIconPositionY(20)
PlasmaProjectorF3.SetIconAboveShip(1)
PlasmaProjectorF3.SetFireSound("Projector")
PlasmaProjectorF3.SetMaxCharge(2.000000)
PlasmaProjectorF3.SetMaxDamage(1000.000000)
PlasmaProjectorF3.SetMaxDamageDistance(100.000000)
PlasmaProjectorF3.SetMinFiringCharge(2.000000)
PlasmaProjectorF3.SetNormalDischargeRate(1.000000)
PlasmaProjectorF3.SetRechargeRate(1.500000)
PlasmaProjectorF3.SetIndicatorIconNum(502)
PlasmaProjectorF3.SetIndicatorIconPositionX(84)
PlasmaProjectorF3.SetIndicatorIconPositionY(23)
PlasmaProjectorF3Forward = App.TGPoint3()
PlasmaProjectorF3Forward.SetXYZ(0.000000, 1.000000, 0.000000)
PlasmaProjectorF3Up = App.TGPoint3()
PlasmaProjectorF3Up.SetXYZ(0.000000, 0.000000, 1.000000)
PlasmaProjectorF3.SetOrientation(PlasmaProjectorF3Forward, PlasmaProjectorF3Up)
PlasmaProjectorF3.SetWidth(0.010000)
PlasmaProjectorF3.SetLength(0.010000)
PlasmaProjectorF3.SetArcWidthAngles(-1.178098, 1.178098)
PlasmaProjectorF3.SetArcHeightAngles(-1.178098, 1.178098)
PlasmaProjectorF3.SetPhaserTextureStart(0)
PlasmaProjectorF3.SetPhaserTextureEnd(0)
PlasmaProjectorF3.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.320000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorF3.SetOuterShellColor(kColor)
kColor.SetRGBA(0.220000, 1.000000, 0.000000, 1.000000)
PlasmaProjectorF3.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorF3.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
PlasmaProjectorF3.SetInnerCoreColor(kColor)
PlasmaProjectorF3.SetNumSides(6)
PlasmaProjectorF3.SetMainRadius(0.100000)
PlasmaProjectorF3.SetTaperRadius(0.010000)
PlasmaProjectorF3.SetCoreScale(0.500000)
PlasmaProjectorF3.SetTaperRatio(0.250000)
PlasmaProjectorF3.SetTaperMinLength(5.000000)
PlasmaProjectorF3.SetTaperMaxLength(30.000000)
PlasmaProjectorF3.SetLengthTextureTilePerUnit(0.500000)
PlasmaProjectorF3.SetPerimeterTile(1.000000)
PlasmaProjectorF3.SetTextureSpeed(2.500000)
PlasmaProjectorF3.SetTextureName("data/CRPlasmaProjector.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaProjectorF3)
#################################################
CuttingBeamF1 = App.PhaserProperty_Create("Cutting Beam F1")

CuttingBeamF1.SetMaxCondition(10000.000000)
CuttingBeamF1.SetCritical(0)
CuttingBeamF1.SetTargetable(1)
CuttingBeamF1.SetPrimary(1)
CuttingBeamF1.SetPosition(-15.415931, 17.177954, -12.830883)
CuttingBeamF1.SetPosition2D(0.000000, 0.000000)
CuttingBeamF1.SetRepairComplexity(1.000000)
CuttingBeamF1.SetDisabledPercentage(0.500000)
CuttingBeamF1.SetRadius(0.250000)
CuttingBeamF1.SetDumbfire(0)
CuttingBeamF1.SetWeaponID(0)
CuttingBeamF1.SetGroups(0)
CuttingBeamF1.SetDamageRadiusFactor(0.50000)
CuttingBeamF1.SetIconNum(350)
CuttingBeamF1.SetIconPositionX(77)
CuttingBeamF1.SetIconPositionY(27)
CuttingBeamF1.SetIconAboveShip(1)
CuttingBeamF1.SetFireSound("Cutting Beam")
CuttingBeamF1.SetMaxCharge(2.000000)
CuttingBeamF1.SetMaxDamage(1250.000000)
CuttingBeamF1.SetMaxDamageDistance(200.000000)
CuttingBeamF1.SetMinFiringCharge(2.000000)
CuttingBeamF1.SetNormalDischargeRate(1.000000)
CuttingBeamF1.SetRechargeRate(1.500000)
CuttingBeamF1.SetIndicatorIconNum(502)
CuttingBeamF1.SetIndicatorIconPositionX(84)
CuttingBeamF1.SetIndicatorIconPositionY(30)
CuttingBeamF1Forward = App.TGPoint3()
CuttingBeamF1Forward.SetXYZ(0.000000, 1.000000, 0.000000)
CuttingBeamF1Up = App.TGPoint3()
CuttingBeamF1Up.SetXYZ(0.000000, 0.000000, 1.000000)
CuttingBeamF1.SetOrientation(CuttingBeamF1Forward, CuttingBeamF1Up)
CuttingBeamF1.SetWidth(0.010000)
CuttingBeamF1.SetLength(0.010000)
CuttingBeamF1.SetArcWidthAngles(-1.178098, 1.178098)
CuttingBeamF1.SetArcHeightAngles(-1.178098, 1.178098)
CuttingBeamF1.SetPhaserTextureStart(0)
CuttingBeamF1.SetPhaserTextureEnd(0)
CuttingBeamF1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamF1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamF1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamF1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamF1.SetInnerCoreColor(kColor)
CuttingBeamF1.SetNumSides(12)
CuttingBeamF1.SetMainRadius(0.100000)
CuttingBeamF1.SetTaperRadius(0.010000)
CuttingBeamF1.SetCoreScale(0.500000)
CuttingBeamF1.SetTaperRatio(0.250000)
CuttingBeamF1.SetTaperMinLength(5.000000)
CuttingBeamF1.SetTaperMaxLength(30.000000)
CuttingBeamF1.SetLengthTextureTilePerUnit(0.500000)
CuttingBeamF1.SetPerimeterTile(1.000000)
CuttingBeamF1.SetTextureSpeed(2.500000)
CuttingBeamF1.SetTextureName("data/CRCutter.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(CuttingBeamF1)
#################################################
CuttingBeamF2 = App.PhaserProperty_Create("Cutting Beam F2")

CuttingBeamF2.SetMaxCondition(10000.000000)
CuttingBeamF2.SetCritical(0)
CuttingBeamF2.SetTargetable(1)
CuttingBeamF2.SetPrimary(1)
CuttingBeamF2.SetPosition(-13.680258, 17.177954, 6.498202)
CuttingBeamF2.SetPosition2D(0.000000, 0.000000)
CuttingBeamF2.SetRepairComplexity(1.000000)
CuttingBeamF2.SetDisabledPercentage(0.500000)
CuttingBeamF2.SetRadius(0.250000)
CuttingBeamF2.SetDumbfire(0)
CuttingBeamF2.SetWeaponID(0)
CuttingBeamF2.SetGroups(0)
CuttingBeamF2.SetDamageRadiusFactor(0.50000)
CuttingBeamF2.SetIconNum(364)
CuttingBeamF2.SetIconPositionX(46)
CuttingBeamF2.SetIconPositionY(33)
CuttingBeamF2.SetIconAboveShip(1)
CuttingBeamF2.SetFireSound("Cutting Beam")
CuttingBeamF2.SetMaxCharge(2.000000)
CuttingBeamF2.SetMaxDamage(1250.000000)
CuttingBeamF2.SetMaxDamageDistance(200.000000)
CuttingBeamF2.SetMinFiringCharge(2.000000)
CuttingBeamF2.SetNormalDischargeRate(1.000000)
CuttingBeamF2.SetRechargeRate(1.500000)
CuttingBeamF2.SetIndicatorIconNum(510)
CuttingBeamF2.SetIndicatorIconPositionX(39)
CuttingBeamF2.SetIndicatorIconPositionY(29)
CuttingBeamF2Forward = App.TGPoint3()
CuttingBeamF2Forward.SetXYZ(0.000000, 1.000000, 0.000000)
CuttingBeamF2Up = App.TGPoint3()
CuttingBeamF2Up.SetXYZ(0.000000, 0.000000, 1.000000)
CuttingBeamF2.SetOrientation(CuttingBeamF2Forward, CuttingBeamF2Up)
CuttingBeamF2.SetWidth(0.010000)
CuttingBeamF2.SetLength(0.010000)
CuttingBeamF2.SetArcWidthAngles(-1.178098, 1.178098)
CuttingBeamF2.SetArcHeightAngles(-1.178098, 1.178098)
CuttingBeamF2.SetPhaserTextureStart(0)
CuttingBeamF2.SetPhaserTextureEnd(0)
CuttingBeamF2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamF2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamF2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamF2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamF2.SetInnerCoreColor(kColor)
CuttingBeamF2.SetNumSides(12)
CuttingBeamF2.SetMainRadius(0.100000)
CuttingBeamF2.SetTaperRadius(0.010000)
CuttingBeamF2.SetCoreScale(0.500000)
CuttingBeamF2.SetTaperRatio(0.250000)
CuttingBeamF2.SetTaperMinLength(5.000000)
CuttingBeamF2.SetTaperMaxLength(30.000000)
CuttingBeamF2.SetLengthTextureTilePerUnit(0.500000)
CuttingBeamF2.SetPerimeterTile(1.000000)
CuttingBeamF2.SetTextureSpeed(2.500000)
CuttingBeamF2.SetTextureName("data/CRCutter.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(CuttingBeamF2)
#################################################
WarpEnergyBeamA1 = App.PhaserProperty_Create("Energy Beam A1")

WarpEnergyBeamA1.SetMaxCondition(5000.000000)
WarpEnergyBeamA1.SetCritical(0)
WarpEnergyBeamA1.SetTargetable(1)
WarpEnergyBeamA1.SetPrimary(1)
WarpEnergyBeamA1.SetPosition(15.589498, -17.177954, -7.821099)
WarpEnergyBeamA1.SetPosition2D(0.000000, 0.000000)
WarpEnergyBeamA1.SetRepairComplexity(2.000000)
WarpEnergyBeamA1.SetDisabledPercentage(0.750000)
WarpEnergyBeamA1.SetRadius(0.250000)
WarpEnergyBeamA1.SetDumbfire(0)
WarpEnergyBeamA1.SetWeaponID(0)
WarpEnergyBeamA1.SetGroups(0)
WarpEnergyBeamA1.SetDamageRadiusFactor(0.200000)
WarpEnergyBeamA1.SetIconNum(335)
WarpEnergyBeamA1.SetIconPositionX(22)
WarpEnergyBeamA1.SetIconPositionY(96)
WarpEnergyBeamA1.SetIconAboveShip(1)
WarpEnergyBeamA1.SetFireSound("Borg Phaser")
WarpEnergyBeamA1.SetMaxCharge(2.000000)
WarpEnergyBeamA1.SetMaxDamage(750.000000)
WarpEnergyBeamA1.SetMaxDamageDistance(100.000000)
WarpEnergyBeamA1.SetMinFiringCharge(2.000000)
WarpEnergyBeamA1.SetNormalDischargeRate(1.000000)
WarpEnergyBeamA1.SetRechargeRate(1.500000)
WarpEnergyBeamA1.SetIndicatorIconNum(511)
WarpEnergyBeamA1.SetIndicatorIconPositionX(35)
WarpEnergyBeamA1.SetIndicatorIconPositionY(107)
WarpEnergyBeamA1Forward = App.TGPoint3()
WarpEnergyBeamA1Forward.SetXYZ(0.000000, -1.000000, 0.000000)
WarpEnergyBeamA1Up = App.TGPoint3()
WarpEnergyBeamA1Up.SetXYZ(0.000000, 0.000000, 1.000000)
WarpEnergyBeamA1.SetOrientation(WarpEnergyBeamA1Forward, WarpEnergyBeamA1Up)
WarpEnergyBeamA1.SetWidth(0.010000)
WarpEnergyBeamA1.SetLength(0.010000)
WarpEnergyBeamA1.SetArcWidthAngles(-1.178098, 1.178098)
WarpEnergyBeamA1.SetArcHeightAngles(-1.178098, 1.178098)
WarpEnergyBeamA1.SetPhaserTextureStart(7)
WarpEnergyBeamA1.SetPhaserTextureEnd(0)
WarpEnergyBeamA1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamA1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
WarpEnergyBeamA1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamA1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
WarpEnergyBeamA1.SetInnerCoreColor(kColor)
WarpEnergyBeamA1.SetNumSides(6)
WarpEnergyBeamA1.SetMainRadius(0.070000)
WarpEnergyBeamA1.SetTaperRadius(0.010000)
WarpEnergyBeamA1.SetCoreScale(0.500000)
WarpEnergyBeamA1.SetTaperRatio(0.250000)
WarpEnergyBeamA1.SetTaperMinLength(5.000000)
WarpEnergyBeamA1.SetTaperMaxLength(30.000000)
WarpEnergyBeamA1.SetLengthTextureTilePerUnit(0.500000)
WarpEnergyBeamA1.SetPerimeterTile(1.000000)
WarpEnergyBeamA1.SetTextureSpeed(2.500000)
WarpEnergyBeamA1.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEnergyBeamA1)
#################################################
WarpEnergyBeamA2 = App.PhaserProperty_Create("Energy Beam A2")

WarpEnergyBeamA2.SetMaxCondition(5000.000000)
WarpEnergyBeamA2.SetCritical(0)
WarpEnergyBeamA2.SetTargetable(1)
WarpEnergyBeamA2.SetPrimary(1)
WarpEnergyBeamA2.SetPosition(2.650846, -17.177954, -0.917856)
WarpEnergyBeamA2.SetPosition2D(0.000000, 0.000000)
WarpEnergyBeamA2.SetRepairComplexity(2.000000)
WarpEnergyBeamA2.SetDisabledPercentage(0.750000)
WarpEnergyBeamA2.SetRadius(0.250000)
WarpEnergyBeamA2.SetDumbfire(0)
WarpEnergyBeamA2.SetWeaponID(0)
WarpEnergyBeamA2.SetGroups(0)
WarpEnergyBeamA2.SetDamageRadiusFactor(0.200000)
WarpEnergyBeamA2.SetIconNum(335)
WarpEnergyBeamA2.SetIconPositionX(22)
WarpEnergyBeamA2.SetIconPositionY(103)
WarpEnergyBeamA2.SetIconAboveShip(1)
WarpEnergyBeamA2.SetFireSound("Borg Phaser")
WarpEnergyBeamA2.SetMaxCharge(2.000000)
WarpEnergyBeamA2.SetMaxDamage(750.000000)
WarpEnergyBeamA2.SetMaxDamageDistance(100.000000)
WarpEnergyBeamA2.SetMinFiringCharge(2.000000)
WarpEnergyBeamA2.SetNormalDischargeRate(1.000000)
WarpEnergyBeamA2.SetRechargeRate(1.500000)
WarpEnergyBeamA2.SetIndicatorIconNum(511)
WarpEnergyBeamA2.SetIndicatorIconPositionX(35)
WarpEnergyBeamA2.SetIndicatorIconPositionY(114)
WarpEnergyBeamA2Forward = App.TGPoint3()
WarpEnergyBeamA2Forward.SetXYZ(0.000000, -1.000000, 0.000000)
WarpEnergyBeamA2Up = App.TGPoint3()
WarpEnergyBeamA2Up.SetXYZ(0.000000, 0.000000, 1.000000)
WarpEnergyBeamA2.SetOrientation(WarpEnergyBeamA2Forward, WarpEnergyBeamA2Up)
WarpEnergyBeamA2.SetWidth(0.010000)
WarpEnergyBeamA2.SetLength(0.010000)
WarpEnergyBeamA2.SetArcWidthAngles(-1.178098, 1.178098)
WarpEnergyBeamA2.SetArcHeightAngles(-1.178098, 1.178098)
WarpEnergyBeamA2.SetPhaserTextureStart(7)
WarpEnergyBeamA2.SetPhaserTextureEnd(0)
WarpEnergyBeamA2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamA2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
WarpEnergyBeamA2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamA2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
WarpEnergyBeamA2.SetInnerCoreColor(kColor)
WarpEnergyBeamA2.SetNumSides(6)
WarpEnergyBeamA2.SetMainRadius(0.070000)
WarpEnergyBeamA2.SetTaperRadius(0.010000)
WarpEnergyBeamA2.SetCoreScale(0.500000)
WarpEnergyBeamA2.SetTaperRatio(0.250000)
WarpEnergyBeamA2.SetTaperMinLength(5.000000)
WarpEnergyBeamA2.SetTaperMaxLength(30.000000)
WarpEnergyBeamA2.SetLengthTextureTilePerUnit(0.500000)
WarpEnergyBeamA2.SetPerimeterTile(1.000000)
WarpEnergyBeamA2.SetTextureSpeed(2.500000)
WarpEnergyBeamA2.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEnergyBeamA2)
#################################################
WarpEnergyBeamA3 = App.PhaserProperty_Create("Energy Beam A3")

WarpEnergyBeamA3.SetMaxCondition(5000.000000)
WarpEnergyBeamA3.SetCritical(0)
WarpEnergyBeamA3.SetTargetable(1)
WarpEnergyBeamA3.SetPrimary(1)
WarpEnergyBeamA3.SetPosition(11.131975, -17.177954, 12.888633)
WarpEnergyBeamA3.SetPosition2D(0.000000, 0.000000)
WarpEnergyBeamA3.SetRepairComplexity(2.000000)
WarpEnergyBeamA3.SetDisabledPercentage(0.750000)
WarpEnergyBeamA3.SetRadius(0.250000)
WarpEnergyBeamA3.SetDumbfire(0)
WarpEnergyBeamA3.SetWeaponID(0)
WarpEnergyBeamA3.SetGroups(0)
WarpEnergyBeamA3.SetDamageRadiusFactor(0.200000)
WarpEnergyBeamA3.SetIconNum(335)
WarpEnergyBeamA3.SetIconPositionX(22)
WarpEnergyBeamA3.SetIconPositionY(110)
WarpEnergyBeamA3.SetIconAboveShip(1)
WarpEnergyBeamA3.SetFireSound("Borg Phaser")
WarpEnergyBeamA3.SetMaxCharge(2.000000)
WarpEnergyBeamA3.SetMaxDamage(750.000000)
WarpEnergyBeamA3.SetMaxDamageDistance(100.000000)
WarpEnergyBeamA3.SetMinFiringCharge(2.000000)
WarpEnergyBeamA3.SetNormalDischargeRate(1.000000)
WarpEnergyBeamA3.SetRechargeRate(1.500000)
WarpEnergyBeamA3.SetIndicatorIconNum(511)
WarpEnergyBeamA3.SetIndicatorIconPositionX(35)
WarpEnergyBeamA3.SetIndicatorIconPositionY(121)
WarpEnergyBeamA3Forward = App.TGPoint3()
WarpEnergyBeamA3Forward.SetXYZ(0.000000, -1.000000, 0.000000)
WarpEnergyBeamA3Up = App.TGPoint3()
WarpEnergyBeamA3Up.SetXYZ(0.000000, 0.000000, 1.000000)
WarpEnergyBeamA3.SetOrientation(WarpEnergyBeamA3Forward, WarpEnergyBeamA3Up)
WarpEnergyBeamA3.SetWidth(0.010000)
WarpEnergyBeamA3.SetLength(0.010000)
WarpEnergyBeamA3.SetArcWidthAngles(-1.178098, 1.178098)
WarpEnergyBeamA3.SetArcHeightAngles(-1.178098, 1.178098)
WarpEnergyBeamA3.SetPhaserTextureStart(7)
WarpEnergyBeamA3.SetPhaserTextureEnd(0)
WarpEnergyBeamA3.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamA3.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
WarpEnergyBeamA3.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamA3.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
WarpEnergyBeamA3.SetInnerCoreColor(kColor)
WarpEnergyBeamA3.SetNumSides(6)
WarpEnergyBeamA3.SetMainRadius(0.070000)
WarpEnergyBeamA3.SetTaperRadius(0.010000)
WarpEnergyBeamA3.SetCoreScale(0.500000)
WarpEnergyBeamA3.SetTaperRatio(0.250000)
WarpEnergyBeamA3.SetTaperMinLength(5.000000)
WarpEnergyBeamA3.SetTaperMaxLength(30.000000)
WarpEnergyBeamA3.SetLengthTextureTilePerUnit(0.500000)
WarpEnergyBeamA3.SetPerimeterTile(1.000000)
WarpEnergyBeamA3.SetTextureSpeed(2.500000)
WarpEnergyBeamA3.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEnergyBeamA3)
#################################################
WarpEnergyBeamA4 = App.PhaserProperty_Create("Energy Beam A4")

WarpEnergyBeamA4.SetMaxCondition(5000.000000)
WarpEnergyBeamA4.SetCritical(0)
WarpEnergyBeamA4.SetTargetable(1)
WarpEnergyBeamA4.SetPrimary(1)
WarpEnergyBeamA4.SetPosition(-12.220715, -17.177954, 4.920317)
WarpEnergyBeamA4.SetPosition2D(0.000000, 0.000000)
WarpEnergyBeamA4.SetRepairComplexity(2.000000)
WarpEnergyBeamA4.SetDisabledPercentage(0.750000)
WarpEnergyBeamA4.SetRadius(0.250000)
WarpEnergyBeamA4.SetDumbfire(0)
WarpEnergyBeamA4.SetWeaponID(0)
WarpEnergyBeamA4.SetGroups(0)
WarpEnergyBeamA4.SetDamageRadiusFactor(0.200000)
WarpEnergyBeamA4.SetIconNum(335)
WarpEnergyBeamA4.SetIconPositionX(22)
WarpEnergyBeamA4.SetIconPositionY(117)
WarpEnergyBeamA4.SetIconAboveShip(1)
WarpEnergyBeamA4.SetFireSound("Borg Phaser")
WarpEnergyBeamA4.SetMaxCharge(2.000000)
WarpEnergyBeamA4.SetMaxDamage(750.000000)
WarpEnergyBeamA4.SetMaxDamageDistance(100.000000)
WarpEnergyBeamA4.SetMinFiringCharge(2.000000)
WarpEnergyBeamA4.SetNormalDischargeRate(1.000000)
WarpEnergyBeamA4.SetRechargeRate(1.500000)
WarpEnergyBeamA4.SetIndicatorIconNum(511)
WarpEnergyBeamA4.SetIndicatorIconPositionX(35)
WarpEnergyBeamA4.SetIndicatorIconPositionY(128)
WarpEnergyBeamA4Forward = App.TGPoint3()
WarpEnergyBeamA4Forward.SetXYZ(0.000000, -1.000000, 0.000000)
WarpEnergyBeamA4Up = App.TGPoint3()
WarpEnergyBeamA4Up.SetXYZ(0.000000, 0.000000, 1.000000)
WarpEnergyBeamA4.SetOrientation(WarpEnergyBeamA4Forward, WarpEnergyBeamA4Up)
WarpEnergyBeamA4.SetWidth(0.010000)
WarpEnergyBeamA4.SetLength(0.010000)
WarpEnergyBeamA4.SetArcWidthAngles(-1.178098, 1.178098)
WarpEnergyBeamA4.SetArcHeightAngles(-1.178098, 1.178098)
WarpEnergyBeamA4.SetPhaserTextureStart(7)
WarpEnergyBeamA4.SetPhaserTextureEnd(0)
WarpEnergyBeamA4.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamA4.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
WarpEnergyBeamA4.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamA4.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
WarpEnergyBeamA4.SetInnerCoreColor(kColor)
WarpEnergyBeamA4.SetNumSides(6)
WarpEnergyBeamA4.SetMainRadius(0.070000)
WarpEnergyBeamA4.SetTaperRadius(0.010000)
WarpEnergyBeamA4.SetCoreScale(0.500000)
WarpEnergyBeamA4.SetTaperRatio(0.250000)
WarpEnergyBeamA4.SetTaperMinLength(5.000000)
WarpEnergyBeamA4.SetTaperMaxLength(30.000000)
WarpEnergyBeamA4.SetLengthTextureTilePerUnit(0.500000)
WarpEnergyBeamA4.SetPerimeterTile(1.000000)
WarpEnergyBeamA4.SetTextureSpeed(2.500000)
WarpEnergyBeamA4.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEnergyBeamA4)
#################################################
PlasmaProjectorA1 = App.PhaserProperty_Create("Plasma Projector A1")

PlasmaProjectorA1.SetMaxCondition(7500.000000)
PlasmaProjectorA1.SetCritical(0)
PlasmaProjectorA1.SetTargetable(1)
PlasmaProjectorA1.SetPrimary(1)
PlasmaProjectorA1.SetPosition(-9.735547, -17.177954, 9.811759)
PlasmaProjectorA1.SetPosition2D(0.000000, 0.000000)
PlasmaProjectorA1.SetRepairComplexity(1.000000)
PlasmaProjectorA1.SetDisabledPercentage(0.500000)
PlasmaProjectorA1.SetRadius(0.250000)
PlasmaProjectorA1.SetDumbfire(0)
PlasmaProjectorA1.SetWeaponID(0)
PlasmaProjectorA1.SetGroups(0)
PlasmaProjectorA1.SetDamageRadiusFactor(0.350000)
PlasmaProjectorA1.SetIconNum(355)
PlasmaProjectorA1.SetIconPositionX(77)
PlasmaProjectorA1.SetIconPositionY(96)
PlasmaProjectorA1.SetIconAboveShip(1)
PlasmaProjectorA1.SetFireSound("Projector")
PlasmaProjectorA1.SetMaxCharge(2.000000)
PlasmaProjectorA1.SetMaxDamage(1000.000000)
PlasmaProjectorA1.SetMaxDamageDistance(100.000000)
PlasmaProjectorA1.SetMinFiringCharge(2.000000)
PlasmaProjectorA1.SetNormalDischargeRate(1.000000)
PlasmaProjectorA1.SetRechargeRate(1.500000)
PlasmaProjectorA1.SetIndicatorIconNum(511)
PlasmaProjectorA1.SetIndicatorIconPositionX(74)
PlasmaProjectorA1.SetIndicatorIconPositionY(108)
PlasmaProjectorA1Forward = App.TGPoint3()
PlasmaProjectorA1Forward.SetXYZ(0.000000, -1.000000, 0.000000)
PlasmaProjectorA1Up = App.TGPoint3()
PlasmaProjectorA1Up.SetXYZ(0.000000, 0.000000, 1.000000)
PlasmaProjectorA1.SetOrientation(PlasmaProjectorA1Forward, PlasmaProjectorA1Up)
PlasmaProjectorA1.SetWidth(0.010000)
PlasmaProjectorA1.SetLength(0.010000)
PlasmaProjectorA1.SetArcWidthAngles(-1.178098, 1.178098)
PlasmaProjectorA1.SetArcHeightAngles(-1.178098, 1.178098)
PlasmaProjectorA1.SetPhaserTextureStart(0)
PlasmaProjectorA1.SetPhaserTextureEnd(0)
PlasmaProjectorA1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.320000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorA1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.220000, 1.000000, 0.000000, 1.000000)
PlasmaProjectorA1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorA1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
PlasmaProjectorA1.SetInnerCoreColor(kColor)
PlasmaProjectorA1.SetNumSides(6)
PlasmaProjectorA1.SetMainRadius(0.100000)
PlasmaProjectorA1.SetTaperRadius(0.010000)
PlasmaProjectorA1.SetCoreScale(0.500000)
PlasmaProjectorA1.SetTaperRatio(0.250000)
PlasmaProjectorA1.SetTaperMinLength(5.000000)
PlasmaProjectorA1.SetTaperMaxLength(30.000000)
PlasmaProjectorA1.SetLengthTextureTilePerUnit(0.500000)
PlasmaProjectorA1.SetPerimeterTile(1.000000)
PlasmaProjectorA1.SetTextureSpeed(2.500000)
PlasmaProjectorA1.SetTextureName("data/CRPlasmaProjector.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaProjectorA1)
#################################################
PlasmaProjectorA2 = App.PhaserProperty_Create("Plasma Projector A2")

PlasmaProjectorA2.SetMaxCondition(7500.000000)
PlasmaProjectorA2.SetCritical(0)
PlasmaProjectorA2.SetTargetable(1)
PlasmaProjectorA2.SetPrimary(1)
PlasmaProjectorA2.SetPosition(-8.039321, -17.177954, -2.061822)
PlasmaProjectorA2.SetPosition2D(0.000000, 0.000000)
PlasmaProjectorA2.SetRepairComplexity(1.000000)
PlasmaProjectorA2.SetDisabledPercentage(0.500000)
PlasmaProjectorA2.SetRadius(0.250000)
PlasmaProjectorA2.SetDumbfire(0)
PlasmaProjectorA2.SetWeaponID(0)
PlasmaProjectorA2.SetGroups(0)
PlasmaProjectorA2.SetDamageRadiusFactor(0.350000)
PlasmaProjectorA2.SetIconNum(355)
PlasmaProjectorA2.SetIconPositionX(77)
PlasmaProjectorA2.SetIconPositionY(103)
PlasmaProjectorA2.SetIconAboveShip(1)
PlasmaProjectorA2.SetFireSound("Projector")
PlasmaProjectorA2.SetMaxCharge(2.000000)
PlasmaProjectorA2.SetMaxDamage(1000.000000)
PlasmaProjectorA2.SetMaxDamageDistance(100.000000)
PlasmaProjectorA2.SetMinFiringCharge(2.000000)
PlasmaProjectorA2.SetNormalDischargeRate(1.000000)
PlasmaProjectorA2.SetRechargeRate(1.500000)
PlasmaProjectorA2.SetIndicatorIconNum(511)
PlasmaProjectorA2.SetIndicatorIconPositionX(74)
PlasmaProjectorA2.SetIndicatorIconPositionY(115)
PlasmaProjectorA2Forward = App.TGPoint3()
PlasmaProjectorA2Forward.SetXYZ(0.000000, -1.000000, 0.000000)
PlasmaProjectorA2Up = App.TGPoint3()
PlasmaProjectorA2Up.SetXYZ(0.000000, 0.000000, 1.000000)
PlasmaProjectorA2.SetOrientation(PlasmaProjectorA2Forward, PlasmaProjectorA2Up)
PlasmaProjectorA2.SetWidth(0.010000)
PlasmaProjectorA2.SetLength(0.010000)
PlasmaProjectorA2.SetArcWidthAngles(-1.178098, 1.178098)
PlasmaProjectorA2.SetArcHeightAngles(-1.178098, 1.178098)
PlasmaProjectorA2.SetPhaserTextureStart(0)
PlasmaProjectorA2.SetPhaserTextureEnd(0)
PlasmaProjectorA2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.320000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorA2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.220000, 1.000000, 0.000000, 1.000000)
PlasmaProjectorA2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorA2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
PlasmaProjectorA2.SetInnerCoreColor(kColor)
PlasmaProjectorA2.SetNumSides(6)
PlasmaProjectorA2.SetMainRadius(0.100000)
PlasmaProjectorA2.SetTaperRadius(0.010000)
PlasmaProjectorA2.SetCoreScale(0.500000)
PlasmaProjectorA2.SetTaperRatio(0.250000)
PlasmaProjectorA2.SetTaperMinLength(5.000000)
PlasmaProjectorA2.SetTaperMaxLength(30.000000)
PlasmaProjectorA2.SetLengthTextureTilePerUnit(0.500000)
PlasmaProjectorA2.SetPerimeterTile(1.000000)
PlasmaProjectorA2.SetTextureSpeed(2.500000)
PlasmaProjectorA2.SetTextureName("data/CRPlasmaProjector.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaProjectorA2)
#################################################
PlasmaProjectorA3 = App.PhaserProperty_Create("Plasma Projector A3")

PlasmaProjectorA3.SetMaxCondition(7500.000000)
PlasmaProjectorA3.SetCritical(0)
PlasmaProjectorA3.SetTargetable(1)
PlasmaProjectorA3.SetPrimary(1)
PlasmaProjectorA3.SetPosition(15.313368, -17.177954, -1.154538)
PlasmaProjectorA3.SetPosition2D(0.000000, 0.000000)
PlasmaProjectorA3.SetRepairComplexity(1.000000)
PlasmaProjectorA3.SetDisabledPercentage(0.500000)
PlasmaProjectorA3.SetRadius(0.250000)
PlasmaProjectorA3.SetDumbfire(0)
PlasmaProjectorA3.SetWeaponID(0)
PlasmaProjectorA3.SetGroups(0)
PlasmaProjectorA3.SetDamageRadiusFactor(0.350000)
PlasmaProjectorA3.SetIconNum(355)
PlasmaProjectorA3.SetIconPositionX(77)
PlasmaProjectorA3.SetIconPositionY(110)
PlasmaProjectorA3.SetIconAboveShip(1)
PlasmaProjectorA3.SetFireSound("Projector")
PlasmaProjectorA3.SetMaxCharge(2.000000)
PlasmaProjectorA3.SetMaxDamage(1000.000000)
PlasmaProjectorA3.SetMaxDamageDistance(100.000000)
PlasmaProjectorA3.SetMinFiringCharge(2.000000)
PlasmaProjectorA3.SetNormalDischargeRate(1.000000)
PlasmaProjectorA3.SetRechargeRate(1.500000)
PlasmaProjectorA3.SetIndicatorIconNum(511)
PlasmaProjectorA3.SetIndicatorIconPositionX(74)
PlasmaProjectorA3.SetIndicatorIconPositionY(122)
PlasmaProjectorA3Forward = App.TGPoint3()
PlasmaProjectorA3Forward.SetXYZ(0.000000, -1.000000, 0.000000)
PlasmaProjectorA3Up = App.TGPoint3()
PlasmaProjectorA3Up.SetXYZ(0.000000, 0.000000, 1.000000)
PlasmaProjectorA3.SetOrientation(PlasmaProjectorA3Forward, PlasmaProjectorA3Up)
PlasmaProjectorA3.SetWidth(0.010000)
PlasmaProjectorA3.SetLength(0.010000)
PlasmaProjectorA3.SetArcWidthAngles(-1.178098, 1.178098)
PlasmaProjectorA3.SetArcHeightAngles(-1.178098, 1.178098)
PlasmaProjectorA3.SetPhaserTextureStart(0)
PlasmaProjectorA3.SetPhaserTextureEnd(0)
PlasmaProjectorA3.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.320000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorA3.SetOuterShellColor(kColor)
kColor.SetRGBA(0.220000, 1.000000, 0.000000, 1.000000)
PlasmaProjectorA3.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorA3.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
PlasmaProjectorA3.SetInnerCoreColor(kColor)
PlasmaProjectorA3.SetNumSides(6)
PlasmaProjectorA3.SetMainRadius(0.100000)
PlasmaProjectorA3.SetTaperRadius(0.010000)
PlasmaProjectorA3.SetCoreScale(0.500000)
PlasmaProjectorA3.SetTaperRatio(0.250000)
PlasmaProjectorA3.SetTaperMinLength(5.000000)
PlasmaProjectorA3.SetTaperMaxLength(30.000000)
PlasmaProjectorA3.SetLengthTextureTilePerUnit(0.500000)
PlasmaProjectorA3.SetPerimeterTile(1.000000)
PlasmaProjectorA3.SetTextureSpeed(2.500000)
PlasmaProjectorA3.SetTextureName("data/CRPlasmaProjector.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaProjectorA3)
#################################################
CuttingBeamA1 = App.PhaserProperty_Create("Cutting Beam A1")

CuttingBeamA1.SetMaxCondition(10000.000000)
CuttingBeamA1.SetCritical(0)
CuttingBeamA1.SetTargetable(1)
CuttingBeamA1.SetPrimary(1)
CuttingBeamA1.SetPosition(-15.415931, -17.177954, -12.830883)
CuttingBeamA1.SetPosition2D(0.000000, 0.000000)
CuttingBeamA1.SetRepairComplexity(1.000000)
CuttingBeamA1.SetDisabledPercentage(0.500000)
CuttingBeamA1.SetRadius(0.250000)
CuttingBeamA1.SetDumbfire(0)
CuttingBeamA1.SetWeaponID(0)
CuttingBeamA1.SetGroups(0)
CuttingBeamA1.SetDamageRadiusFactor(0.50000)
CuttingBeamA1.SetIconNum(355)
CuttingBeamA1.SetIconPositionX(77)
CuttingBeamA1.SetIconPositionY(117)
CuttingBeamA1.SetIconAboveShip(1)
CuttingBeamA1.SetFireSound("Cutting Beam")
CuttingBeamA1.SetMaxCharge(2.000000)
CuttingBeamA1.SetMaxDamage(1250.000000)
CuttingBeamA1.SetMaxDamageDistance(200.000000)
CuttingBeamA1.SetMinFiringCharge(2.000000)
CuttingBeamA1.SetNormalDischargeRate(1.000000)
CuttingBeamA1.SetRechargeRate(1.500000)
CuttingBeamA1.SetIndicatorIconNum(511)
CuttingBeamA1.SetIndicatorIconPositionX(74)
CuttingBeamA1.SetIndicatorIconPositionY(129)
CuttingBeamA1Forward = App.TGPoint3()
CuttingBeamA1Forward.SetXYZ(0.000000, -1.000000, 0.000000)
CuttingBeamA1Up = App.TGPoint3()
CuttingBeamA1Up.SetXYZ(0.000000, 0.000000, 1.000000)
CuttingBeamA1.SetOrientation(CuttingBeamA1Forward, CuttingBeamA1Up)
CuttingBeamA1.SetWidth(0.010000)
CuttingBeamA1.SetLength(0.010000)
CuttingBeamA1.SetArcWidthAngles(-1.178098, 1.178098)
CuttingBeamA1.SetArcHeightAngles(-1.178098, 1.178098)
CuttingBeamA1.SetPhaserTextureStart(0)
CuttingBeamA1.SetPhaserTextureEnd(0)
CuttingBeamA1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamA1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamA1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamA1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamA1.SetInnerCoreColor(kColor)
CuttingBeamA1.SetNumSides(12)
CuttingBeamA1.SetMainRadius(0.100000)
CuttingBeamA1.SetTaperRadius(0.010000)
CuttingBeamA1.SetCoreScale(0.500000)
CuttingBeamA1.SetTaperRatio(0.250000)
CuttingBeamA1.SetTaperMinLength(5.000000)
CuttingBeamA1.SetTaperMaxLength(30.000000)
CuttingBeamA1.SetLengthTextureTilePerUnit(0.500000)
CuttingBeamA1.SetPerimeterTile(1.000000)
CuttingBeamA1.SetTextureSpeed(2.500000)
CuttingBeamA1.SetTextureName("data/CRCutter.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(CuttingBeamA1)
#################################################
CuttingBeamA2 = App.PhaserProperty_Create("Cutting Beam A2")

CuttingBeamA2.SetMaxCondition(10000.000000)
CuttingBeamA2.SetCritical(0)
CuttingBeamA2.SetTargetable(1)
CuttingBeamA2.SetPrimary(1)
CuttingBeamA2.SetPosition(-13.680258, -17.177954, 6.498202)
CuttingBeamA2.SetPosition2D(0.000000, 0.000000)
CuttingBeamA2.SetRepairComplexity(1.000000)
CuttingBeamA2.SetDisabledPercentage(0.500000)
CuttingBeamA2.SetRadius(0.250000)
CuttingBeamA2.SetDumbfire(0)
CuttingBeamA2.SetWeaponID(0)
CuttingBeamA2.SetGroups(0)
CuttingBeamA2.SetDamageRadiusFactor(0.50000)
CuttingBeamA2.SetIconNum(363)
CuttingBeamA2.SetIconPositionX(76)
CuttingBeamA2.SetIconPositionY(104)
CuttingBeamA2.SetIconAboveShip(1)
CuttingBeamA2.SetFireSound("Cutting Beam")
CuttingBeamA2.SetMaxCharge(2.000000)
CuttingBeamA2.SetMaxDamage(1250.000000)
CuttingBeamA2.SetMaxDamageDistance(200.000000)
CuttingBeamA2.SetMinFiringCharge(2.000000)
CuttingBeamA2.SetNormalDischargeRate(1.000000)
CuttingBeamA2.SetRechargeRate(1.500000)
CuttingBeamA2.SetIndicatorIconNum(511)
CuttingBeamA2.SetIndicatorIconPositionX(69)
CuttingBeamA2.SetIndicatorIconPositionY(98)
CuttingBeamA2Forward = App.TGPoint3()
CuttingBeamA2Forward.SetXYZ(0.000000, -1.000000, 0.000000)
CuttingBeamA2Up = App.TGPoint3()
CuttingBeamA2Up.SetXYZ(0.000000, 0.000000, 1.000000)
CuttingBeamA2.SetOrientation(CuttingBeamA2Forward, CuttingBeamA2Up)
CuttingBeamA2.SetWidth(0.010000)
CuttingBeamA2.SetLength(0.010000)
CuttingBeamA2.SetArcWidthAngles(-1.178098, 1.178098)
CuttingBeamA2.SetArcHeightAngles(-1.178098, 1.178098)
CuttingBeamA2.SetPhaserTextureStart(0)
CuttingBeamA2.SetPhaserTextureEnd(0)
CuttingBeamA2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamA2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamA2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamA2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamA2.SetInnerCoreColor(kColor)
CuttingBeamA2.SetNumSides(12)
CuttingBeamA2.SetMainRadius(0.100000)
CuttingBeamA2.SetTaperRadius(0.010000)
CuttingBeamA2.SetCoreScale(0.500000)
CuttingBeamA2.SetTaperRatio(0.250000)
CuttingBeamA2.SetTaperMinLength(5.000000)
CuttingBeamA2.SetTaperMaxLength(30.000000)
CuttingBeamA2.SetLengthTextureTilePerUnit(0.500000)
CuttingBeamA2.SetPerimeterTile(1.000000)
CuttingBeamA2.SetTextureSpeed(2.500000)
CuttingBeamA2.SetTextureName("data/CRCutter.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(CuttingBeamA2)
#################################################
WarpEnergyBeamD1 = App.PhaserProperty_Create("Energy Beam D1")

WarpEnergyBeamD1.SetMaxCondition(5000.000000)
WarpEnergyBeamD1.SetCritical(0)
WarpEnergyBeamD1.SetTargetable(1)
WarpEnergyBeamD1.SetPrimary(1)
WarpEnergyBeamD1.SetPosition(7.803112, -15.363703, 17.177954)
WarpEnergyBeamD1.SetPosition2D(0.000000, 0.000000)
WarpEnergyBeamD1.SetRepairComplexity(2.000000)
WarpEnergyBeamD1.SetDisabledPercentage(0.750000)
WarpEnergyBeamD1.SetRadius(0.250000)
WarpEnergyBeamD1.SetDumbfire(0)
WarpEnergyBeamD1.SetWeaponID(0)
WarpEnergyBeamD1.SetGroups(0)
WarpEnergyBeamD1.SetDamageRadiusFactor(0.200000)
WarpEnergyBeamD1.SetIconNum(364)
WarpEnergyBeamD1.SetIconPositionX(7)
WarpEnergyBeamD1.SetIconPositionY(14)
WarpEnergyBeamD1.SetIconAboveShip(1)
WarpEnergyBeamD1.SetFireSound("Borg Phaser")
WarpEnergyBeamD1.SetMaxCharge(2.000000)
WarpEnergyBeamD1.SetMaxDamage(750.000000)
WarpEnergyBeamD1.SetMaxDamageDistance(100.000000)
WarpEnergyBeamD1.SetMinFiringCharge(2.000000)
WarpEnergyBeamD1.SetNormalDischargeRate(1.000000)
WarpEnergyBeamD1.SetRechargeRate(1.500000)
WarpEnergyBeamD1.SetIndicatorIconNum(510)
WarpEnergyBeamD1.SetIndicatorIconPositionX(0)
WarpEnergyBeamD1.SetIndicatorIconPositionY(10)
WarpEnergyBeamD1Forward = App.TGPoint3()
WarpEnergyBeamD1Forward.SetXYZ(0.000000, 0.000000, 1.000000)
WarpEnergyBeamD1Up = App.TGPoint3()
WarpEnergyBeamD1Up.SetXYZ(0.000000, 1.000000, 0.000000)
WarpEnergyBeamD1.SetOrientation(WarpEnergyBeamD1Forward, WarpEnergyBeamD1Up)
WarpEnergyBeamD1.SetWidth(0.010000)
WarpEnergyBeamD1.SetLength(0.010000)
WarpEnergyBeamD1.SetArcWidthAngles(-1.178098, 1.178098)
WarpEnergyBeamD1.SetArcHeightAngles(-1.178098, 1.178098)
WarpEnergyBeamD1.SetPhaserTextureStart(7)
WarpEnergyBeamD1.SetPhaserTextureEnd(0)
WarpEnergyBeamD1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamD1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
WarpEnergyBeamD1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamD1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
WarpEnergyBeamD1.SetInnerCoreColor(kColor)
WarpEnergyBeamD1.SetNumSides(6)
WarpEnergyBeamD1.SetMainRadius(0.070000)
WarpEnergyBeamD1.SetTaperRadius(0.010000)
WarpEnergyBeamD1.SetCoreScale(0.500000)
WarpEnergyBeamD1.SetTaperRatio(0.250000)
WarpEnergyBeamD1.SetTaperMinLength(5.000000)
WarpEnergyBeamD1.SetTaperMaxLength(30.000000)
WarpEnergyBeamD1.SetLengthTextureTilePerUnit(0.500000)
WarpEnergyBeamD1.SetPerimeterTile(1.000000)
WarpEnergyBeamD1.SetTextureSpeed(2.500000)
WarpEnergyBeamD1.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEnergyBeamD1)
#################################################
WarpEnergyBeamD2 = App.PhaserProperty_Create("Energy Beam D2")

WarpEnergyBeamD2.SetMaxCondition(5000.000000)
WarpEnergyBeamD2.SetCritical(0)
WarpEnergyBeamD2.SetTargetable(1)
WarpEnergyBeamD2.SetPrimary(1)
WarpEnergyBeamD2.SetPosition(1.491575, -3.371782, 17.177954)
WarpEnergyBeamD2.SetPosition2D(0.000000, 0.000000)
WarpEnergyBeamD2.SetRepairComplexity(2.000000)
WarpEnergyBeamD2.SetDisabledPercentage(0.750000)
WarpEnergyBeamD2.SetRadius(0.250000)
WarpEnergyBeamD2.SetDumbfire(0)
WarpEnergyBeamD2.SetWeaponID(0)
WarpEnergyBeamD2.SetGroups(0)
WarpEnergyBeamD2.SetDamageRadiusFactor(0.200000)
WarpEnergyBeamD2.SetIconNum(364)
WarpEnergyBeamD2.SetIconPositionX(7)
WarpEnergyBeamD2.SetIconPositionY(21)
WarpEnergyBeamD2.SetIconAboveShip(1)
WarpEnergyBeamD2.SetFireSound("Borg Phaser")
WarpEnergyBeamD2.SetMaxCharge(2.000000)
WarpEnergyBeamD2.SetMaxDamage(750.000000)
WarpEnergyBeamD2.SetMaxDamageDistance(100.000000)
WarpEnergyBeamD2.SetMinFiringCharge(2.000000)
WarpEnergyBeamD2.SetNormalDischargeRate(1.000000)
WarpEnergyBeamD2.SetRechargeRate(1.500000)
WarpEnergyBeamD2.SetIndicatorIconNum(510)
WarpEnergyBeamD2.SetIndicatorIconPositionX(0)
WarpEnergyBeamD2.SetIndicatorIconPositionY(17)
WarpEnergyBeamD2Forward = App.TGPoint3()
WarpEnergyBeamD2Forward.SetXYZ(0.000000, 0.000000, 1.000000)
WarpEnergyBeamD2Up = App.TGPoint3()
WarpEnergyBeamD2Up.SetXYZ(0.000000, 1.000000, 0.000000)
WarpEnergyBeamD2.SetOrientation(WarpEnergyBeamD2Forward, WarpEnergyBeamD2Up)
WarpEnergyBeamD2.SetWidth(0.010000)
WarpEnergyBeamD2.SetLength(0.010000)
WarpEnergyBeamD2.SetArcWidthAngles(-1.178098, 1.178098)
WarpEnergyBeamD2.SetArcHeightAngles(-1.178098, 1.178098)
WarpEnergyBeamD2.SetPhaserTextureStart(7)
WarpEnergyBeamD2.SetPhaserTextureEnd(0)
WarpEnergyBeamD2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamD2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
WarpEnergyBeamD2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamD2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
WarpEnergyBeamD2.SetInnerCoreColor(kColor)
WarpEnergyBeamD2.SetNumSides(6)
WarpEnergyBeamD2.SetMainRadius(0.070000)
WarpEnergyBeamD2.SetTaperRadius(0.010000)
WarpEnergyBeamD2.SetCoreScale(0.500000)
WarpEnergyBeamD2.SetTaperRatio(0.250000)
WarpEnergyBeamD2.SetTaperMinLength(5.000000)
WarpEnergyBeamD2.SetTaperMaxLength(30.000000)
WarpEnergyBeamD2.SetLengthTextureTilePerUnit(0.500000)
WarpEnergyBeamD2.SetPerimeterTile(1.000000)
WarpEnergyBeamD2.SetTextureSpeed(2.500000)
WarpEnergyBeamD2.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEnergyBeamD2)
#################################################
WarpEnergyBeamD3 = App.PhaserProperty_Create("Energy Beam D3")

WarpEnergyBeamD3.SetMaxCondition(5000.000000)
WarpEnergyBeamD3.SetCritical(0)
WarpEnergyBeamD3.SetTargetable(1)
WarpEnergyBeamD3.SetPrimary(1)
WarpEnergyBeamD3.SetPosition(-1.821984, 4.044276, 17.177954)
WarpEnergyBeamD3.SetPosition2D(0.000000, 0.000000)
WarpEnergyBeamD3.SetRepairComplexity(2.000000)
WarpEnergyBeamD3.SetDisabledPercentage(0.750000)
WarpEnergyBeamD3.SetRadius(0.250000)
WarpEnergyBeamD3.SetDumbfire(0)
WarpEnergyBeamD3.SetWeaponID(0)
WarpEnergyBeamD3.SetGroups(0)
WarpEnergyBeamD3.SetDamageRadiusFactor(0.200000)
WarpEnergyBeamD3.SetIconNum(364)
WarpEnergyBeamD3.SetIconPositionX(7)
WarpEnergyBeamD3.SetIconPositionY(28)
WarpEnergyBeamD3.SetIconAboveShip(1)
WarpEnergyBeamD3.SetFireSound("Borg Phaser")
WarpEnergyBeamD3.SetMaxCharge(2.000000)
WarpEnergyBeamD3.SetMaxDamage(750.000000)
WarpEnergyBeamD3.SetMaxDamageDistance(100.000000)
WarpEnergyBeamD3.SetMinFiringCharge(2.000000)
WarpEnergyBeamD3.SetNormalDischargeRate(1.000000)
WarpEnergyBeamD3.SetRechargeRate(1.500000)
WarpEnergyBeamD3.SetIndicatorIconNum(510)
WarpEnergyBeamD3.SetIndicatorIconPositionX(0)
WarpEnergyBeamD3.SetIndicatorIconPositionY(24)
WarpEnergyBeamD3Forward = App.TGPoint3()
WarpEnergyBeamD3Forward.SetXYZ(0.000000, 0.000000, 1.000000)
WarpEnergyBeamD3Up = App.TGPoint3()
WarpEnergyBeamD3Up.SetXYZ(0.000000, 1.000000, 0.000000)
WarpEnergyBeamD3.SetOrientation(WarpEnergyBeamD3Forward, WarpEnergyBeamD3Up)
WarpEnergyBeamD3.SetWidth(0.010000)
WarpEnergyBeamD3.SetLength(0.010000)
WarpEnergyBeamD3.SetArcWidthAngles(-1.178098, 1.178098)
WarpEnergyBeamD3.SetArcHeightAngles(-1.178098, 1.178098)
WarpEnergyBeamD3.SetPhaserTextureStart(7)
WarpEnergyBeamD3.SetPhaserTextureEnd(0)
WarpEnergyBeamD3.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamD3.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
WarpEnergyBeamD3.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamD3.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
WarpEnergyBeamD3.SetInnerCoreColor(kColor)
WarpEnergyBeamD3.SetNumSides(6)
WarpEnergyBeamD3.SetMainRadius(0.070000)
WarpEnergyBeamD3.SetTaperRadius(0.010000)
WarpEnergyBeamD3.SetCoreScale(0.500000)
WarpEnergyBeamD3.SetTaperRatio(0.250000)
WarpEnergyBeamD3.SetTaperMinLength(5.000000)
WarpEnergyBeamD3.SetTaperMaxLength(30.000000)
WarpEnergyBeamD3.SetLengthTextureTilePerUnit(0.500000)
WarpEnergyBeamD3.SetPerimeterTile(1.000000)
WarpEnergyBeamD3.SetTextureSpeed(2.500000)
WarpEnergyBeamD3.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEnergyBeamD3)
#################################################
WarpEnergyBeamD4 = App.PhaserProperty_Create("Energy Beam D4")

WarpEnergyBeamD4.SetMaxCondition(5000.000000)
WarpEnergyBeamD4.SetCritical(0)
WarpEnergyBeamD4.SetTargetable(1)
WarpEnergyBeamD4.SetPrimary(1)
WarpEnergyBeamD4.SetPosition(1.754450, 16.351774, 17.177954)
WarpEnergyBeamD4.SetPosition2D(0.000000, 0.000000)
WarpEnergyBeamD4.SetRepairComplexity(2.000000)
WarpEnergyBeamD4.SetDisabledPercentage(0.750000)
WarpEnergyBeamD4.SetRadius(0.250000)
WarpEnergyBeamD4.SetDumbfire(0)
WarpEnergyBeamD4.SetWeaponID(0)
WarpEnergyBeamD4.SetGroups(0)
WarpEnergyBeamD4.SetDamageRadiusFactor(0.200000)
WarpEnergyBeamD4.SetIconNum(364)
WarpEnergyBeamD4.SetIconPositionX(7)
WarpEnergyBeamD4.SetIconPositionY(35)
WarpEnergyBeamD4.SetIconAboveShip(1)
WarpEnergyBeamD4.SetFireSound("Borg Phaser")
WarpEnergyBeamD4.SetMaxCharge(2.000000)
WarpEnergyBeamD4.SetMaxDamage(750.000000)
WarpEnergyBeamD4.SetMaxDamageDistance(100.000000)
WarpEnergyBeamD4.SetMinFiringCharge(2.000000)
WarpEnergyBeamD4.SetNormalDischargeRate(1.000000)
WarpEnergyBeamD4.SetRechargeRate(1.500000)
WarpEnergyBeamD4.SetIndicatorIconNum(510)
WarpEnergyBeamD4.SetIndicatorIconPositionX(0)
WarpEnergyBeamD4.SetIndicatorIconPositionY(31)
WarpEnergyBeamD4Forward = App.TGPoint3()
WarpEnergyBeamD4Forward.SetXYZ(0.000000, 0.000000, 1.000000)
WarpEnergyBeamD4Up = App.TGPoint3()
WarpEnergyBeamD4Up.SetXYZ(0.000000, 1.000000, 0.000000)
WarpEnergyBeamD4.SetOrientation(WarpEnergyBeamD4Forward, WarpEnergyBeamD4Up)
WarpEnergyBeamD4.SetWidth(0.010000)
WarpEnergyBeamD4.SetLength(0.010000)
WarpEnergyBeamD4.SetArcWidthAngles(-1.178098, 1.178098)
WarpEnergyBeamD4.SetArcHeightAngles(-1.178098, 1.178098)
WarpEnergyBeamD4.SetPhaserTextureStart(7)
WarpEnergyBeamD4.SetPhaserTextureEnd(0)
WarpEnergyBeamD4.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamD4.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
WarpEnergyBeamD4.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamD4.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
WarpEnergyBeamD4.SetInnerCoreColor(kColor)
WarpEnergyBeamD4.SetNumSides(6)
WarpEnergyBeamD4.SetMainRadius(0.070000)
WarpEnergyBeamD4.SetTaperRadius(0.010000)
WarpEnergyBeamD4.SetCoreScale(0.500000)
WarpEnergyBeamD4.SetTaperRatio(0.250000)
WarpEnergyBeamD4.SetTaperMinLength(5.000000)
WarpEnergyBeamD4.SetTaperMaxLength(30.000000)
WarpEnergyBeamD4.SetLengthTextureTilePerUnit(0.500000)
WarpEnergyBeamD4.SetPerimeterTile(1.000000)
WarpEnergyBeamD4.SetTextureSpeed(2.500000)
WarpEnergyBeamD4.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEnergyBeamD4)
#################################################
PlasmaProjectorD1 = App.PhaserProperty_Create("Plasma Projector D1")

PlasmaProjectorD1.SetMaxCondition(7500.000000)
PlasmaProjectorD1.SetCritical(0)
PlasmaProjectorD1.SetTargetable(1)
PlasmaProjectorD1.SetPrimary(1)
PlasmaProjectorD1.SetPosition(12.273732, 15.089466, 17.177954)
PlasmaProjectorD1.SetPosition2D(0.000000, 0.000000)
PlasmaProjectorD1.SetRepairComplexity(1.000000)
PlasmaProjectorD1.SetDisabledPercentage(0.500000)
PlasmaProjectorD1.SetRadius(0.250000)
PlasmaProjectorD1.SetDumbfire(0)
PlasmaProjectorD1.SetWeaponID(0)
PlasmaProjectorD1.SetGroups(0)
PlasmaProjectorD1.SetDamageRadiusFactor(0.350000)
PlasmaProjectorD1.SetIconNum(364)
PlasmaProjectorD1.SetIconPositionX(115)
PlasmaProjectorD1.SetIconPositionY(14)
PlasmaProjectorD1.SetIconAboveShip(1)
PlasmaProjectorD1.SetFireSound("Projector")
PlasmaProjectorD1.SetMaxCharge(2.000000)
PlasmaProjectorD1.SetMaxDamage(1000.000000)
PlasmaProjectorD1.SetMaxDamageDistance(100.000000)
PlasmaProjectorD1.SetMinFiringCharge(2.000000)
PlasmaProjectorD1.SetNormalDischargeRate(1.000000)
PlasmaProjectorD1.SetRechargeRate(1.500000)
PlasmaProjectorD1.SetIndicatorIconNum(510)
PlasmaProjectorD1.SetIndicatorIconPositionX(108)
PlasmaProjectorD1.SetIndicatorIconPositionY(10)
PlasmaProjectorD1Forward = App.TGPoint3()
PlasmaProjectorD1Forward.SetXYZ(0.000000, 0.000000, 1.000000)
PlasmaProjectorD1Up = App.TGPoint3()
PlasmaProjectorD1Up.SetXYZ(0.000000, 1.000000, 0.000000)
PlasmaProjectorD1.SetOrientation(PlasmaProjectorD1Forward, PlasmaProjectorD1Up)
PlasmaProjectorD1.SetWidth(0.010000)
PlasmaProjectorD1.SetLength(0.010000)
PlasmaProjectorD1.SetArcWidthAngles(-1.178098, 1.178098)
PlasmaProjectorD1.SetArcHeightAngles(-1.178098, 1.178098)
PlasmaProjectorD1.SetPhaserTextureStart(0)
PlasmaProjectorD1.SetPhaserTextureEnd(0)
PlasmaProjectorD1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.320000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorD1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.220000, 1.000000, 0.000000, 1.000000)
PlasmaProjectorD1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorD1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
PlasmaProjectorD1.SetInnerCoreColor(kColor)
PlasmaProjectorD1.SetNumSides(6)
PlasmaProjectorD1.SetMainRadius(0.100000)
PlasmaProjectorD1.SetTaperRadius(0.010000)
PlasmaProjectorD1.SetCoreScale(0.500000)
PlasmaProjectorD1.SetTaperRatio(0.250000)
PlasmaProjectorD1.SetTaperMinLength(5.000000)
PlasmaProjectorD1.SetTaperMaxLength(30.000000)
PlasmaProjectorD1.SetLengthTextureTilePerUnit(0.500000)
PlasmaProjectorD1.SetPerimeterTile(1.000000)
PlasmaProjectorD1.SetTextureSpeed(2.500000)
PlasmaProjectorD1.SetTextureName("data/CRPlasmaProjector.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaProjectorD1)
#################################################
PlasmaProjectorD2 = App.PhaserProperty_Create("Plasma Projector D2")

PlasmaProjectorD2.SetMaxCondition(7500.000000)
PlasmaProjectorD2.SetCritical(0)
PlasmaProjectorD2.SetTargetable(1)
PlasmaProjectorD2.SetPrimary(1)
PlasmaProjectorD2.SetPosition(-11.184203, -15.521491, 17.177954)
PlasmaProjectorD2.SetPosition2D(0.000000, 0.000000)
PlasmaProjectorD2.SetRepairComplexity(1.000000)
PlasmaProjectorD2.SetDisabledPercentage(0.500000)
PlasmaProjectorD2.SetRadius(0.250000)
PlasmaProjectorD2.SetDumbfire(0)
PlasmaProjectorD2.SetWeaponID(0)
PlasmaProjectorD2.SetGroups(0)
PlasmaProjectorD2.SetDamageRadiusFactor(0.350000)
PlasmaProjectorD2.SetIconNum(364)
PlasmaProjectorD2.SetIconPositionX(115)
PlasmaProjectorD2.SetIconPositionY(21)
PlasmaProjectorD2.SetIconAboveShip(1)
PlasmaProjectorD2.SetFireSound("Projector")
PlasmaProjectorD2.SetMaxCharge(2.000000)
PlasmaProjectorD2.SetMaxDamage(1000.000000)
PlasmaProjectorD2.SetMaxDamageDistance(100.000000)
PlasmaProjectorD2.SetMinFiringCharge(2.000000)
PlasmaProjectorD2.SetNormalDischargeRate(1.000000)
PlasmaProjectorD2.SetRechargeRate(1.500000)
PlasmaProjectorD2.SetIndicatorIconNum(510)
PlasmaProjectorD2.SetIndicatorIconPositionX(108)
PlasmaProjectorD2.SetIndicatorIconPositionY(17)
PlasmaProjectorD2Forward = App.TGPoint3()
PlasmaProjectorD2Forward.SetXYZ(0.000000, 0.000000, 1.000000)
PlasmaProjectorD2Up = App.TGPoint3()
PlasmaProjectorD2Up.SetXYZ(0.000000, 1.000000, 0.000000)
PlasmaProjectorD2.SetOrientation(PlasmaProjectorD2Forward, PlasmaProjectorD2Up)
PlasmaProjectorD2.SetWidth(0.010000)
PlasmaProjectorD2.SetLength(0.010000)
PlasmaProjectorD2.SetArcWidthAngles(-1.178098, 1.178098)
PlasmaProjectorD2.SetArcHeightAngles(-1.178098, 1.178098)
PlasmaProjectorD2.SetPhaserTextureStart(0)
PlasmaProjectorD2.SetPhaserTextureEnd(0)
PlasmaProjectorD2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.320000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorD2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.220000, 1.000000, 0.000000, 1.000000)
PlasmaProjectorD2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorD2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
PlasmaProjectorD2.SetInnerCoreColor(kColor)
PlasmaProjectorD2.SetNumSides(6)
PlasmaProjectorD2.SetMainRadius(0.100000)
PlasmaProjectorD2.SetTaperRadius(0.010000)
PlasmaProjectorD2.SetCoreScale(0.500000)
PlasmaProjectorD2.SetTaperRatio(0.250000)
PlasmaProjectorD2.SetTaperMinLength(5.000000)
PlasmaProjectorD2.SetTaperMaxLength(30.000000)
PlasmaProjectorD2.SetLengthTextureTilePerUnit(0.500000)
PlasmaProjectorD2.SetPerimeterTile(1.000000)
PlasmaProjectorD2.SetTextureSpeed(2.500000)
PlasmaProjectorD2.SetTextureName("data/CRPlasmaProjector.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaProjectorD2)
#################################################
PlasmaProjectorD3 = App.PhaserProperty_Create("Plasma Projector D3")

PlasmaProjectorD3.SetMaxCondition(7500.000000)
PlasmaProjectorD3.SetCritical(0)
PlasmaProjectorD3.SetTargetable(1)
PlasmaProjectorD3.SetPrimary(1)
PlasmaProjectorD3.SetPosition(-1.559108, -10.472261, 17.177954)
PlasmaProjectorD3.SetPosition2D(0.000000, 0.000000)
PlasmaProjectorD3.SetRepairComplexity(1.000000)
PlasmaProjectorD3.SetDisabledPercentage(0.500000)
PlasmaProjectorD3.SetRadius(0.250000)
PlasmaProjectorD3.SetDumbfire(0)
PlasmaProjectorD3.SetWeaponID(0)
PlasmaProjectorD3.SetGroups(0)
PlasmaProjectorD3.SetDamageRadiusFactor(0.350000)
PlasmaProjectorD3.SetIconNum(364)
PlasmaProjectorD3.SetIconPositionX(115)
PlasmaProjectorD3.SetIconPositionY(28)
PlasmaProjectorD3.SetIconAboveShip(1)
PlasmaProjectorD3.SetFireSound("Projector")
PlasmaProjectorD3.SetMaxCharge(2.000000)
PlasmaProjectorD3.SetMaxDamage(1000.000000)
PlasmaProjectorD3.SetMaxDamageDistance(100.000000)
PlasmaProjectorD3.SetMinFiringCharge(2.000000)
PlasmaProjectorD3.SetNormalDischargeRate(1.000000)
PlasmaProjectorD3.SetRechargeRate(1.500000)
PlasmaProjectorD3.SetIndicatorIconNum(510)
PlasmaProjectorD3.SetIndicatorIconPositionX(108)
PlasmaProjectorD3.SetIndicatorIconPositionY(24)
PlasmaProjectorD3Forward = App.TGPoint3()
PlasmaProjectorD3Forward.SetXYZ(0.000000, 0.000000, 1.000000)
PlasmaProjectorD3Up = App.TGPoint3()
PlasmaProjectorD3Up.SetXYZ(0.000000, 1.000000, 0.000000)
PlasmaProjectorD3.SetOrientation(PlasmaProjectorD3Forward, PlasmaProjectorD3Up)
PlasmaProjectorD3.SetWidth(0.010000)
PlasmaProjectorD3.SetLength(0.010000)
PlasmaProjectorD3.SetArcWidthAngles(-1.178098, 1.178098)
PlasmaProjectorD3.SetArcHeightAngles(-1.178098, 1.178098)
PlasmaProjectorD3.SetPhaserTextureStart(0)
PlasmaProjectorD3.SetPhaserTextureEnd(0)
PlasmaProjectorD3.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.320000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorD3.SetOuterShellColor(kColor)
kColor.SetRGBA(0.220000, 1.000000, 0.000000, 1.000000)
PlasmaProjectorD3.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorD3.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
PlasmaProjectorD3.SetInnerCoreColor(kColor)
PlasmaProjectorD3.SetNumSides(6)
PlasmaProjectorD3.SetMainRadius(0.100000)
PlasmaProjectorD3.SetTaperRadius(0.010000)
PlasmaProjectorD3.SetCoreScale(0.500000)
PlasmaProjectorD3.SetTaperRatio(0.250000)
PlasmaProjectorD3.SetTaperMinLength(5.000000)
PlasmaProjectorD3.SetTaperMaxLength(30.000000)
PlasmaProjectorD3.SetLengthTextureTilePerUnit(0.500000)
PlasmaProjectorD3.SetPerimeterTile(1.000000)
PlasmaProjectorD3.SetTextureSpeed(2.500000)
PlasmaProjectorD3.SetTextureName("data/CRPlasmaProjector.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaProjectorD3)
#################################################
CuttingBeamD1 = App.PhaserProperty_Create("Cutting Beam D1")

CuttingBeamD1.SetMaxCondition(10000.000000)
CuttingBeamD1.SetCritical(0)
CuttingBeamD1.SetTargetable(1)
CuttingBeamD1.SetPrimary(1)
CuttingBeamD1.SetPosition(-7.449824, 15.667919, 17.177954)
CuttingBeamD1.SetPosition2D(0.000000, 0.000000)
CuttingBeamD1.SetRepairComplexity(1.000000)
CuttingBeamD1.SetDisabledPercentage(0.500000)
CuttingBeamD1.SetRadius(0.250000)
CuttingBeamD1.SetDumbfire(0)
CuttingBeamD1.SetWeaponID(0)
CuttingBeamD1.SetGroups(0)
CuttingBeamD1.SetDamageRadiusFactor(0.50000)
CuttingBeamD1.SetIconNum(364)
CuttingBeamD1.SetIconPositionX(115)
CuttingBeamD1.SetIconPositionY(35)
CuttingBeamD1.SetIconAboveShip(1)
CuttingBeamD1.SetFireSound("Cutting Beam")
CuttingBeamD1.SetMaxCharge(2.000000)
CuttingBeamD1.SetMaxDamage(1250.000000)
CuttingBeamD1.SetMaxDamageDistance(200.000000)
CuttingBeamD1.SetMinFiringCharge(2.000000)
CuttingBeamD1.SetNormalDischargeRate(1.000000)
CuttingBeamD1.SetRechargeRate(1.500000)
CuttingBeamD1.SetIndicatorIconNum(510)
CuttingBeamD1.SetIndicatorIconPositionX(108)
CuttingBeamD1.SetIndicatorIconPositionY(31)
CuttingBeamD1Forward = App.TGPoint3()
CuttingBeamD1Forward.SetXYZ(0.000000, 0.000000, 1.000000)
CuttingBeamD1Up = App.TGPoint3()
CuttingBeamD1Up.SetXYZ(0.000000, 1.000000, 0.000000)
CuttingBeamD1.SetOrientation(CuttingBeamD1Forward, CuttingBeamD1Up)
CuttingBeamD1.SetWidth(0.010000)
CuttingBeamD1.SetLength(0.010000)
CuttingBeamD1.SetArcWidthAngles(-1.178098, 1.178098)
CuttingBeamD1.SetArcHeightAngles(-1.178098, 1.178098)
CuttingBeamD1.SetPhaserTextureStart(0)
CuttingBeamD1.SetPhaserTextureEnd(0)
CuttingBeamD1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamD1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamD1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamD1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamD1.SetInnerCoreColor(kColor)
CuttingBeamD1.SetNumSides(12)
CuttingBeamD1.SetMainRadius(0.100000)
CuttingBeamD1.SetTaperRadius(0.010000)
CuttingBeamD1.SetCoreScale(0.500000)
CuttingBeamD1.SetTaperRatio(0.250000)
CuttingBeamD1.SetTaperMinLength(5.000000)
CuttingBeamD1.SetTaperMaxLength(30.000000)
CuttingBeamD1.SetLengthTextureTilePerUnit(0.500000)
CuttingBeamD1.SetPerimeterTile(1.000000)
CuttingBeamD1.SetTextureSpeed(2.500000)
CuttingBeamD1.SetTextureName("data/CRCutter.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(CuttingBeamD1)
#################################################
CuttingBeamD2 = App.PhaserProperty_Create("Cutting Beam D2")

CuttingBeamD2.SetMaxCondition(10000.000000)
CuttingBeamD2.SetCritical(0)
CuttingBeamD2.SetTargetable(1)
CuttingBeamD2.SetPrimary(1)
CuttingBeamD2.SetPosition(1.228541, -6.369762, 17.177954)
CuttingBeamD2.SetPosition2D(0.000000, 0.000000)
CuttingBeamD2.SetRepairComplexity(1.000000)
CuttingBeamD2.SetDisabledPercentage(0.500000)
CuttingBeamD2.SetRadius(0.250000)
CuttingBeamD2.SetDumbfire(0)
CuttingBeamD2.SetWeaponID(0)
CuttingBeamD2.SetGroups(0)
CuttingBeamD2.SetDamageRadiusFactor(0.50000)
CuttingBeamD2.SetIconNum(364)
CuttingBeamD2.SetIconPositionX(76)
CuttingBeamD2.SetIconPositionY(33)
CuttingBeamD2.SetIconAboveShip(1)
CuttingBeamD2.SetFireSound("Cutting Beam")
CuttingBeamD2.SetMaxCharge(2.000000)
CuttingBeamD2.SetMaxDamage(1250.000000)
CuttingBeamD2.SetMaxDamageDistance(200.000000)
CuttingBeamD2.SetMinFiringCharge(2.000000)
CuttingBeamD2.SetNormalDischargeRate(1.000000)
CuttingBeamD2.SetRechargeRate(1.500000)
CuttingBeamD2.SetIndicatorIconNum(510)
CuttingBeamD2.SetIndicatorIconPositionX(69)
CuttingBeamD2.SetIndicatorIconPositionY(29)
CuttingBeamD2Forward = App.TGPoint3()
CuttingBeamD2Forward.SetXYZ(0.000000, 0.000000, 1.000000)
CuttingBeamD2Up = App.TGPoint3()
CuttingBeamD2Up.SetXYZ(0.000000, 1.000000, 0.000000)
CuttingBeamD2.SetOrientation(CuttingBeamD2Forward, CuttingBeamD2Up)
CuttingBeamD2.SetWidth(0.010000)
CuttingBeamD2.SetLength(0.010000)
CuttingBeamD2.SetArcWidthAngles(-1.178098, 1.178098)
CuttingBeamD2.SetArcHeightAngles(-1.178098, 1.178098)
CuttingBeamD2.SetPhaserTextureStart(0)
CuttingBeamD2.SetPhaserTextureEnd(0)
CuttingBeamD2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamD2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamD2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamD2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamD2.SetInnerCoreColor(kColor)
CuttingBeamD2.SetNumSides(12)
CuttingBeamD2.SetMainRadius(0.100000)
CuttingBeamD2.SetTaperRadius(0.010000)
CuttingBeamD2.SetCoreScale(0.500000)
CuttingBeamD2.SetTaperRatio(0.250000)
CuttingBeamD2.SetTaperMinLength(5.000000)
CuttingBeamD2.SetTaperMaxLength(30.000000)
CuttingBeamD2.SetLengthTextureTilePerUnit(0.500000)
CuttingBeamD2.SetPerimeterTile(1.000000)
CuttingBeamD2.SetTextureSpeed(2.500000)
CuttingBeamD2.SetTextureName("data/CRCutter.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(CuttingBeamD2)
#################################################
WarpEnergyBeamV1 = App.PhaserProperty_Create("Energy Beam V1")

WarpEnergyBeamV1.SetMaxCondition(5000.000000)
WarpEnergyBeamV1.SetCritical(0)
WarpEnergyBeamV1.SetTargetable(1)
WarpEnergyBeamV1.SetPrimary(1)
WarpEnergyBeamV1.SetPosition(7.803112, -15.363703, -17.177954)
WarpEnergyBeamV1.SetPosition2D(0.000000, 0.000000)
WarpEnergyBeamV1.SetRepairComplexity(2.000000)
WarpEnergyBeamV1.SetDisabledPercentage(0.750000)
WarpEnergyBeamV1.SetRadius(0.250000)
WarpEnergyBeamV1.SetDumbfire(0)
WarpEnergyBeamV1.SetWeaponID(0)
WarpEnergyBeamV1.SetGroups(0)
WarpEnergyBeamV1.SetDamageRadiusFactor(0.200000)
WarpEnergyBeamV1.SetIconNum(363)
WarpEnergyBeamV1.SetIconPositionX(7)
WarpEnergyBeamV1.SetIconPositionY(97)
WarpEnergyBeamV1.SetIconAboveShip(1)
WarpEnergyBeamV1.SetFireSound("Borg Phaser")
WarpEnergyBeamV1.SetMaxCharge(2.000000)
WarpEnergyBeamV1.SetMaxDamage(750.000000)
WarpEnergyBeamV1.SetMaxDamageDistance(100.000000)
WarpEnergyBeamV1.SetMinFiringCharge(2.000000)
WarpEnergyBeamV1.SetNormalDischargeRate(1.000000)
WarpEnergyBeamV1.SetRechargeRate(1.500000)
WarpEnergyBeamV1.SetIndicatorIconNum(511)
WarpEnergyBeamV1.SetIndicatorIconPositionX(1)
WarpEnergyBeamV1.SetIndicatorIconPositionY(93)
WarpEnergyBeamV1Forward = App.TGPoint3()
WarpEnergyBeamV1Forward.SetXYZ(0.000000, 0.000000, -1.000000)
WarpEnergyBeamV1Up = App.TGPoint3()
WarpEnergyBeamV1Up.SetXYZ(0.000000, 1.000000, 0.000000)
WarpEnergyBeamV1.SetOrientation(WarpEnergyBeamV1Forward, WarpEnergyBeamV1Up)
WarpEnergyBeamV1.SetWidth(0.010000)
WarpEnergyBeamV1.SetLength(0.010000)
WarpEnergyBeamV1.SetArcWidthAngles(-1.178098, 1.178098)
WarpEnergyBeamV1.SetArcHeightAngles(-1.178098, 1.178098)
WarpEnergyBeamV1.SetPhaserTextureStart(7)
WarpEnergyBeamV1.SetPhaserTextureEnd(0)
WarpEnergyBeamV1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamV1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
WarpEnergyBeamV1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamV1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
WarpEnergyBeamV1.SetInnerCoreColor(kColor)
WarpEnergyBeamV1.SetNumSides(6)
WarpEnergyBeamV1.SetMainRadius(0.070000)
WarpEnergyBeamV1.SetTaperRadius(0.010000)
WarpEnergyBeamV1.SetCoreScale(0.500000)
WarpEnergyBeamV1.SetTaperRatio(0.250000)
WarpEnergyBeamV1.SetTaperMinLength(5.000000)
WarpEnergyBeamV1.SetTaperMaxLength(30.000000)
WarpEnergyBeamV1.SetLengthTextureTilePerUnit(0.500000)
WarpEnergyBeamV1.SetPerimeterTile(1.000000)
WarpEnergyBeamV1.SetTextureSpeed(2.500000)
WarpEnergyBeamV1.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEnergyBeamV1)
#################################################
WarpEnergyBeamV2 = App.PhaserProperty_Create("Energy Beam V2")

WarpEnergyBeamV2.SetMaxCondition(5000.000000)
WarpEnergyBeamV2.SetCritical(0)
WarpEnergyBeamV2.SetTargetable(1)
WarpEnergyBeamV2.SetPrimary(1)
WarpEnergyBeamV2.SetPosition(1.491575, -3.371782, -17.177954)
WarpEnergyBeamV2.SetPosition2D(0.000000, 0.000000)
WarpEnergyBeamV2.SetRepairComplexity(2.000000)
WarpEnergyBeamV2.SetDisabledPercentage(0.750000)
WarpEnergyBeamV2.SetRadius(0.250000)
WarpEnergyBeamV2.SetDumbfire(0)
WarpEnergyBeamV2.SetWeaponID(0)
WarpEnergyBeamV2.SetGroups(0)
WarpEnergyBeamV2.SetDamageRadiusFactor(0.200000)
WarpEnergyBeamV2.SetIconNum(363)
WarpEnergyBeamV2.SetIconPositionX(7)
WarpEnergyBeamV2.SetIconPositionY(104)
WarpEnergyBeamV2.SetIconAboveShip(1)
WarpEnergyBeamV2.SetFireSound("Borg Phaser")
WarpEnergyBeamV2.SetMaxCharge(2.000000)
WarpEnergyBeamV2.SetMaxDamage(750.000000)
WarpEnergyBeamV2.SetMaxDamageDistance(100.000000)
WarpEnergyBeamV2.SetMinFiringCharge(2.000000)
WarpEnergyBeamV2.SetNormalDischargeRate(1.000000)
WarpEnergyBeamV2.SetRechargeRate(1.500000)
WarpEnergyBeamV2.SetIndicatorIconNum(511)
WarpEnergyBeamV2.SetIndicatorIconPositionX(1)
WarpEnergyBeamV2.SetIndicatorIconPositionY(100)
WarpEnergyBeamV2Forward = App.TGPoint3()
WarpEnergyBeamV2Forward.SetXYZ(0.000000, 0.000000, -1.000000)
WarpEnergyBeamV2Up = App.TGPoint3()
WarpEnergyBeamV2Up.SetXYZ(0.000000, 1.000000, 0.000000)
WarpEnergyBeamV2.SetOrientation(WarpEnergyBeamV2Forward, WarpEnergyBeamV2Up)
WarpEnergyBeamV2.SetWidth(0.010000)
WarpEnergyBeamV2.SetLength(0.010000)
WarpEnergyBeamV2.SetArcWidthAngles(-1.178098, 1.178098)
WarpEnergyBeamV2.SetArcHeightAngles(-1.178098, 1.178098)
WarpEnergyBeamV2.SetPhaserTextureStart(7)
WarpEnergyBeamV2.SetPhaserTextureEnd(0)
WarpEnergyBeamV2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamV2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
WarpEnergyBeamV2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamV2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
WarpEnergyBeamV2.SetInnerCoreColor(kColor)
WarpEnergyBeamV2.SetNumSides(6)
WarpEnergyBeamV2.SetMainRadius(0.070000)
WarpEnergyBeamV2.SetTaperRadius(0.010000)
WarpEnergyBeamV2.SetCoreScale(0.500000)
WarpEnergyBeamV2.SetTaperRatio(0.250000)
WarpEnergyBeamV2.SetTaperMinLength(5.000000)
WarpEnergyBeamV2.SetTaperMaxLength(30.000000)
WarpEnergyBeamV2.SetLengthTextureTilePerUnit(0.500000)
WarpEnergyBeamV2.SetPerimeterTile(1.000000)
WarpEnergyBeamV2.SetTextureSpeed(2.500000)
WarpEnergyBeamV2.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEnergyBeamV2)
#################################################
WarpEnergyBeamV3 = App.PhaserProperty_Create("Energy Beam V3")

WarpEnergyBeamV3.SetMaxCondition(5000.000000)
WarpEnergyBeamV3.SetCritical(0)
WarpEnergyBeamV3.SetTargetable(1)
WarpEnergyBeamV3.SetPrimary(1)
WarpEnergyBeamV3.SetPosition(-1.821984, 4.044276, -17.177954)
WarpEnergyBeamV3.SetPosition2D(0.000000, 0.000000)
WarpEnergyBeamV3.SetRepairComplexity(2.000000)
WarpEnergyBeamV3.SetDisabledPercentage(0.750000)
WarpEnergyBeamV3.SetRadius(0.250000)
WarpEnergyBeamV3.SetDumbfire(0)
WarpEnergyBeamV3.SetWeaponID(0)
WarpEnergyBeamV3.SetGroups(0)
WarpEnergyBeamV3.SetDamageRadiusFactor(0.200000)
WarpEnergyBeamV3.SetIconNum(363)
WarpEnergyBeamV3.SetIconPositionX(7)
WarpEnergyBeamV3.SetIconPositionY(111)
WarpEnergyBeamV3.SetIconAboveShip(1)
WarpEnergyBeamV3.SetFireSound("Borg Phaser")
WarpEnergyBeamV3.SetMaxCharge(2.000000)
WarpEnergyBeamV3.SetMaxDamage(750.000000)
WarpEnergyBeamV3.SetMaxDamageDistance(100.000000)
WarpEnergyBeamV3.SetMinFiringCharge(2.000000)
WarpEnergyBeamV3.SetNormalDischargeRate(1.000000)
WarpEnergyBeamV3.SetRechargeRate(1.500000)
WarpEnergyBeamV3.SetIndicatorIconNum(511)
WarpEnergyBeamV3.SetIndicatorIconPositionX(1)
WarpEnergyBeamV3.SetIndicatorIconPositionY(107)
WarpEnergyBeamV3Forward = App.TGPoint3()
WarpEnergyBeamV3Forward.SetXYZ(0.000000, 0.000000, -1.000000)
WarpEnergyBeamV3Up = App.TGPoint3()
WarpEnergyBeamV3Up.SetXYZ(0.000000, 1.000000, 0.000000)
WarpEnergyBeamV3.SetOrientation(WarpEnergyBeamV3Forward, WarpEnergyBeamV3Up)
WarpEnergyBeamV3.SetWidth(0.010000)
WarpEnergyBeamV3.SetLength(0.010000)
WarpEnergyBeamV3.SetArcWidthAngles(-1.178098, 1.178098)
WarpEnergyBeamV3.SetArcHeightAngles(-1.178098, 1.178098)
WarpEnergyBeamV3.SetPhaserTextureStart(7)
WarpEnergyBeamV3.SetPhaserTextureEnd(0)
WarpEnergyBeamV3.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamV3.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
WarpEnergyBeamV3.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamV3.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
WarpEnergyBeamV3.SetInnerCoreColor(kColor)
WarpEnergyBeamV3.SetNumSides(6)
WarpEnergyBeamV3.SetMainRadius(0.070000)
WarpEnergyBeamV3.SetTaperRadius(0.010000)
WarpEnergyBeamV3.SetCoreScale(0.500000)
WarpEnergyBeamV3.SetTaperRatio(0.250000)
WarpEnergyBeamV3.SetTaperMinLength(5.000000)
WarpEnergyBeamV3.SetTaperMaxLength(30.000000)
WarpEnergyBeamV3.SetLengthTextureTilePerUnit(0.500000)
WarpEnergyBeamV3.SetPerimeterTile(1.000000)
WarpEnergyBeamV3.SetTextureSpeed(2.500000)
WarpEnergyBeamV3.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEnergyBeamV3)
#################################################
WarpEnergyBeamV4 = App.PhaserProperty_Create("Energy Beam V4")

WarpEnergyBeamV4.SetMaxCondition(5000.000000)
WarpEnergyBeamV4.SetCritical(0)
WarpEnergyBeamV4.SetTargetable(1)
WarpEnergyBeamV4.SetPrimary(1)
WarpEnergyBeamV4.SetPosition(1.754450, 16.351774, -17.177954)
WarpEnergyBeamV4.SetPosition2D(0.000000, 0.000000)
WarpEnergyBeamV4.SetRepairComplexity(2.000000)
WarpEnergyBeamV4.SetDisabledPercentage(0.750000)
WarpEnergyBeamV4.SetRadius(0.250000)
WarpEnergyBeamV4.SetDumbfire(0)
WarpEnergyBeamV4.SetWeaponID(0)
WarpEnergyBeamV4.SetGroups(0)
WarpEnergyBeamV4.SetDamageRadiusFactor(0.200000)
WarpEnergyBeamV4.SetIconNum(363)
WarpEnergyBeamV4.SetIconPositionX(7)
WarpEnergyBeamV4.SetIconPositionY(118)
WarpEnergyBeamV4.SetIconAboveShip(1)
WarpEnergyBeamV4.SetFireSound("Borg Phaser")
WarpEnergyBeamV4.SetMaxCharge(2.000000)
WarpEnergyBeamV4.SetMaxDamage(750.000000)
WarpEnergyBeamV4.SetMaxDamageDistance(100.000000)
WarpEnergyBeamV4.SetMinFiringCharge(2.000000)
WarpEnergyBeamV4.SetNormalDischargeRate(1.000000)
WarpEnergyBeamV4.SetRechargeRate(1.500000)
WarpEnergyBeamV4.SetIndicatorIconNum(511)
WarpEnergyBeamV4.SetIndicatorIconPositionX(1)
WarpEnergyBeamV4.SetIndicatorIconPositionY(114)
WarpEnergyBeamV4Forward = App.TGPoint3()
WarpEnergyBeamV4Forward.SetXYZ(0.000000, 0.000000, -1.000000)
WarpEnergyBeamV4Up = App.TGPoint3()
WarpEnergyBeamV4Up.SetXYZ(0.000000, 1.000000, 0.000000)
WarpEnergyBeamV4.SetOrientation(WarpEnergyBeamV4Forward, WarpEnergyBeamV4Up)
WarpEnergyBeamV4.SetWidth(0.010000)
WarpEnergyBeamV4.SetLength(0.010000)
WarpEnergyBeamV4.SetArcWidthAngles(-1.178098, 1.178098)
WarpEnergyBeamV4.SetArcHeightAngles(-1.178098, 1.178098)
WarpEnergyBeamV4.SetPhaserTextureStart(7)
WarpEnergyBeamV4.SetPhaserTextureEnd(0)
WarpEnergyBeamV4.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamV4.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
WarpEnergyBeamV4.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamV4.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
WarpEnergyBeamV4.SetInnerCoreColor(kColor)
WarpEnergyBeamV4.SetNumSides(6)
WarpEnergyBeamV4.SetMainRadius(0.070000)
WarpEnergyBeamV4.SetTaperRadius(0.010000)
WarpEnergyBeamV4.SetCoreScale(0.500000)
WarpEnergyBeamV4.SetTaperRatio(0.250000)
WarpEnergyBeamV4.SetTaperMinLength(5.000000)
WarpEnergyBeamV4.SetTaperMaxLength(30.000000)
WarpEnergyBeamV4.SetLengthTextureTilePerUnit(0.500000)
WarpEnergyBeamV4.SetPerimeterTile(1.000000)
WarpEnergyBeamV4.SetTextureSpeed(2.500000)
WarpEnergyBeamV4.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEnergyBeamV4)
#################################################
PlasmaProjectorV1 = App.PhaserProperty_Create("Plasma Projector V1")

PlasmaProjectorV1.SetMaxCondition(7500.000000)
PlasmaProjectorV1.SetCritical(0)
PlasmaProjectorV1.SetTargetable(1)
PlasmaProjectorV1.SetPrimary(1)
PlasmaProjectorV1.SetPosition(12.273732, 15.089466, -17.177954)
PlasmaProjectorV1.SetPosition2D(0.000000, 0.000000)
PlasmaProjectorV1.SetRepairComplexity(1.000000)
PlasmaProjectorV1.SetDisabledPercentage(0.500000)
PlasmaProjectorV1.SetRadius(0.250000)
PlasmaProjectorV1.SetDumbfire(0)
PlasmaProjectorV1.SetWeaponID(0)
PlasmaProjectorV1.SetGroups(0)
PlasmaProjectorV1.SetDamageRadiusFactor(0.350000)
PlasmaProjectorV1.SetIconNum(363)
PlasmaProjectorV1.SetIconPositionX(115)
PlasmaProjectorV1.SetIconPositionY(97)
PlasmaProjectorV1.SetIconAboveShip(1)
PlasmaProjectorV1.SetFireSound("Projector")
PlasmaProjectorV1.SetMaxCharge(2.000000)
PlasmaProjectorV1.SetMaxDamage(1000.000000)
PlasmaProjectorV1.SetMaxDamageDistance(100.000000)
PlasmaProjectorV1.SetMinFiringCharge(2.000000)
PlasmaProjectorV1.SetNormalDischargeRate(1.000000)
PlasmaProjectorV1.SetRechargeRate(1.500000)
PlasmaProjectorV1.SetIndicatorIconNum(511)
PlasmaProjectorV1.SetIndicatorIconPositionX(109)
PlasmaProjectorV1.SetIndicatorIconPositionY(93)
PlasmaProjectorV1Forward = App.TGPoint3()
PlasmaProjectorV1Forward.SetXYZ(0.000000, 0.000000, -1.000000)
PlasmaProjectorV1Up = App.TGPoint3()
PlasmaProjectorV1Up.SetXYZ(0.000000, 1.000000, 0.000000)
PlasmaProjectorV1.SetOrientation(PlasmaProjectorV1Forward, PlasmaProjectorV1Up)
PlasmaProjectorV1.SetWidth(0.010000)
PlasmaProjectorV1.SetLength(0.010000)
PlasmaProjectorV1.SetArcWidthAngles(-1.178098, 1.178098)
PlasmaProjectorV1.SetArcHeightAngles(-1.178098, 1.178098)
PlasmaProjectorV1.SetPhaserTextureStart(0)
PlasmaProjectorV1.SetPhaserTextureEnd(0)
PlasmaProjectorV1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.320000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorV1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.220000, 1.000000, 0.000000, 1.000000)
PlasmaProjectorV1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorV1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
PlasmaProjectorV1.SetInnerCoreColor(kColor)
PlasmaProjectorV1.SetNumSides(6)
PlasmaProjectorV1.SetMainRadius(0.100000)
PlasmaProjectorV1.SetTaperRadius(0.010000)
PlasmaProjectorV1.SetCoreScale(0.500000)
PlasmaProjectorV1.SetTaperRatio(0.250000)
PlasmaProjectorV1.SetTaperMinLength(5.000000)
PlasmaProjectorV1.SetTaperMaxLength(30.000000)
PlasmaProjectorV1.SetLengthTextureTilePerUnit(0.500000)
PlasmaProjectorV1.SetPerimeterTile(1.000000)
PlasmaProjectorV1.SetTextureSpeed(2.500000)
PlasmaProjectorV1.SetTextureName("data/CRPlasmaProjector.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaProjectorV1)
#################################################
PlasmaProjectorV2 = App.PhaserProperty_Create("Plasma Projector V2")

PlasmaProjectorV2.SetMaxCondition(7500.000000)
PlasmaProjectorV2.SetCritical(0)
PlasmaProjectorV2.SetTargetable(1)
PlasmaProjectorV2.SetPrimary(1)
PlasmaProjectorV2.SetPosition(-11.184203, -15.521491, -17.177954)
PlasmaProjectorV2.SetPosition2D(0.000000, 0.000000)
PlasmaProjectorV2.SetRepairComplexity(1.000000)
PlasmaProjectorV2.SetDisabledPercentage(0.500000)
PlasmaProjectorV2.SetRadius(0.250000)
PlasmaProjectorV2.SetDumbfire(0)
PlasmaProjectorV2.SetWeaponID(0)
PlasmaProjectorV2.SetGroups(0)
PlasmaProjectorV2.SetDamageRadiusFactor(0.350000)
PlasmaProjectorV2.SetIconNum(363)
PlasmaProjectorV2.SetIconPositionX(115)
PlasmaProjectorV2.SetIconPositionY(104)
PlasmaProjectorV2.SetIconAboveShip(1)
PlasmaProjectorV2.SetFireSound("Projector")
PlasmaProjectorV2.SetMaxCharge(2.000000)
PlasmaProjectorV2.SetMaxDamage(1000.000000)
PlasmaProjectorV2.SetMaxDamageDistance(100.000000)
PlasmaProjectorV2.SetMinFiringCharge(2.000000)
PlasmaProjectorV2.SetNormalDischargeRate(1.000000)
PlasmaProjectorV2.SetRechargeRate(1.500000)
PlasmaProjectorV2.SetIndicatorIconNum(511)
PlasmaProjectorV2.SetIndicatorIconPositionX(109)
PlasmaProjectorV2.SetIndicatorIconPositionY(100)
PlasmaProjectorV2Forward = App.TGPoint3()
PlasmaProjectorV2Forward.SetXYZ(0.000000, 0.000000, -1.000000)
PlasmaProjectorV2Up = App.TGPoint3()
PlasmaProjectorV2Up.SetXYZ(0.000000, 1.000000, 0.000000)
PlasmaProjectorV2.SetOrientation(PlasmaProjectorV2Forward, PlasmaProjectorV2Up)
PlasmaProjectorV2.SetWidth(0.010000)
PlasmaProjectorV2.SetLength(0.010000)
PlasmaProjectorV2.SetArcWidthAngles(-1.178098, 1.178098)
PlasmaProjectorV2.SetArcHeightAngles(-1.178098, 1.178098)
PlasmaProjectorV2.SetPhaserTextureStart(0)
PlasmaProjectorV2.SetPhaserTextureEnd(0)
PlasmaProjectorV2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.320000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorV2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.220000, 1.000000, 0.000000, 1.000000)
PlasmaProjectorV2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorV2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
PlasmaProjectorV2.SetInnerCoreColor(kColor)
PlasmaProjectorV2.SetNumSides(6)
PlasmaProjectorV2.SetMainRadius(0.100000)
PlasmaProjectorV2.SetTaperRadius(0.010000)
PlasmaProjectorV2.SetCoreScale(0.500000)
PlasmaProjectorV2.SetTaperRatio(0.250000)
PlasmaProjectorV2.SetTaperMinLength(5.000000)
PlasmaProjectorV2.SetTaperMaxLength(30.000000)
PlasmaProjectorV2.SetLengthTextureTilePerUnit(0.500000)
PlasmaProjectorV2.SetPerimeterTile(1.000000)
PlasmaProjectorV2.SetTextureSpeed(2.500000)
PlasmaProjectorV2.SetTextureName("data/CRPlasmaProjector.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaProjectorV2)
#################################################
PlasmaProjectorV3 = App.PhaserProperty_Create("Plasma Projector V3")

PlasmaProjectorV3.SetMaxCondition(7500.000000)
PlasmaProjectorV3.SetCritical(0)
PlasmaProjectorV3.SetTargetable(1)
PlasmaProjectorV3.SetPrimary(1)
PlasmaProjectorV3.SetPosition(-1.559108, -10.472261, -17.177954)
PlasmaProjectorV3.SetPosition2D(0.000000, 0.000000)
PlasmaProjectorV3.SetRepairComplexity(1.000000)
PlasmaProjectorV3.SetDisabledPercentage(0.500000)
PlasmaProjectorV3.SetRadius(0.250000)
PlasmaProjectorV3.SetDumbfire(0)
PlasmaProjectorV3.SetWeaponID(0)
PlasmaProjectorV3.SetGroups(0)
PlasmaProjectorV3.SetDamageRadiusFactor(0.350000)
PlasmaProjectorV3.SetIconNum(363)
PlasmaProjectorV3.SetIconPositionX(115)
PlasmaProjectorV3.SetIconPositionY(111)
PlasmaProjectorV3.SetIconAboveShip(1)
PlasmaProjectorV3.SetFireSound("Projector")
PlasmaProjectorV3.SetMaxCharge(2.000000)
PlasmaProjectorV3.SetMaxDamage(1000.000000)
PlasmaProjectorV3.SetMaxDamageDistance(100.000000)
PlasmaProjectorV3.SetMinFiringCharge(2.000000)
PlasmaProjectorV3.SetNormalDischargeRate(1.000000)
PlasmaProjectorV3.SetRechargeRate(1.500000)
PlasmaProjectorV3.SetIndicatorIconNum(511)
PlasmaProjectorV3.SetIndicatorIconPositionX(109)
PlasmaProjectorV3.SetIndicatorIconPositionY(107)
PlasmaProjectorV3Forward = App.TGPoint3()
PlasmaProjectorV3Forward.SetXYZ(0.000000, 0.000000, -1.000000)
PlasmaProjectorV3Up = App.TGPoint3()
PlasmaProjectorV3Up.SetXYZ(0.000000, 1.000000, 0.000000)
PlasmaProjectorV3.SetOrientation(PlasmaProjectorV3Forward, PlasmaProjectorV3Up)
PlasmaProjectorV3.SetWidth(0.010000)
PlasmaProjectorV3.SetLength(0.010000)
PlasmaProjectorV3.SetArcWidthAngles(-1.178098, 1.178098)
PlasmaProjectorV3.SetArcHeightAngles(-1.178098, 1.178098)
PlasmaProjectorV3.SetPhaserTextureStart(0)
PlasmaProjectorV3.SetPhaserTextureEnd(0)
PlasmaProjectorV3.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.320000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorV3.SetOuterShellColor(kColor)
kColor.SetRGBA(0.220000, 1.000000, 0.000000, 1.000000)
PlasmaProjectorV3.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorV3.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
PlasmaProjectorV3.SetInnerCoreColor(kColor)
PlasmaProjectorV3.SetNumSides(6)
PlasmaProjectorV3.SetMainRadius(0.100000)
PlasmaProjectorV3.SetTaperRadius(0.010000)
PlasmaProjectorV3.SetCoreScale(0.500000)
PlasmaProjectorV3.SetTaperRatio(0.250000)
PlasmaProjectorV3.SetTaperMinLength(5.000000)
PlasmaProjectorV3.SetTaperMaxLength(30.000000)
PlasmaProjectorV3.SetLengthTextureTilePerUnit(0.500000)
PlasmaProjectorV3.SetPerimeterTile(1.000000)
PlasmaProjectorV3.SetTextureSpeed(2.500000)
PlasmaProjectorV3.SetTextureName("data/CRPlasmaProjector.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaProjectorV3)
#################################################
CuttingBeamV1 = App.PhaserProperty_Create("Cutting Beam V1")

CuttingBeamV1.SetMaxCondition(10000.000000)
CuttingBeamV1.SetCritical(0)
CuttingBeamV1.SetTargetable(1)
CuttingBeamV1.SetPrimary(1)
CuttingBeamV1.SetPosition(-7.449824, 15.667919, -17.177954)
CuttingBeamV1.SetPosition2D(0.000000, 0.000000)
CuttingBeamV1.SetRepairComplexity(1.000000)
CuttingBeamV1.SetDisabledPercentage(0.500000)
CuttingBeamV1.SetRadius(0.250000)
CuttingBeamV1.SetDumbfire(0)
CuttingBeamV1.SetWeaponID(0)
CuttingBeamV1.SetGroups(0)
CuttingBeamV1.SetDamageRadiusFactor(0.50000)
CuttingBeamV1.SetIconNum(363)
CuttingBeamV1.SetIconPositionX(115)
CuttingBeamV1.SetIconPositionY(118)
CuttingBeamV1.SetIconAboveShip(1)
CuttingBeamV1.SetFireSound("Cutting Beam")
CuttingBeamV1.SetMaxCharge(2.000000)
CuttingBeamV1.SetMaxDamage(1250.000000)
CuttingBeamV1.SetMaxDamageDistance(200.000000)
CuttingBeamV1.SetMinFiringCharge(2.000000)
CuttingBeamV1.SetNormalDischargeRate(1.000000)
CuttingBeamV1.SetRechargeRate(1.500000)
CuttingBeamV1.SetIndicatorIconNum(511)
CuttingBeamV1.SetIndicatorIconPositionX(109)
CuttingBeamV1.SetIndicatorIconPositionY(114)
CuttingBeamV1Forward = App.TGPoint3()
CuttingBeamV1Forward.SetXYZ(0.000000, 0.000000, -1.000000)
CuttingBeamV1Up = App.TGPoint3()
CuttingBeamV1Up.SetXYZ(0.000000, 1.000000, 0.000000)
CuttingBeamV1.SetOrientation(CuttingBeamV1Forward, CuttingBeamV1Up)
CuttingBeamV1.SetWidth(0.010000)
CuttingBeamV1.SetLength(0.010000)
CuttingBeamV1.SetArcWidthAngles(-1.178098, 1.178098)
CuttingBeamV1.SetArcHeightAngles(-1.178098, 1.178098)
CuttingBeamV1.SetPhaserTextureStart(0)
CuttingBeamV1.SetPhaserTextureEnd(0)
CuttingBeamV1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamV1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamV1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamV1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamV1.SetInnerCoreColor(kColor)
CuttingBeamV1.SetNumSides(12)
CuttingBeamV1.SetMainRadius(0.100000)
CuttingBeamV1.SetTaperRadius(0.010000)
CuttingBeamV1.SetCoreScale(0.500000)
CuttingBeamV1.SetTaperRatio(0.250000)
CuttingBeamV1.SetTaperMinLength(5.000000)
CuttingBeamV1.SetTaperMaxLength(30.000000)
CuttingBeamV1.SetLengthTextureTilePerUnit(0.500000)
CuttingBeamV1.SetPerimeterTile(1.000000)
CuttingBeamV1.SetTextureSpeed(2.500000)
CuttingBeamV1.SetTextureName("data/CRCutter.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(CuttingBeamV1)
#################################################
CuttingBeamV2 = App.PhaserProperty_Create("Cutting Beam V2")

CuttingBeamV2.SetMaxCondition(10000.000000)
CuttingBeamV2.SetCritical(0)
CuttingBeamV2.SetTargetable(1)
CuttingBeamV2.SetPrimary(1)
CuttingBeamV2.SetPosition(1.228541, -6.369762, -17.177954)
CuttingBeamV2.SetPosition2D(0.000000, 0.000000)
CuttingBeamV2.SetRepairComplexity(1.000000)
CuttingBeamV2.SetDisabledPercentage(0.500000)
CuttingBeamV2.SetRadius(0.250000)
CuttingBeamV2.SetDumbfire(0)
CuttingBeamV2.SetWeaponID(0)
CuttingBeamV2.SetGroups(0)
CuttingBeamV2.SetDamageRadiusFactor(0.50000)
CuttingBeamV2.SetIconNum(363)
CuttingBeamV2.SetIconPositionX(46)
CuttingBeamV2.SetIconPositionY(104)
CuttingBeamV2.SetIconAboveShip(1)
CuttingBeamV2.SetFireSound("Cutting Beam")
CuttingBeamV2.SetMaxCharge(2.000000)
CuttingBeamV2.SetMaxDamage(1250.000000)
CuttingBeamV2.SetMaxDamageDistance(200.000000)
CuttingBeamV2.SetMinFiringCharge(2.000000)
CuttingBeamV2.SetNormalDischargeRate(1.000000)
CuttingBeamV2.SetRechargeRate(1.500000)
CuttingBeamV2.SetIndicatorIconNum(511)
CuttingBeamV2.SetIndicatorIconPositionX(39)
CuttingBeamV2.SetIndicatorIconPositionY(98)
CuttingBeamV2Forward = App.TGPoint3()
CuttingBeamV2Forward.SetXYZ(0.000000, 0.000000, -1.000000)
CuttingBeamV2Up = App.TGPoint3()
CuttingBeamV2Up.SetXYZ(0.000000, 1.000000, 0.000000)
CuttingBeamV2.SetOrientation(CuttingBeamV2Forward, CuttingBeamV2Up)
CuttingBeamV2.SetWidth(0.010000)
CuttingBeamV2.SetLength(0.010000)
CuttingBeamV2.SetArcWidthAngles(-1.178098, 1.178098)
CuttingBeamV2.SetArcHeightAngles(-1.178098, 1.178098)
CuttingBeamV2.SetPhaserTextureStart(0)
CuttingBeamV2.SetPhaserTextureEnd(0)
CuttingBeamV2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamV2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamV2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamV2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamV2.SetInnerCoreColor(kColor)
CuttingBeamV2.SetNumSides(12)
CuttingBeamV2.SetMainRadius(0.100000)
CuttingBeamV2.SetTaperRadius(0.010000)
CuttingBeamV2.SetCoreScale(0.500000)
CuttingBeamV2.SetTaperRatio(0.250000)
CuttingBeamV2.SetTaperMinLength(5.000000)
CuttingBeamV2.SetTaperMaxLength(30.000000)
CuttingBeamV2.SetLengthTextureTilePerUnit(0.500000)
CuttingBeamV2.SetPerimeterTile(1.000000)
CuttingBeamV2.SetTextureSpeed(2.500000)
CuttingBeamV2.SetTextureName("data/CRCutter.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(CuttingBeamV2)
#################################################
WarpEnergyBeamP1 = App.PhaserProperty_Create("Energy Beam P1")

WarpEnergyBeamP1.SetMaxCondition(5000.000000)
WarpEnergyBeamP1.SetCritical(0)
WarpEnergyBeamP1.SetTargetable(1)
WarpEnergyBeamP1.SetPrimary(1)
WarpEnergyBeamP1.SetPosition(-17.177954, -15.589498, -7.821099)
WarpEnergyBeamP1.SetPosition2D(0.000000, 0.000000)
WarpEnergyBeamP1.SetRepairComplexity(2.000000)
WarpEnergyBeamP1.SetDisabledPercentage(0.750000)
WarpEnergyBeamP1.SetRadius(0.250000)
WarpEnergyBeamP1.SetDumbfire(0)
WarpEnergyBeamP1.SetWeaponID(0)
WarpEnergyBeamP1.SetGroups(0)
WarpEnergyBeamP1.SetDamageRadiusFactor(0.200000)
WarpEnergyBeamP1.SetIconNum(361)
WarpEnergyBeamP1.SetIconPositionX(2)
WarpEnergyBeamP1.SetIconPositionY(40)
WarpEnergyBeamP1.SetIconAboveShip(1)
WarpEnergyBeamP1.SetFireSound("Borg Phaser")
WarpEnergyBeamP1.SetMaxCharge(2.000000)
WarpEnergyBeamP1.SetMaxDamage(750.000000)
WarpEnergyBeamP1.SetMaxDamageDistance(100.000000)
WarpEnergyBeamP1.SetMinFiringCharge(2.000000)
WarpEnergyBeamP1.SetNormalDischargeRate(1.000000)
WarpEnergyBeamP1.SetRechargeRate(1.500000)
WarpEnergyBeamP1.SetIndicatorIconNum(508)
WarpEnergyBeamP1.SetIndicatorIconPositionX(0)
WarpEnergyBeamP1.SetIndicatorIconPositionY(39)
WarpEnergyBeamP1Forward = App.TGPoint3()
WarpEnergyBeamP1Forward.SetXYZ(-1.000000, 0.000000, 0.000000)
WarpEnergyBeamP1Up = App.TGPoint3()
WarpEnergyBeamP1Up.SetXYZ(0.000000, 0.000000, 1.000000)
WarpEnergyBeamP1.SetOrientation(WarpEnergyBeamP1Forward, WarpEnergyBeamP1Up)
WarpEnergyBeamP1.SetWidth(0.010000)
WarpEnergyBeamP1.SetLength(0.010000)
WarpEnergyBeamP1.SetArcWidthAngles(-1.178098, 1.178098)
WarpEnergyBeamP1.SetArcHeightAngles(-1.178098, 1.178098)
WarpEnergyBeamP1.SetPhaserTextureStart(7)
WarpEnergyBeamP1.SetPhaserTextureEnd(0)
WarpEnergyBeamP1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamP1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
WarpEnergyBeamP1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamP1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
WarpEnergyBeamP1.SetInnerCoreColor(kColor)
WarpEnergyBeamP1.SetNumSides(6)
WarpEnergyBeamP1.SetMainRadius(0.070000)
WarpEnergyBeamP1.SetTaperRadius(0.010000)
WarpEnergyBeamP1.SetCoreScale(0.500000)
WarpEnergyBeamP1.SetTaperRatio(0.250000)
WarpEnergyBeamP1.SetTaperMinLength(5.000000)
WarpEnergyBeamP1.SetTaperMaxLength(30.000000)
WarpEnergyBeamP1.SetLengthTextureTilePerUnit(0.500000)
WarpEnergyBeamP1.SetPerimeterTile(1.000000)
WarpEnergyBeamP1.SetTextureSpeed(2.500000)
WarpEnergyBeamP1.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEnergyBeamP1)
#################################################
WarpEnergyBeamP2 = App.PhaserProperty_Create("Energy Beam P2")

WarpEnergyBeamP2.SetMaxCondition(5000.000000)
WarpEnergyBeamP2.SetCritical(0)
WarpEnergyBeamP2.SetTargetable(1)
WarpEnergyBeamP2.SetPrimary(1)
WarpEnergyBeamP2.SetPosition(-17.177954, -2.650846, -0.917856)
WarpEnergyBeamP2.SetPosition2D(0.000000, 0.000000)
WarpEnergyBeamP2.SetRepairComplexity(2.000000)
WarpEnergyBeamP2.SetDisabledPercentage(0.750000)
WarpEnergyBeamP2.SetRadius(0.250000)
WarpEnergyBeamP2.SetDumbfire(0)
WarpEnergyBeamP2.SetWeaponID(0)
WarpEnergyBeamP2.SetGroups(0)
WarpEnergyBeamP2.SetDamageRadiusFactor(0.200000)
WarpEnergyBeamP2.SetIconNum(361)
WarpEnergyBeamP2.SetIconPositionX(9)
WarpEnergyBeamP2.SetIconPositionY(40)
WarpEnergyBeamP2.SetIconAboveShip(1)
WarpEnergyBeamP2.SetFireSound("Borg Phaser")
WarpEnergyBeamP2.SetMaxCharge(2.000000)
WarpEnergyBeamP2.SetMaxDamage(750.000000)
WarpEnergyBeamP2.SetMaxDamageDistance(100.000000)
WarpEnergyBeamP2.SetMinFiringCharge(2.000000)
WarpEnergyBeamP2.SetNormalDischargeRate(1.000000)
WarpEnergyBeamP2.SetRechargeRate(1.500000)
WarpEnergyBeamP2.SetIndicatorIconNum(508)
WarpEnergyBeamP2.SetIndicatorIconPositionX(7)
WarpEnergyBeamP2.SetIndicatorIconPositionY(39)
WarpEnergyBeamP2Forward = App.TGPoint3()
WarpEnergyBeamP2Forward.SetXYZ(-1.000000, 0.000000, 0.000000)
WarpEnergyBeamP2Up = App.TGPoint3()
WarpEnergyBeamP2Up.SetXYZ(0.000000, 0.000000, 1.000000)
WarpEnergyBeamP2.SetOrientation(WarpEnergyBeamP2Forward, WarpEnergyBeamP2Up)
WarpEnergyBeamP2.SetWidth(0.010000)
WarpEnergyBeamP2.SetLength(0.010000)
WarpEnergyBeamP2.SetArcWidthAngles(-1.178098, 1.178098)
WarpEnergyBeamP2.SetArcHeightAngles(-1.178098, 1.178098)
WarpEnergyBeamP2.SetPhaserTextureStart(7)
WarpEnergyBeamP2.SetPhaserTextureEnd(0)
WarpEnergyBeamP2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamP2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
WarpEnergyBeamP2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamP2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
WarpEnergyBeamP2.SetInnerCoreColor(kColor)
WarpEnergyBeamP2.SetNumSides(6)
WarpEnergyBeamP2.SetMainRadius(0.070000)
WarpEnergyBeamP2.SetTaperRadius(0.010000)
WarpEnergyBeamP2.SetCoreScale(0.500000)
WarpEnergyBeamP2.SetTaperRatio(0.250000)
WarpEnergyBeamP2.SetTaperMinLength(5.000000)
WarpEnergyBeamP2.SetTaperMaxLength(30.000000)
WarpEnergyBeamP2.SetLengthTextureTilePerUnit(0.500000)
WarpEnergyBeamP2.SetPerimeterTile(1.000000)
WarpEnergyBeamP2.SetTextureSpeed(2.500000)
WarpEnergyBeamP2.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEnergyBeamP2)
#################################################
WarpEnergyBeamP3 = App.PhaserProperty_Create("Energy Beam P3")

WarpEnergyBeamP3.SetMaxCondition(5000.000000)
WarpEnergyBeamP3.SetCritical(0)
WarpEnergyBeamP3.SetTargetable(1)
WarpEnergyBeamP3.SetPrimary(1)
WarpEnergyBeamP3.SetPosition(-17.177954, -11.131975, 12.888633)
WarpEnergyBeamP3.SetPosition2D(0.000000, 0.000000)
WarpEnergyBeamP3.SetRepairComplexity(2.000000)
WarpEnergyBeamP3.SetDisabledPercentage(0.750000)
WarpEnergyBeamP3.SetRadius(0.250000)
WarpEnergyBeamP3.SetDumbfire(0)
WarpEnergyBeamP3.SetWeaponID(0)
WarpEnergyBeamP3.SetGroups(0)
WarpEnergyBeamP3.SetDamageRadiusFactor(0.200000)
WarpEnergyBeamP3.SetIconNum(361)
WarpEnergyBeamP3.SetIconPositionX(16)
WarpEnergyBeamP3.SetIconPositionY(40)
WarpEnergyBeamP3.SetIconAboveShip(1)
WarpEnergyBeamP3.SetFireSound("Borg Phaser")
WarpEnergyBeamP3.SetMaxCharge(2.000000)
WarpEnergyBeamP3.SetMaxDamage(750.000000)
WarpEnergyBeamP3.SetMaxDamageDistance(100.000000)
WarpEnergyBeamP3.SetMinFiringCharge(2.000000)
WarpEnergyBeamP3.SetNormalDischargeRate(1.000000)
WarpEnergyBeamP3.SetRechargeRate(1.500000)
WarpEnergyBeamP3.SetIndicatorIconNum(508)
WarpEnergyBeamP3.SetIndicatorIconPositionX(14)
WarpEnergyBeamP3.SetIndicatorIconPositionY(39)
WarpEnergyBeamP3Forward = App.TGPoint3()
WarpEnergyBeamP3Forward.SetXYZ(-1.000000, 0.000000, 0.000000)
WarpEnergyBeamP3Up = App.TGPoint3()
WarpEnergyBeamP3Up.SetXYZ(0.000000, 0.000000, 1.000000)
WarpEnergyBeamP3.SetOrientation(WarpEnergyBeamP3Forward, WarpEnergyBeamP3Up)
WarpEnergyBeamP3.SetWidth(0.010000)
WarpEnergyBeamP3.SetLength(0.010000)
WarpEnergyBeamP3.SetArcWidthAngles(-1.178098, 1.178098)
WarpEnergyBeamP3.SetArcHeightAngles(-1.178098, 1.178098)
WarpEnergyBeamP3.SetPhaserTextureStart(7)
WarpEnergyBeamP3.SetPhaserTextureEnd(0)
WarpEnergyBeamP3.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamP3.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
WarpEnergyBeamP3.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamP3.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
WarpEnergyBeamP3.SetInnerCoreColor(kColor)
WarpEnergyBeamP3.SetNumSides(6)
WarpEnergyBeamP3.SetMainRadius(0.070000)
WarpEnergyBeamP3.SetTaperRadius(0.010000)
WarpEnergyBeamP3.SetCoreScale(0.500000)
WarpEnergyBeamP3.SetTaperRatio(0.250000)
WarpEnergyBeamP3.SetTaperMinLength(5.000000)
WarpEnergyBeamP3.SetTaperMaxLength(30.000000)
WarpEnergyBeamP3.SetLengthTextureTilePerUnit(0.500000)
WarpEnergyBeamP3.SetPerimeterTile(1.000000)
WarpEnergyBeamP3.SetTextureSpeed(2.500000)
WarpEnergyBeamP3.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEnergyBeamP3)
#################################################
WarpEnergyBeamP4 = App.PhaserProperty_Create("Energy Beam P4")

WarpEnergyBeamP4.SetMaxCondition(5000.000000)
WarpEnergyBeamP4.SetCritical(0)
WarpEnergyBeamP4.SetTargetable(1)
WarpEnergyBeamP4.SetPrimary(1)
WarpEnergyBeamP4.SetPosition(-17.177954, 12.220715, 4.920317)
WarpEnergyBeamP4.SetPosition2D(0.000000, 0.000000)
WarpEnergyBeamP4.SetRepairComplexity(2.000000)
WarpEnergyBeamP4.SetDisabledPercentage(0.750000)
WarpEnergyBeamP4.SetRadius(0.250000)
WarpEnergyBeamP4.SetDumbfire(0)
WarpEnergyBeamP4.SetWeaponID(0)
WarpEnergyBeamP4.SetGroups(0)
WarpEnergyBeamP4.SetDamageRadiusFactor(0.200000)
WarpEnergyBeamP4.SetIconNum(361)
WarpEnergyBeamP4.SetIconPositionX(23)
WarpEnergyBeamP4.SetIconPositionY(40)
WarpEnergyBeamP4.SetIconAboveShip(1)
WarpEnergyBeamP4.SetFireSound("Borg Phaser")
WarpEnergyBeamP4.SetMaxCharge(2.000000)
WarpEnergyBeamP4.SetMaxDamage(750.000000)
WarpEnergyBeamP4.SetMaxDamageDistance(100.000000)
WarpEnergyBeamP4.SetMinFiringCharge(2.000000)
WarpEnergyBeamP4.SetNormalDischargeRate(1.000000)
WarpEnergyBeamP4.SetRechargeRate(1.500000)
WarpEnergyBeamP4.SetIndicatorIconNum(508)
WarpEnergyBeamP4.SetIndicatorIconPositionX(21)
WarpEnergyBeamP4.SetIndicatorIconPositionY(39)
WarpEnergyBeamP4Forward = App.TGPoint3()
WarpEnergyBeamP4Forward.SetXYZ(-1.000000, 0.000000, 0.000000)
WarpEnergyBeamP4Up = App.TGPoint3()
WarpEnergyBeamP4Up.SetXYZ(0.000000, 0.000000, 1.000000)
WarpEnergyBeamP4.SetOrientation(WarpEnergyBeamP4Forward, WarpEnergyBeamP4Up)
WarpEnergyBeamP4.SetWidth(0.010000)
WarpEnergyBeamP4.SetLength(0.010000)
WarpEnergyBeamP4.SetArcWidthAngles(-1.178098, 1.178098)
WarpEnergyBeamP4.SetArcHeightAngles(-1.178098, 1.178098)
WarpEnergyBeamP4.SetPhaserTextureStart(7)
WarpEnergyBeamP4.SetPhaserTextureEnd(0)
WarpEnergyBeamP4.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamP4.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
WarpEnergyBeamP4.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamP4.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
WarpEnergyBeamP4.SetInnerCoreColor(kColor)
WarpEnergyBeamP4.SetNumSides(6)
WarpEnergyBeamP4.SetMainRadius(0.070000)
WarpEnergyBeamP4.SetTaperRadius(0.010000)
WarpEnergyBeamP4.SetCoreScale(0.500000)
WarpEnergyBeamP4.SetTaperRatio(0.250000)
WarpEnergyBeamP4.SetTaperMinLength(5.000000)
WarpEnergyBeamP4.SetTaperMaxLength(30.000000)
WarpEnergyBeamP4.SetLengthTextureTilePerUnit(0.500000)
WarpEnergyBeamP4.SetPerimeterTile(1.000000)
WarpEnergyBeamP4.SetTextureSpeed(2.500000)
WarpEnergyBeamP4.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEnergyBeamP4)
#################################################
PlasmaProjectorP1 = App.PhaserProperty_Create("Plasma Projector P1")

PlasmaProjectorP1.SetMaxCondition(7500.000000)
PlasmaProjectorP1.SetCritical(0)
PlasmaProjectorP1.SetTargetable(1)
PlasmaProjectorP1.SetPrimary(1)
PlasmaProjectorP1.SetPosition(-17.177954, 9.735547, 9.811759)
PlasmaProjectorP1.SetPosition2D(0.000000, 0.000000)
PlasmaProjectorP1.SetRepairComplexity(1.000000)
PlasmaProjectorP1.SetDisabledPercentage(0.500000)
PlasmaProjectorP1.SetRadius(0.250000)
PlasmaProjectorP1.SetDumbfire(0)
PlasmaProjectorP1.SetWeaponID(0)
PlasmaProjectorP1.SetGroups(0)
PlasmaProjectorP1.SetDamageRadiusFactor(0.350000)
PlasmaProjectorP1.SetIconNum(361)
PlasmaProjectorP1.SetIconPositionX(2)
PlasmaProjectorP1.SetIconPositionY(64)
PlasmaProjectorP1.SetIconAboveShip(1)
PlasmaProjectorP1.SetFireSound("Projector")
PlasmaProjectorP1.SetMaxCharge(2.000000)
PlasmaProjectorP1.SetMaxDamage(1000.000000)
PlasmaProjectorP1.SetMaxDamageDistance(100.000000)
PlasmaProjectorP1.SetMinFiringCharge(2.000000)
PlasmaProjectorP1.SetNormalDischargeRate(1.000000)
PlasmaProjectorP1.SetRechargeRate(1.500000)
PlasmaProjectorP1.SetIndicatorIconNum(508)
PlasmaProjectorP1.SetIndicatorIconPositionX(0)
PlasmaProjectorP1.SetIndicatorIconPositionY(63)
PlasmaProjectorP1Forward = App.TGPoint3()
PlasmaProjectorP1Forward.SetXYZ(-1.000000, 0.000000, 0.000000)
PlasmaProjectorP1Up = App.TGPoint3()
PlasmaProjectorP1Up.SetXYZ(0.000000, 0.000000, 1.000000)
PlasmaProjectorP1.SetOrientation(PlasmaProjectorP1Forward, PlasmaProjectorP1Up)
PlasmaProjectorP1.SetWidth(0.010000)
PlasmaProjectorP1.SetLength(0.010000)
PlasmaProjectorP1.SetArcWidthAngles(-1.178098, 1.178098)
PlasmaProjectorP1.SetArcHeightAngles(-1.178098, 1.178098)
PlasmaProjectorP1.SetPhaserTextureStart(0)
PlasmaProjectorP1.SetPhaserTextureEnd(0)
PlasmaProjectorP1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.320000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorP1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.220000, 1.000000, 0.000000, 1.000000)
PlasmaProjectorP1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorP1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
PlasmaProjectorP1.SetInnerCoreColor(kColor)
PlasmaProjectorP1.SetNumSides(6)
PlasmaProjectorP1.SetMainRadius(0.100000)
PlasmaProjectorP1.SetTaperRadius(0.010000)
PlasmaProjectorP1.SetCoreScale(0.500000)
PlasmaProjectorP1.SetTaperRatio(0.250000)
PlasmaProjectorP1.SetTaperMinLength(5.000000)
PlasmaProjectorP1.SetTaperMaxLength(30.000000)
PlasmaProjectorP1.SetLengthTextureTilePerUnit(0.500000)
PlasmaProjectorP1.SetPerimeterTile(1.000000)
PlasmaProjectorP1.SetTextureSpeed(2.500000)
PlasmaProjectorP1.SetTextureName("data/CRPlasmaProjector.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaProjectorP1)
#################################################
PlasmaProjectorP2 = App.PhaserProperty_Create("Plasma Projector P2")

PlasmaProjectorP2.SetMaxCondition(7500.000000)
PlasmaProjectorP2.SetCritical(0)
PlasmaProjectorP2.SetTargetable(1)
PlasmaProjectorP2.SetPrimary(1)
PlasmaProjectorP2.SetPosition(-17.177954, 8.039321, -2.061822)
PlasmaProjectorP2.SetPosition2D(0.000000, 0.000000)
PlasmaProjectorP2.SetRepairComplexity(1.000000)
PlasmaProjectorP2.SetDisabledPercentage(0.500000)
PlasmaProjectorP2.SetRadius(0.250000)
PlasmaProjectorP2.SetDumbfire(0)
PlasmaProjectorP2.SetWeaponID(0)
PlasmaProjectorP2.SetGroups(0)
PlasmaProjectorP2.SetDamageRadiusFactor(0.350000)
PlasmaProjectorP2.SetIconNum(361)
PlasmaProjectorP2.SetIconPositionX(9)
PlasmaProjectorP2.SetIconPositionY(64)
PlasmaProjectorP2.SetIconAboveShip(1)
PlasmaProjectorP2.SetFireSound("Projector")
PlasmaProjectorP2.SetMaxCharge(2.000000)
PlasmaProjectorP2.SetMaxDamage(1000.000000)
PlasmaProjectorP2.SetMaxDamageDistance(100.000000)
PlasmaProjectorP2.SetMinFiringCharge(2.000000)
PlasmaProjectorP2.SetNormalDischargeRate(1.000000)
PlasmaProjectorP2.SetRechargeRate(1.500000)
PlasmaProjectorP2.SetIndicatorIconNum(508)
PlasmaProjectorP2.SetIndicatorIconPositionX(7)
PlasmaProjectorP2.SetIndicatorIconPositionY(63)
PlasmaProjectorP2Forward = App.TGPoint3()
PlasmaProjectorP2Forward.SetXYZ(-1.000000, 0.000000, 0.000000)
PlasmaProjectorP2Up = App.TGPoint3()
PlasmaProjectorP2Up.SetXYZ(0.000000, 0.000000, 1.000000)
PlasmaProjectorP2.SetOrientation(PlasmaProjectorP2Forward, PlasmaProjectorP2Up)
PlasmaProjectorP2.SetWidth(0.010000)
PlasmaProjectorP2.SetLength(0.010000)
PlasmaProjectorP2.SetArcWidthAngles(-1.178098, 1.178098)
PlasmaProjectorP2.SetArcHeightAngles(-1.178098, 1.178098)
PlasmaProjectorP2.SetPhaserTextureStart(0)
PlasmaProjectorP2.SetPhaserTextureEnd(0)
PlasmaProjectorP2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.320000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorP2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.220000, 1.000000, 0.000000, 1.000000)
PlasmaProjectorP2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorP2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
PlasmaProjectorP2.SetInnerCoreColor(kColor)
PlasmaProjectorP2.SetNumSides(6)
PlasmaProjectorP2.SetMainRadius(0.100000)
PlasmaProjectorP2.SetTaperRadius(0.010000)
PlasmaProjectorP2.SetCoreScale(0.500000)
PlasmaProjectorP2.SetTaperRatio(0.250000)
PlasmaProjectorP2.SetTaperMinLength(5.000000)
PlasmaProjectorP2.SetTaperMaxLength(30.000000)
PlasmaProjectorP2.SetLengthTextureTilePerUnit(0.500000)
PlasmaProjectorP2.SetPerimeterTile(1.000000)
PlasmaProjectorP2.SetTextureSpeed(2.500000)
PlasmaProjectorP2.SetTextureName("data/CRPlasmaProjector.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaProjectorP2)
#################################################
PlasmaProjectorP3 = App.PhaserProperty_Create("Plasma Projector P3")

PlasmaProjectorP3.SetMaxCondition(7500.000000)
PlasmaProjectorP3.SetCritical(0)
PlasmaProjectorP3.SetTargetable(1)
PlasmaProjectorP3.SetPrimary(1)
PlasmaProjectorP3.SetPosition(-17.177954, -15.313368, -1.154538)
PlasmaProjectorP3.SetPosition2D(0.000000, 0.000000)
PlasmaProjectorP3.SetRepairComplexity(1.000000)
PlasmaProjectorP3.SetDisabledPercentage(0.500000)
PlasmaProjectorP3.SetRadius(0.250000)
PlasmaProjectorP3.SetDumbfire(0)
PlasmaProjectorP3.SetWeaponID(0)
PlasmaProjectorP3.SetGroups(0)
PlasmaProjectorP3.SetDamageRadiusFactor(0.350000)
PlasmaProjectorP3.SetIconNum(361)
PlasmaProjectorP3.SetIconPositionX(16)
PlasmaProjectorP3.SetIconPositionY(64)
PlasmaProjectorP3.SetIconAboveShip(1)
PlasmaProjectorP3.SetFireSound("Projector")
PlasmaProjectorP3.SetMaxCharge(2.000000)
PlasmaProjectorP3.SetMaxDamage(1000.000000)
PlasmaProjectorP3.SetMaxDamageDistance(100.000000)
PlasmaProjectorP3.SetMinFiringCharge(2.000000)
PlasmaProjectorP3.SetNormalDischargeRate(1.000000)
PlasmaProjectorP3.SetRechargeRate(1.500000)
PlasmaProjectorP3.SetIndicatorIconNum(508)
PlasmaProjectorP3.SetIndicatorIconPositionX(14)
PlasmaProjectorP3.SetIndicatorIconPositionY(63)
PlasmaProjectorP3Forward = App.TGPoint3()
PlasmaProjectorP3Forward.SetXYZ(-1.000000, 0.000000, 0.000000)
PlasmaProjectorP3Up = App.TGPoint3()
PlasmaProjectorP3Up.SetXYZ(0.000000, 0.000000, 1.000000)
PlasmaProjectorP3.SetOrientation(PlasmaProjectorP3Forward, PlasmaProjectorP3Up)
PlasmaProjectorP3.SetWidth(0.010000)
PlasmaProjectorP3.SetLength(0.010000)
PlasmaProjectorP3.SetArcWidthAngles(-1.178098, 1.178098)
PlasmaProjectorP3.SetArcHeightAngles(-1.178098, 1.178098)
PlasmaProjectorP3.SetPhaserTextureStart(0)
PlasmaProjectorP3.SetPhaserTextureEnd(0)
PlasmaProjectorP3.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.320000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorP3.SetOuterShellColor(kColor)
kColor.SetRGBA(0.220000, 1.000000, 0.000000, 1.000000)
PlasmaProjectorP3.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorP3.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
PlasmaProjectorP3.SetInnerCoreColor(kColor)
PlasmaProjectorP3.SetNumSides(6)
PlasmaProjectorP3.SetMainRadius(0.100000)
PlasmaProjectorP3.SetTaperRadius(0.010000)
PlasmaProjectorP3.SetCoreScale(0.500000)
PlasmaProjectorP3.SetTaperRatio(0.250000)
PlasmaProjectorP3.SetTaperMinLength(5.000000)
PlasmaProjectorP3.SetTaperMaxLength(30.000000)
PlasmaProjectorP3.SetLengthTextureTilePerUnit(0.500000)
PlasmaProjectorP3.SetPerimeterTile(1.000000)
PlasmaProjectorP3.SetTextureSpeed(2.500000)
PlasmaProjectorP3.SetTextureName("data/CRPlasmaProjector.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaProjectorP3)
#################################################
CuttingBeamP1 = App.PhaserProperty_Create("Cutting Beam P1")

CuttingBeamP1.SetMaxCondition(10000.000000)
CuttingBeamP1.SetCritical(0)
CuttingBeamP1.SetTargetable(1)
CuttingBeamP1.SetPrimary(1)
CuttingBeamP1.SetPosition(-17.177954, 15.415931, -12.830883)
CuttingBeamP1.SetPosition2D(0.000000, 0.000000)
CuttingBeamP1.SetRepairComplexity(1.000000)
CuttingBeamP1.SetDisabledPercentage(0.500000)
CuttingBeamP1.SetRadius(0.250000)
CuttingBeamP1.SetDumbfire(0)
CuttingBeamP1.SetWeaponID(0)
CuttingBeamP1.SetGroups(0)
CuttingBeamP1.SetDamageRadiusFactor(0.50000)
CuttingBeamP1.SetIconNum(361)
CuttingBeamP1.SetIconPositionX(23)
CuttingBeamP1.SetIconPositionY(64)
CuttingBeamP1.SetIconAboveShip(1)
CuttingBeamP1.SetFireSound("Cutting Beam")
CuttingBeamP1.SetMaxCharge(2.000000)
CuttingBeamP1.SetMaxDamage(1250.000000)
CuttingBeamP1.SetMaxDamageDistance(200.000000)
CuttingBeamP1.SetMinFiringCharge(2.000000)
CuttingBeamP1.SetNormalDischargeRate(1.000000)
CuttingBeamP1.SetRechargeRate(1.500000)
CuttingBeamP1.SetIndicatorIconNum(508)
CuttingBeamP1.SetIndicatorIconPositionX(21)
CuttingBeamP1.SetIndicatorIconPositionY(63)
CuttingBeamP1Forward = App.TGPoint3()
CuttingBeamP1Forward.SetXYZ(-1.000000, 0.000000, 0.000000)
CuttingBeamP1Up = App.TGPoint3()
CuttingBeamP1Up.SetXYZ(0.000000, 0.000000, 1.000000)
CuttingBeamP1.SetOrientation(CuttingBeamP1Forward, CuttingBeamP1Up)
CuttingBeamP1.SetWidth(0.010000)
CuttingBeamP1.SetLength(0.010000)
CuttingBeamP1.SetArcWidthAngles(-1.178098, 1.178098)
CuttingBeamP1.SetArcHeightAngles(-1.178098, 1.178098)
CuttingBeamP1.SetPhaserTextureStart(0)
CuttingBeamP1.SetPhaserTextureEnd(0)
CuttingBeamP1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamP1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamP1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamP1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamP1.SetInnerCoreColor(kColor)
CuttingBeamP1.SetNumSides(12)
CuttingBeamP1.SetMainRadius(0.100000)
CuttingBeamP1.SetTaperRadius(0.010000)
CuttingBeamP1.SetCoreScale(0.500000)
CuttingBeamP1.SetTaperRatio(0.250000)
CuttingBeamP1.SetTaperMinLength(5.000000)
CuttingBeamP1.SetTaperMaxLength(30.000000)
CuttingBeamP1.SetLengthTextureTilePerUnit(0.500000)
CuttingBeamP1.SetPerimeterTile(1.000000)
CuttingBeamP1.SetTextureSpeed(2.500000)
CuttingBeamP1.SetTextureName("data/CRCutter.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(CuttingBeamP1)
#################################################
CuttingBeamP2 = App.PhaserProperty_Create("Cutting Beam P2")

CuttingBeamP2.SetMaxCondition(10000.000000)
CuttingBeamP2.SetCritical(0)
CuttingBeamP2.SetTargetable(1)
CuttingBeamP2.SetPrimary(1)
CuttingBeamP2.SetPosition(-17.177954, 13.680258, 6.498202)
CuttingBeamP2.SetPosition2D(0.000000, 0.000000)
CuttingBeamP2.SetRepairComplexity(1.000000)
CuttingBeamP2.SetDisabledPercentage(0.500000)
CuttingBeamP2.SetRadius(0.250000)
CuttingBeamP2.SetDumbfire(0)
CuttingBeamP2.SetWeaponID(0)
CuttingBeamP2.SetGroups(0)
CuttingBeamP2.SetDamageRadiusFactor(0.50000)
CuttingBeamP2.SetIconNum(361)
CuttingBeamP2.SetIconPositionX(26)
CuttingBeamP2.SetIconPositionY(52)
CuttingBeamP2.SetIconAboveShip(1)
CuttingBeamP2.SetFireSound("Cutting Beam")
CuttingBeamP2.SetMaxCharge(2.000000)
CuttingBeamP2.SetMaxDamage(1250.000000)
CuttingBeamP2.SetMaxDamageDistance(200.000000)
CuttingBeamP2.SetMinFiringCharge(2.000000)
CuttingBeamP2.SetNormalDischargeRate(1.000000)
CuttingBeamP2.SetRechargeRate(1.500000)
CuttingBeamP2.SetIndicatorIconNum(508)
CuttingBeamP2.SetIndicatorIconPositionX(24)
CuttingBeamP2.SetIndicatorIconPositionY(51)
CuttingBeamP2Forward = App.TGPoint3()
CuttingBeamP2Forward.SetXYZ(-1.000000, 0.000000, 0.000000)
CuttingBeamP2Up = App.TGPoint3()
CuttingBeamP2Up.SetXYZ(0.000000, 0.000000, 1.000000)
CuttingBeamP2.SetOrientation(CuttingBeamP2Forward, CuttingBeamP2Up)
CuttingBeamP2.SetWidth(0.010000)
CuttingBeamP2.SetLength(0.010000)
CuttingBeamP2.SetArcWidthAngles(-1.178098, 1.178098)
CuttingBeamP2.SetArcHeightAngles(-1.178098, 1.178098)
CuttingBeamP2.SetPhaserTextureStart(0)
CuttingBeamP2.SetPhaserTextureEnd(0)
CuttingBeamP2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamP2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamP2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamP2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamP2.SetInnerCoreColor(kColor)
CuttingBeamP2.SetNumSides(12)
CuttingBeamP2.SetMainRadius(0.100000)
CuttingBeamP2.SetTaperRadius(0.010000)
CuttingBeamP2.SetCoreScale(0.500000)
CuttingBeamP2.SetTaperRatio(0.250000)
CuttingBeamP2.SetTaperMinLength(5.000000)
CuttingBeamP2.SetTaperMaxLength(30.000000)
CuttingBeamP2.SetLengthTextureTilePerUnit(0.500000)
CuttingBeamP2.SetPerimeterTile(1.000000)
CuttingBeamP2.SetTextureSpeed(2.500000)
CuttingBeamP2.SetTextureName("data/CRCutter.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(CuttingBeamP2)
#################################################
WarpEnergyBeamS1 = App.PhaserProperty_Create("Energy Beam S1")

WarpEnergyBeamS1.SetMaxCondition(5000.000000)
WarpEnergyBeamS1.SetCritical(0)
WarpEnergyBeamS1.SetTargetable(1)
WarpEnergyBeamS1.SetPrimary(1)
WarpEnergyBeamS1.SetPosition(17.177954, -15.589498, -7.821099)
WarpEnergyBeamS1.SetPosition2D(0.000000, 0.000000)
WarpEnergyBeamS1.SetRepairComplexity(2.000000)
WarpEnergyBeamS1.SetDisabledPercentage(0.750000)
WarpEnergyBeamS1.SetRadius(0.250000)
WarpEnergyBeamS1.SetDumbfire(0)
WarpEnergyBeamS1.SetWeaponID(0)
WarpEnergyBeamS1.SetGroups(0)
WarpEnergyBeamS1.SetDamageRadiusFactor(0.200000)
WarpEnergyBeamS1.SetIconNum(362)
WarpEnergyBeamS1.SetIconPositionX(110)
WarpEnergyBeamS1.SetIconPositionY(40)
WarpEnergyBeamS1.SetIconAboveShip(1)
WarpEnergyBeamS1.SetFireSound("Borg Phaser")
WarpEnergyBeamS1.SetMaxCharge(2.000000)
WarpEnergyBeamS1.SetMaxDamage(750.000000)
WarpEnergyBeamS1.SetMaxDamageDistance(100.000000)
WarpEnergyBeamS1.SetMinFiringCharge(2.000000)
WarpEnergyBeamS1.SetNormalDischargeRate(1.000000)
WarpEnergyBeamS1.SetRechargeRate(1.500000)
WarpEnergyBeamS1.SetIndicatorIconNum(509)
WarpEnergyBeamS1.SetIndicatorIconPositionX(108)
WarpEnergyBeamS1.SetIndicatorIconPositionY(39)
WarpEnergyBeamS1Forward = App.TGPoint3()
WarpEnergyBeamS1Forward.SetXYZ(1.000000, 0.000000, 0.000000)
WarpEnergyBeamS1Up = App.TGPoint3()
WarpEnergyBeamS1Up.SetXYZ(0.000000, 0.000000, 1.000000)
WarpEnergyBeamS1.SetOrientation(WarpEnergyBeamS1Forward, WarpEnergyBeamS1Up)
WarpEnergyBeamS1.SetWidth(0.010000)
WarpEnergyBeamS1.SetLength(0.010000)
WarpEnergyBeamS1.SetArcWidthAngles(-1.178098, 1.178098)
WarpEnergyBeamS1.SetArcHeightAngles(-1.178098, 1.178098)
WarpEnergyBeamS1.SetPhaserTextureStart(7)
WarpEnergyBeamS1.SetPhaserTextureEnd(0)
WarpEnergyBeamS1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamS1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
WarpEnergyBeamS1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamS1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
WarpEnergyBeamS1.SetInnerCoreColor(kColor)
WarpEnergyBeamS1.SetNumSides(6)
WarpEnergyBeamS1.SetMainRadius(0.070000)
WarpEnergyBeamS1.SetTaperRadius(0.010000)
WarpEnergyBeamS1.SetCoreScale(0.500000)
WarpEnergyBeamS1.SetTaperRatio(0.250000)
WarpEnergyBeamS1.SetTaperMinLength(5.000000)
WarpEnergyBeamS1.SetTaperMaxLength(30.000000)
WarpEnergyBeamS1.SetLengthTextureTilePerUnit(0.500000)
WarpEnergyBeamS1.SetPerimeterTile(1.000000)
WarpEnergyBeamS1.SetTextureSpeed(2.500000)
WarpEnergyBeamS1.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEnergyBeamS1)
#################################################
WarpEnergyBeamS2 = App.PhaserProperty_Create("Energy Beam S2")

WarpEnergyBeamS2.SetMaxCondition(5000.000000)
WarpEnergyBeamS2.SetCritical(0)
WarpEnergyBeamS2.SetTargetable(1)
WarpEnergyBeamS2.SetPrimary(1)
WarpEnergyBeamS2.SetPosition(17.177954, -2.650846, -0.917856)
WarpEnergyBeamS2.SetPosition2D(0.000000, 0.000000)
WarpEnergyBeamS2.SetRepairComplexity(2.000000)
WarpEnergyBeamS2.SetDisabledPercentage(0.750000)
WarpEnergyBeamS2.SetRadius(0.250000)
WarpEnergyBeamS2.SetDumbfire(0)
WarpEnergyBeamS2.SetWeaponID(0)
WarpEnergyBeamS2.SetGroups(0)
WarpEnergyBeamS2.SetDamageRadiusFactor(0.200000)
WarpEnergyBeamS2.SetIconNum(362)
WarpEnergyBeamS2.SetIconPositionX(117)
WarpEnergyBeamS2.SetIconPositionY(40)
WarpEnergyBeamS2.SetIconAboveShip(1)
WarpEnergyBeamS2.SetFireSound("Borg Phaser")
WarpEnergyBeamS2.SetMaxCharge(2.000000)
WarpEnergyBeamS2.SetMaxDamage(750.000000)
WarpEnergyBeamS2.SetMaxDamageDistance(100.000000)
WarpEnergyBeamS2.SetMinFiringCharge(2.000000)
WarpEnergyBeamS2.SetNormalDischargeRate(1.000000)
WarpEnergyBeamS2.SetRechargeRate(1.500000)
WarpEnergyBeamS2.SetIndicatorIconNum(509)
WarpEnergyBeamS2.SetIndicatorIconPositionX(115)
WarpEnergyBeamS2.SetIndicatorIconPositionY(39)
WarpEnergyBeamS2Forward = App.TGPoint3()
WarpEnergyBeamS2Forward.SetXYZ(1.000000, 0.000000, 0.000000)
WarpEnergyBeamS2Up = App.TGPoint3()
WarpEnergyBeamS2Up.SetXYZ(0.000000, 0.000000, 1.000000)
WarpEnergyBeamS2.SetOrientation(WarpEnergyBeamS2Forward, WarpEnergyBeamS2Up)
WarpEnergyBeamS2.SetWidth(0.010000)
WarpEnergyBeamS2.SetLength(0.010000)
WarpEnergyBeamS2.SetArcWidthAngles(-1.178098, 1.178098)
WarpEnergyBeamS2.SetArcHeightAngles(-1.178098, 1.178098)
WarpEnergyBeamS2.SetPhaserTextureStart(7)
WarpEnergyBeamS2.SetPhaserTextureEnd(0)
WarpEnergyBeamS2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamS2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
WarpEnergyBeamS2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamS2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
WarpEnergyBeamS2.SetInnerCoreColor(kColor)
WarpEnergyBeamS2.SetNumSides(6)
WarpEnergyBeamS2.SetMainRadius(0.070000)
WarpEnergyBeamS2.SetTaperRadius(0.010000)
WarpEnergyBeamS2.SetCoreScale(0.500000)
WarpEnergyBeamS2.SetTaperRatio(0.250000)
WarpEnergyBeamS2.SetTaperMinLength(5.000000)
WarpEnergyBeamS2.SetTaperMaxLength(30.000000)
WarpEnergyBeamS2.SetLengthTextureTilePerUnit(0.500000)
WarpEnergyBeamS2.SetPerimeterTile(1.000000)
WarpEnergyBeamS2.SetTextureSpeed(2.500000)
WarpEnergyBeamS2.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEnergyBeamS2)
#################################################
WarpEnergyBeamS3 = App.PhaserProperty_Create("Energy Beam S3")

WarpEnergyBeamS3.SetMaxCondition(5000.000000)
WarpEnergyBeamS3.SetCritical(0)
WarpEnergyBeamS3.SetTargetable(1)
WarpEnergyBeamS3.SetPrimary(1)
WarpEnergyBeamS3.SetPosition(17.177954, -11.131975, 12.888633)
WarpEnergyBeamS3.SetPosition2D(0.000000, 0.000000)
WarpEnergyBeamS3.SetRepairComplexity(2.000000)
WarpEnergyBeamS3.SetDisabledPercentage(0.750000)
WarpEnergyBeamS3.SetRadius(0.250000)
WarpEnergyBeamS3.SetDumbfire(0)
WarpEnergyBeamS3.SetWeaponID(0)
WarpEnergyBeamS3.SetGroups(0)
WarpEnergyBeamS3.SetDamageRadiusFactor(0.200000)
WarpEnergyBeamS3.SetIconNum(362)
WarpEnergyBeamS3.SetIconPositionX(124)
WarpEnergyBeamS3.SetIconPositionY(40)
WarpEnergyBeamS3.SetIconAboveShip(1)
WarpEnergyBeamS3.SetFireSound("Borg Phaser")
WarpEnergyBeamS3.SetMaxCharge(2.000000)
WarpEnergyBeamS3.SetMaxDamage(750.000000)
WarpEnergyBeamS3.SetMaxDamageDistance(100.000000)
WarpEnergyBeamS3.SetMinFiringCharge(2.000000)
WarpEnergyBeamS3.SetNormalDischargeRate(1.000000)
WarpEnergyBeamS3.SetRechargeRate(1.500000)
WarpEnergyBeamS3.SetIndicatorIconNum(509)
WarpEnergyBeamS3.SetIndicatorIconPositionX(122)
WarpEnergyBeamS3.SetIndicatorIconPositionY(39)
WarpEnergyBeamS3Forward = App.TGPoint3()
WarpEnergyBeamS3Forward.SetXYZ(1.000000, 0.000000, 0.000000)
WarpEnergyBeamS3Up = App.TGPoint3()
WarpEnergyBeamS3Up.SetXYZ(0.000000, 0.000000, 1.000000)
WarpEnergyBeamS3.SetOrientation(WarpEnergyBeamS3Forward, WarpEnergyBeamS3Up)
WarpEnergyBeamS3.SetWidth(0.010000)
WarpEnergyBeamS3.SetLength(0.010000)
WarpEnergyBeamS3.SetArcWidthAngles(-1.178098, 1.178098)
WarpEnergyBeamS3.SetArcHeightAngles(-1.178098, 1.178098)
WarpEnergyBeamS3.SetPhaserTextureStart(7)
WarpEnergyBeamS3.SetPhaserTextureEnd(0)
WarpEnergyBeamS3.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamS3.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
WarpEnergyBeamS3.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamS3.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
WarpEnergyBeamS3.SetInnerCoreColor(kColor)
WarpEnergyBeamS3.SetNumSides(6)
WarpEnergyBeamS3.SetMainRadius(0.070000)
WarpEnergyBeamS3.SetTaperRadius(0.010000)
WarpEnergyBeamS3.SetCoreScale(0.500000)
WarpEnergyBeamS3.SetTaperRatio(0.250000)
WarpEnergyBeamS3.SetTaperMinLength(5.000000)
WarpEnergyBeamS3.SetTaperMaxLength(30.000000)
WarpEnergyBeamS3.SetLengthTextureTilePerUnit(0.500000)
WarpEnergyBeamS3.SetPerimeterTile(1.000000)
WarpEnergyBeamS3.SetTextureSpeed(2.500000)
WarpEnergyBeamS3.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEnergyBeamS3)
#################################################
WarpEnergyBeamS4 = App.PhaserProperty_Create("Energy Beam S4")

WarpEnergyBeamS4.SetMaxCondition(5000.000000)
WarpEnergyBeamS4.SetCritical(0)
WarpEnergyBeamS4.SetTargetable(1)
WarpEnergyBeamS4.SetPrimary(1)
WarpEnergyBeamS4.SetPosition(17.177954, 12.220715, 4.920317)
WarpEnergyBeamS4.SetPosition2D(0.000000, 0.000000)
WarpEnergyBeamS4.SetRepairComplexity(2.000000)
WarpEnergyBeamS4.SetDisabledPercentage(0.750000)
WarpEnergyBeamS4.SetRadius(0.250000)
WarpEnergyBeamS4.SetDumbfire(0)
WarpEnergyBeamS4.SetWeaponID(0)
WarpEnergyBeamS4.SetGroups(0)
WarpEnergyBeamS4.SetDamageRadiusFactor(0.200000)
WarpEnergyBeamS4.SetIconNum(362)
WarpEnergyBeamS4.SetIconPositionX(131)
WarpEnergyBeamS4.SetIconPositionY(40)
WarpEnergyBeamS4.SetIconAboveShip(1)
WarpEnergyBeamS4.SetFireSound("Borg Phaser")
WarpEnergyBeamS4.SetMaxCharge(2.000000)
WarpEnergyBeamS4.SetMaxDamage(750.000000)
WarpEnergyBeamS4.SetMaxDamageDistance(100.000000)
WarpEnergyBeamS4.SetMinFiringCharge(2.000000)
WarpEnergyBeamS4.SetNormalDischargeRate(1.000000)
WarpEnergyBeamS4.SetRechargeRate(1.500000)
WarpEnergyBeamS4.SetIndicatorIconNum(509)
WarpEnergyBeamS4.SetIndicatorIconPositionX(129)
WarpEnergyBeamS4.SetIndicatorIconPositionY(39)
WarpEnergyBeamS4Forward = App.TGPoint3()
WarpEnergyBeamS4Forward.SetXYZ(1.000000, 0.000000, 0.000000)
WarpEnergyBeamS4Up = App.TGPoint3()
WarpEnergyBeamS4Up.SetXYZ(0.000000, 0.000000, 1.000000)
WarpEnergyBeamS4.SetOrientation(WarpEnergyBeamS4Forward, WarpEnergyBeamS4Up)
WarpEnergyBeamS4.SetWidth(0.010000)
WarpEnergyBeamS4.SetLength(0.010000)
WarpEnergyBeamS4.SetArcWidthAngles(-1.178098, 1.178098)
WarpEnergyBeamS4.SetArcHeightAngles(-1.178098, 1.178098)
WarpEnergyBeamS4.SetPhaserTextureStart(7)
WarpEnergyBeamS4.SetPhaserTextureEnd(0)
WarpEnergyBeamS4.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamS4.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
WarpEnergyBeamS4.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
WarpEnergyBeamS4.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
WarpEnergyBeamS4.SetInnerCoreColor(kColor)
WarpEnergyBeamS4.SetNumSides(6)
WarpEnergyBeamS4.SetMainRadius(0.070000)
WarpEnergyBeamS4.SetTaperRadius(0.010000)
WarpEnergyBeamS4.SetCoreScale(0.500000)
WarpEnergyBeamS4.SetTaperRatio(0.250000)
WarpEnergyBeamS4.SetTaperMinLength(5.000000)
WarpEnergyBeamS4.SetTaperMaxLength(30.000000)
WarpEnergyBeamS4.SetLengthTextureTilePerUnit(0.500000)
WarpEnergyBeamS4.SetPerimeterTile(1.000000)
WarpEnergyBeamS4.SetTextureSpeed(2.500000)
WarpEnergyBeamS4.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEnergyBeamS4)
#################################################
PlasmaProjectorS1 = App.PhaserProperty_Create("Plasma Projector S1")

PlasmaProjectorS1.SetMaxCondition(7500.000000)
PlasmaProjectorS1.SetCritical(0)
PlasmaProjectorS1.SetTargetable(1)
PlasmaProjectorS1.SetPrimary(1)
PlasmaProjectorS1.SetPosition(17.177954, 9.735547, 9.811759)
PlasmaProjectorS1.SetPosition2D(0.000000, 0.000000)
PlasmaProjectorS1.SetRepairComplexity(1.000000)
PlasmaProjectorS1.SetDisabledPercentage(0.500000)
PlasmaProjectorS1.SetRadius(0.250000)
PlasmaProjectorS1.SetDumbfire(0)
PlasmaProjectorS1.SetWeaponID(0)
PlasmaProjectorS1.SetGroups(0)
PlasmaProjectorS1.SetDamageRadiusFactor(0.350000)
PlasmaProjectorS1.SetIconNum(362)
PlasmaProjectorS1.SetIconPositionX(110)
PlasmaProjectorS1.SetIconPositionY(64)
PlasmaProjectorS1.SetIconAboveShip(1)
PlasmaProjectorS1.SetFireSound("Projector")
PlasmaProjectorS1.SetMaxCharge(2.000000)
PlasmaProjectorS1.SetMaxDamage(1000.000000)
PlasmaProjectorS1.SetMaxDamageDistance(100.000000)
PlasmaProjectorS1.SetMinFiringCharge(2.000000)
PlasmaProjectorS1.SetNormalDischargeRate(1.000000)
PlasmaProjectorS1.SetRechargeRate(1.500000)
PlasmaProjectorS1.SetIndicatorIconNum(509)
PlasmaProjectorS1.SetIndicatorIconPositionX(108)
PlasmaProjectorS1.SetIndicatorIconPositionY(63)
PlasmaProjectorS1Forward = App.TGPoint3()
PlasmaProjectorS1Forward.SetXYZ(1.000000, 0.000000, 0.000000)
PlasmaProjectorS1Up = App.TGPoint3()
PlasmaProjectorS1Up.SetXYZ(0.000000, 0.000000, 1.000000)
PlasmaProjectorS1.SetOrientation(PlasmaProjectorS1Forward, PlasmaProjectorS1Up)
PlasmaProjectorS1.SetWidth(0.010000)
PlasmaProjectorS1.SetLength(0.010000)
PlasmaProjectorS1.SetArcWidthAngles(-1.178098, 1.178098)
PlasmaProjectorS1.SetArcHeightAngles(-1.178098, 1.178098)
PlasmaProjectorS1.SetPhaserTextureStart(0)
PlasmaProjectorS1.SetPhaserTextureEnd(0)
PlasmaProjectorS1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.320000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorS1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.220000, 1.000000, 0.000000, 1.000000)
PlasmaProjectorS1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorS1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
PlasmaProjectorS1.SetInnerCoreColor(kColor)
PlasmaProjectorS1.SetNumSides(6)
PlasmaProjectorS1.SetMainRadius(0.100000)
PlasmaProjectorS1.SetTaperRadius(0.010000)
PlasmaProjectorS1.SetCoreScale(0.500000)
PlasmaProjectorS1.SetTaperRatio(0.250000)
PlasmaProjectorS1.SetTaperMinLength(5.000000)
PlasmaProjectorS1.SetTaperMaxLength(30.000000)
PlasmaProjectorS1.SetLengthTextureTilePerUnit(0.500000)
PlasmaProjectorS1.SetPerimeterTile(1.000000)
PlasmaProjectorS1.SetTextureSpeed(2.500000)
PlasmaProjectorS1.SetTextureName("data/CRPlasmaProjector.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaProjectorS1)
#################################################
PlasmaProjectorS2 = App.PhaserProperty_Create("Plasma Projector S2")

PlasmaProjectorS2.SetMaxCondition(7500.000000)
PlasmaProjectorS2.SetCritical(0)
PlasmaProjectorS2.SetTargetable(1)
PlasmaProjectorS2.SetPrimary(1)
PlasmaProjectorS2.SetPosition(17.177954, 8.039321, -2.061822)
PlasmaProjectorS2.SetPosition2D(0.000000, 0.000000)
PlasmaProjectorS2.SetRepairComplexity(1.000000)
PlasmaProjectorS2.SetDisabledPercentage(0.500000)
PlasmaProjectorS2.SetRadius(0.250000)
PlasmaProjectorS2.SetDumbfire(0)
PlasmaProjectorS2.SetWeaponID(0)
PlasmaProjectorS2.SetGroups(0)
PlasmaProjectorS2.SetDamageRadiusFactor(0.350000)
PlasmaProjectorS2.SetIconNum(362)
PlasmaProjectorS2.SetIconPositionX(117)
PlasmaProjectorS2.SetIconPositionY(64)
PlasmaProjectorS2.SetIconAboveShip(1)
PlasmaProjectorS2.SetFireSound("Projector")
PlasmaProjectorS2.SetMaxCharge(2.000000)
PlasmaProjectorS2.SetMaxDamage(1000.000000)
PlasmaProjectorS2.SetMaxDamageDistance(100.000000)
PlasmaProjectorS2.SetMinFiringCharge(2.000000)
PlasmaProjectorS2.SetNormalDischargeRate(1.000000)
PlasmaProjectorS2.SetRechargeRate(1.500000)
PlasmaProjectorS2.SetIndicatorIconNum(509)
PlasmaProjectorS2.SetIndicatorIconPositionX(115)
PlasmaProjectorS2.SetIndicatorIconPositionY(63)
PlasmaProjectorS2Forward = App.TGPoint3()
PlasmaProjectorS2Forward.SetXYZ(1.000000, 0.000000, 0.000000)
PlasmaProjectorS2Up = App.TGPoint3()
PlasmaProjectorS2Up.SetXYZ(0.000000, 0.000000, 1.000000)
PlasmaProjectorS2.SetOrientation(PlasmaProjectorS2Forward, PlasmaProjectorS2Up)
PlasmaProjectorS2.SetWidth(0.010000)
PlasmaProjectorS2.SetLength(0.010000)
PlasmaProjectorS2.SetArcWidthAngles(-1.178098, 1.178098)
PlasmaProjectorS2.SetArcHeightAngles(-1.178098, 1.178098)
PlasmaProjectorS2.SetPhaserTextureStart(0)
PlasmaProjectorS2.SetPhaserTextureEnd(0)
PlasmaProjectorS2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.320000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorS2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.220000, 1.000000, 0.000000, 1.000000)
PlasmaProjectorS2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorS2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
PlasmaProjectorS2.SetInnerCoreColor(kColor)
PlasmaProjectorS2.SetNumSides(6)
PlasmaProjectorS2.SetMainRadius(0.100000)
PlasmaProjectorS2.SetTaperRadius(0.010000)
PlasmaProjectorS2.SetCoreScale(0.500000)
PlasmaProjectorS2.SetTaperRatio(0.250000)
PlasmaProjectorS2.SetTaperMinLength(5.000000)
PlasmaProjectorS2.SetTaperMaxLength(30.000000)
PlasmaProjectorS2.SetLengthTextureTilePerUnit(0.500000)
PlasmaProjectorS2.SetPerimeterTile(1.000000)
PlasmaProjectorS2.SetTextureSpeed(2.500000)
PlasmaProjectorS2.SetTextureName("data/CRPlasmaProjector.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaProjectorS2)
#################################################
PlasmaProjectorS3 = App.PhaserProperty_Create("Plasma Projector S3")

PlasmaProjectorS3.SetMaxCondition(7500.000000)
PlasmaProjectorS3.SetCritical(0)
PlasmaProjectorS3.SetTargetable(1)
PlasmaProjectorS3.SetPrimary(1)
PlasmaProjectorS3.SetPosition(17.177954, -15.313368, -1.154538)
PlasmaProjectorS3.SetPosition2D(0.000000, 0.000000)
PlasmaProjectorS3.SetRepairComplexity(1.000000)
PlasmaProjectorS3.SetDisabledPercentage(0.500000)
PlasmaProjectorS3.SetRadius(0.250000)
PlasmaProjectorS3.SetDumbfire(0)
PlasmaProjectorS3.SetWeaponID(0)
PlasmaProjectorS3.SetGroups(0)
PlasmaProjectorS3.SetDamageRadiusFactor(0.350000)
PlasmaProjectorS3.SetIconNum(362)
PlasmaProjectorS3.SetIconPositionX(124)
PlasmaProjectorS3.SetIconPositionY(64)
PlasmaProjectorS3.SetIconAboveShip(1)
PlasmaProjectorS3.SetFireSound("Projector")
PlasmaProjectorS3.SetMaxCharge(2.000000)
PlasmaProjectorS3.SetMaxDamage(1000.000000)
PlasmaProjectorS3.SetMaxDamageDistance(100.000000)
PlasmaProjectorS3.SetMinFiringCharge(2.000000)
PlasmaProjectorS3.SetNormalDischargeRate(1.000000)
PlasmaProjectorS3.SetRechargeRate(1.500000)
PlasmaProjectorS3.SetIndicatorIconNum(509)
PlasmaProjectorS3.SetIndicatorIconPositionX(122)
PlasmaProjectorS3.SetIndicatorIconPositionY(63)
PlasmaProjectorS3Forward = App.TGPoint3()
PlasmaProjectorS3Forward.SetXYZ(1.000000, 0.000000, 0.000000)
PlasmaProjectorS3Up = App.TGPoint3()
PlasmaProjectorS3Up.SetXYZ(0.000000, 0.000000, 1.000000)
PlasmaProjectorS3.SetOrientation(PlasmaProjectorS3Forward, PlasmaProjectorS3Up)
PlasmaProjectorS3.SetWidth(0.010000)
PlasmaProjectorS3.SetLength(0.010000)
PlasmaProjectorS3.SetArcWidthAngles(-1.178098, 1.178098)
PlasmaProjectorS3.SetArcHeightAngles(-1.178098, 1.178098)
PlasmaProjectorS3.SetPhaserTextureStart(0)
PlasmaProjectorS3.SetPhaserTextureEnd(0)
PlasmaProjectorS3.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.320000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorS3.SetOuterShellColor(kColor)
kColor.SetRGBA(0.220000, 1.000000, 0.000000, 1.000000)
PlasmaProjectorS3.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorS3.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
PlasmaProjectorS3.SetInnerCoreColor(kColor)
PlasmaProjectorS3.SetNumSides(6)
PlasmaProjectorS3.SetMainRadius(0.100000)
PlasmaProjectorS3.SetTaperRadius(0.010000)
PlasmaProjectorS3.SetCoreScale(0.500000)
PlasmaProjectorS3.SetTaperRatio(0.250000)
PlasmaProjectorS3.SetTaperMinLength(5.000000)
PlasmaProjectorS3.SetTaperMaxLength(30.000000)
PlasmaProjectorS3.SetLengthTextureTilePerUnit(0.500000)
PlasmaProjectorS3.SetPerimeterTile(1.000000)
PlasmaProjectorS3.SetTextureSpeed(2.500000)
PlasmaProjectorS3.SetTextureName("data/CRPlasmaProjector.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaProjectorS3)
#################################################
CuttingBeamS1 = App.PhaserProperty_Create("Cutting Beam S1")

CuttingBeamS1.SetMaxCondition(10000.000000)
CuttingBeamS1.SetCritical(0)
CuttingBeamS1.SetTargetable(1)
CuttingBeamS1.SetPrimary(1)
CuttingBeamS1.SetPosition(17.177954, 15.415931, -12.830883)
CuttingBeamS1.SetPosition2D(0.000000, 0.000000)
CuttingBeamS1.SetRepairComplexity(1.000000)
CuttingBeamS1.SetDisabledPercentage(0.500000)
CuttingBeamS1.SetRadius(0.250000)
CuttingBeamS1.SetDumbfire(0)
CuttingBeamS1.SetWeaponID(0)
CuttingBeamS1.SetGroups(0)
CuttingBeamS1.SetDamageRadiusFactor(0.50000)
CuttingBeamS1.SetIconNum(362)
CuttingBeamS1.SetIconPositionX(131)
CuttingBeamS1.SetIconPositionY(64)
CuttingBeamS1.SetIconAboveShip(1)
CuttingBeamS1.SetFireSound("Cutting Beam")
CuttingBeamS1.SetMaxCharge(2.000000)
CuttingBeamS1.SetMaxDamage(1250.000000)
CuttingBeamS1.SetMaxDamageDistance(200.000000)
CuttingBeamS1.SetMinFiringCharge(2.000000)
CuttingBeamS1.SetNormalDischargeRate(1.000000)
CuttingBeamS1.SetRechargeRate(1.500000)
CuttingBeamS1.SetIndicatorIconNum(509)
CuttingBeamS1.SetIndicatorIconPositionX(129)
CuttingBeamS1.SetIndicatorIconPositionY(63)
CuttingBeamS1Forward = App.TGPoint3()
CuttingBeamS1Forward.SetXYZ(1.000000, 0.000000, 0.000000)
CuttingBeamS1Up = App.TGPoint3()
CuttingBeamS1Up.SetXYZ(0.000000, 0.000000, 1.000000)
CuttingBeamS1.SetOrientation(CuttingBeamS1Forward, CuttingBeamS1Up)
CuttingBeamS1.SetWidth(0.010000)
CuttingBeamS1.SetLength(0.010000)
CuttingBeamS1.SetArcWidthAngles(-1.178098, 1.178098)
CuttingBeamS1.SetArcHeightAngles(-1.178098, 1.178098)
CuttingBeamS1.SetPhaserTextureStart(0)
CuttingBeamS1.SetPhaserTextureEnd(0)
CuttingBeamS1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamS1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamS1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamS1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamS1.SetInnerCoreColor(kColor)
CuttingBeamS1.SetNumSides(12)
CuttingBeamS1.SetMainRadius(0.100000)
CuttingBeamS1.SetTaperRadius(0.010000)
CuttingBeamS1.SetCoreScale(0.500000)
CuttingBeamS1.SetTaperRatio(0.250000)
CuttingBeamS1.SetTaperMinLength(5.000000)
CuttingBeamS1.SetTaperMaxLength(30.000000)
CuttingBeamS1.SetLengthTextureTilePerUnit(0.500000)
CuttingBeamS1.SetPerimeterTile(1.000000)
CuttingBeamS1.SetTextureSpeed(2.500000)
CuttingBeamS1.SetTextureName("data/CRCutter.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(CuttingBeamS1)
#################################################
CuttingBeamS2 = App.PhaserProperty_Create("Cutting Beam S2")

CuttingBeamS2.SetMaxCondition(10000.000000)
CuttingBeamS2.SetCritical(0)
CuttingBeamS2.SetTargetable(1)
CuttingBeamS2.SetPrimary(1)
CuttingBeamS2.SetPosition(17.177954, 13.680258, 6.498202)
CuttingBeamS2.SetPosition2D(0.000000, 0.000000)
CuttingBeamS2.SetRepairComplexity(1.000000)
CuttingBeamS2.SetDisabledPercentage(0.500000)
CuttingBeamS2.SetRadius(0.250000)
CuttingBeamS2.SetDumbfire(0)
CuttingBeamS2.SetWeaponID(0)
CuttingBeamS2.SetGroups(0)
CuttingBeamS2.SetDamageRadiusFactor(0.50000)
CuttingBeamS2.SetIconNum(362)
CuttingBeamS2.SetIconPositionX(107)
CuttingBeamS2.SetIconPositionY(52)
CuttingBeamS2.SetIconAboveShip(1)
CuttingBeamS2.SetFireSound("Cutting Beam")
CuttingBeamS2.SetMaxCharge(2.000000)
CuttingBeamS2.SetMaxDamage(1250.000000)
CuttingBeamS2.SetMaxDamageDistance(200.000000)
CuttingBeamS2.SetMinFiringCharge(2.000000)
CuttingBeamS2.SetNormalDischargeRate(1.000000)
CuttingBeamS2.SetRechargeRate(1.500000)
CuttingBeamS2.SetIndicatorIconNum(509)
CuttingBeamS2.SetIndicatorIconPositionX(105)
CuttingBeamS2.SetIndicatorIconPositionY(51)
CuttingBeamS2Forward = App.TGPoint3()
CuttingBeamS2Forward.SetXYZ(1.000000, 0.000000, 0.000000)
CuttingBeamS2Up = App.TGPoint3()
CuttingBeamS2Up.SetXYZ(0.000000, 0.000000, 1.000000)
CuttingBeamS2.SetOrientation(CuttingBeamS2Forward, CuttingBeamS2Up)
CuttingBeamS2.SetWidth(0.010000)
CuttingBeamS2.SetLength(0.010000)
CuttingBeamS2.SetArcWidthAngles(-1.178098, 1.178098)
CuttingBeamS2.SetArcHeightAngles(-1.178098, 1.178098)
CuttingBeamS2.SetPhaserTextureStart(0)
CuttingBeamS2.SetPhaserTextureEnd(0)
CuttingBeamS2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamS2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamS2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamS2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamS2.SetInnerCoreColor(kColor)
CuttingBeamS2.SetNumSides(12)
CuttingBeamS2.SetMainRadius(0.100000)
CuttingBeamS2.SetTaperRadius(0.010000)
CuttingBeamS2.SetCoreScale(0.500000)
CuttingBeamS2.SetTaperRatio(0.250000)
CuttingBeamS2.SetTaperMinLength(5.000000)
CuttingBeamS2.SetTaperMaxLength(30.000000)
CuttingBeamS2.SetLengthTextureTilePerUnit(0.500000)
CuttingBeamS2.SetPerimeterTile(1.000000)
CuttingBeamS2.SetTextureSpeed(2.500000)
CuttingBeamS2.SetTextureName("data/CRCutter.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(CuttingBeamS2)
#################################################
PlasmaCannons = App.WeaponSystemProperty_Create("Plasma Cannons")

PlasmaCannons.SetMaxCondition(2000000.000000)
PlasmaCannons.SetCritical(0)
PlasmaCannons.SetTargetable(0)
PlasmaCannons.SetPrimary(1)
PlasmaCannons.SetPosition(0.000000, 0.000000, 0.000000)
PlasmaCannons.SetPosition2D(0.000000, 0.000000)
PlasmaCannons.SetRepairComplexity(2.000000)
PlasmaCannons.SetDisabledPercentage(0.750000)
PlasmaCannons.SetRadius(1.250000)
PlasmaCannons.SetNormalPowerPerSecond(250.000000)
PlasmaCannons.SetWeaponSystemType(PlasmaCannons.WST_PULSE)
PlasmaCannons.SetSingleFire(0)
PlasmaCannons.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
PlasmaCannons.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaCannons)
#################################################
PlasmaCannonFP1 = App.PulseWeaponProperty_Create("Cannon FP1")

PlasmaCannonFP1.SetMaxCondition(10000.000000)
PlasmaCannonFP1.SetCritical(0)
PlasmaCannonFP1.SetTargetable(1)
PlasmaCannonFP1.SetPrimary(1)
PlasmaCannonFP1.SetPosition(-17.167382, 17.167382, 11.310749)
PlasmaCannonFP1.SetPosition2D(0.000000, 0.000000)
PlasmaCannonFP1.SetRepairComplexity(2.000000)
PlasmaCannonFP1.SetDisabledPercentage(0.750000)
PlasmaCannonFP1.SetRadius(0.250000)
PlasmaCannonFP1.SetDumbfire(1)
PlasmaCannonFP1.SetWeaponID(0)
PlasmaCannonFP1.SetGroups(0)
PlasmaCannonFP1.SetDamageRadiusFactor(0.300000)
PlasmaCannonFP1.SetIconNum(365)
PlasmaCannonFP1.SetIconPositionX(67)
PlasmaCannonFP1.SetIconPositionY(49)
PlasmaCannonFP1.SetIconAboveShip(1)
PlasmaCannonFP1.SetFireSound("Borg Disruptor")
PlasmaCannonFP1.SetMaxCharge(15.000000)
PlasmaCannonFP1.SetMaxDamage(1000.000000)
PlasmaCannonFP1.SetMaxDamageDistance(300.000000)
PlasmaCannonFP1.SetMinFiringCharge(15.000000)
PlasmaCannonFP1.SetNormalDischargeRate(4.091928)
PlasmaCannonFP1.SetRechargeRate(1.500000)
PlasmaCannonFP1.SetIndicatorIconNum(0)
PlasmaCannonFP1.SetIndicatorIconPositionX(500.000000)
PlasmaCannonFP1.SetIndicatorIconPositionY(500.000000)
PlasmaCannonFP1Forward = App.TGPoint3()
PlasmaCannonFP1Forward.SetXYZ(-0.707107, 0.707107, 0.000000)
PlasmaCannonFP1Up = App.TGPoint3()
PlasmaCannonFP1Up.SetXYZ(0.000000, 0.000000, 4.091928)
PlasmaCannonFP1.SetOrientation(PlasmaCannonFP1Forward, PlasmaCannonFP1Up)
PlasmaCannonFP1.SetArcWidthAngles(-1.374447, 1.374447)
PlasmaCannonFP1.SetArcHeightAngles(-1.374447, 1.374447)
PlasmaCannonFP1.SetCooldownTime(0.000001)
PlasmaCannonFP1.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaCannonFP1)
#################################################
PlasmaCannonFP2 = App.PulseWeaponProperty_Create("Cannon FP2")

PlasmaCannonFP2.SetMaxCondition(10000.000000)
PlasmaCannonFP2.SetCritical(0)
PlasmaCannonFP2.SetTargetable(1)
PlasmaCannonFP2.SetPrimary(1)
PlasmaCannonFP2.SetPosition(-17.167382, 17.167382, 9.062264)
PlasmaCannonFP2.SetPosition2D(0.000000, 0.000000)
PlasmaCannonFP2.SetRepairComplexity(2.000000)
PlasmaCannonFP2.SetDisabledPercentage(0.750000)
PlasmaCannonFP2.SetRadius(0.250000)
PlasmaCannonFP2.SetDumbfire(1)
PlasmaCannonFP2.SetWeaponID(0)
PlasmaCannonFP2.SetGroups(0)
PlasmaCannonFP2.SetDamageRadiusFactor(0.300000)
PlasmaCannonFP2.SetIconNum(365)
PlasmaCannonFP2.SetIconPositionX(63)
PlasmaCannonFP2.SetIconPositionY(50)
PlasmaCannonFP2.SetIconAboveShip(1)
PlasmaCannonFP2.SetFireSound("Borg Disruptor")
PlasmaCannonFP2.SetMaxCharge(15.000000)
PlasmaCannonFP2.SetMaxDamage(1000.000000)
PlasmaCannonFP2.SetMaxDamageDistance(300.000000)
PlasmaCannonFP2.SetMinFiringCharge(15.000000)
PlasmaCannonFP2.SetNormalDischargeRate(4.091928)
PlasmaCannonFP2.SetRechargeRate(1.500000)
PlasmaCannonFP2.SetIndicatorIconNum(0)
PlasmaCannonFP2.SetIndicatorIconPositionX(500.000000)
PlasmaCannonFP2.SetIndicatorIconPositionY(500.000000)
PlasmaCannonFP2Forward = App.TGPoint3()
PlasmaCannonFP2Forward.SetXYZ(-0.707107, 0.707107, 0.000000)
PlasmaCannonFP2Up = App.TGPoint3()
PlasmaCannonFP2Up.SetXYZ(0.000000, 0.000000, 4.091928)
PlasmaCannonFP2.SetOrientation(PlasmaCannonFP2Forward, PlasmaCannonFP2Up)
PlasmaCannonFP2.SetArcWidthAngles(-1.374447, 1.374447)
PlasmaCannonFP2.SetArcHeightAngles(-1.374447, 1.374447)
PlasmaCannonFP2.SetCooldownTime(0.000001)
PlasmaCannonFP2.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaCannonFP2)
#################################################
PlasmaCannonFP3 = App.PulseWeaponProperty_Create("Cannon FP3")

PlasmaCannonFP3.SetMaxCondition(10000.000000)
PlasmaCannonFP3.SetCritical(0)
PlasmaCannonFP3.SetTargetable(1)
PlasmaCannonFP3.SetPrimary(1)
PlasmaCannonFP3.SetPosition(-17.167382, 17.167382, 4.091928)
PlasmaCannonFP3.SetPosition2D(0.000000, 0.000000)
PlasmaCannonFP3.SetRepairComplexity(2.000000)
PlasmaCannonFP3.SetDisabledPercentage(0.750000)
PlasmaCannonFP3.SetRadius(0.250000)
PlasmaCannonFP3.SetDumbfire(1)
PlasmaCannonFP3.SetWeaponID(0)
PlasmaCannonFP3.SetGroups(0)
PlasmaCannonFP3.SetDamageRadiusFactor(0.300000)
PlasmaCannonFP3.SetIconNum(365)
PlasmaCannonFP3.SetIconPositionX(59)
PlasmaCannonFP3.SetIconPositionY(51)
PlasmaCannonFP3.SetIconAboveShip(1)
PlasmaCannonFP3.SetFireSound("Borg Disruptor")
PlasmaCannonFP3.SetMaxCharge(15.000000)
PlasmaCannonFP3.SetMaxDamage(1000.000000)
PlasmaCannonFP3.SetMaxDamageDistance(300.000000)
PlasmaCannonFP3.SetMinFiringCharge(15.000000)
PlasmaCannonFP3.SetNormalDischargeRate(4.091928)
PlasmaCannonFP3.SetRechargeRate(1.500000)
PlasmaCannonFP3.SetIndicatorIconNum(0)
PlasmaCannonFP3.SetIndicatorIconPositionX(500.000000)
PlasmaCannonFP3.SetIndicatorIconPositionY(500.000000)
PlasmaCannonFP3Forward = App.TGPoint3()
PlasmaCannonFP3Forward.SetXYZ(-0.707107, 0.707107, 0.000000)
PlasmaCannonFP3Up = App.TGPoint3()
PlasmaCannonFP3Up.SetXYZ(0.000000, 0.000000, 4.091928)
PlasmaCannonFP3.SetOrientation(PlasmaCannonFP3Forward, PlasmaCannonFP3Up)
PlasmaCannonFP3.SetArcWidthAngles(-1.374447, 1.374447)
PlasmaCannonFP3.SetArcHeightAngles(-1.374447, 1.374447)
PlasmaCannonFP3.SetCooldownTime(0.000001)
PlasmaCannonFP3.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaCannonFP3)
#################################################
PlasmaCannonFP4 = App.PulseWeaponProperty_Create("Cannon FP4")

PlasmaCannonFP4.SetMaxCondition(10000.000000)
PlasmaCannonFP4.SetCritical(0)
PlasmaCannonFP4.SetTargetable(1)
PlasmaCannonFP4.SetPrimary(1)
PlasmaCannonFP4.SetPosition(-17.167382, 17.167382, 0.502241)
PlasmaCannonFP4.SetPosition2D(0.000000, 0.000000)
PlasmaCannonFP4.SetRepairComplexity(2.000000)
PlasmaCannonFP4.SetDisabledPercentage(0.750000)
PlasmaCannonFP4.SetRadius(0.250000)
PlasmaCannonFP4.SetDumbfire(1)
PlasmaCannonFP4.SetWeaponID(0)
PlasmaCannonFP4.SetGroups(0)
PlasmaCannonFP4.SetDamageRadiusFactor(0.300000)
PlasmaCannonFP4.SetIconNum(365)
PlasmaCannonFP4.SetIconPositionX(55)
PlasmaCannonFP4.SetIconPositionY(52)
PlasmaCannonFP4.SetIconAboveShip(1)
PlasmaCannonFP4.SetFireSound("Borg Disruptor")
PlasmaCannonFP4.SetMaxCharge(15.000000)
PlasmaCannonFP4.SetMaxDamage(1000.000000)
PlasmaCannonFP4.SetMaxDamageDistance(300.000000)
PlasmaCannonFP4.SetMinFiringCharge(15.000000)
PlasmaCannonFP4.SetNormalDischargeRate(4.091928)
PlasmaCannonFP4.SetRechargeRate(1.500000)
PlasmaCannonFP4.SetIndicatorIconNum(0)
PlasmaCannonFP4.SetIndicatorIconPositionX(500.000000)
PlasmaCannonFP4.SetIndicatorIconPositionY(500.000000)
PlasmaCannonFP4Forward = App.TGPoint3()
PlasmaCannonFP4Forward.SetXYZ(-0.707107, 0.707107, 0.000000)
PlasmaCannonFP4Up = App.TGPoint3()
PlasmaCannonFP4Up.SetXYZ(0.000000, 0.000000, 4.091928)
PlasmaCannonFP4.SetOrientation(PlasmaCannonFP4Forward, PlasmaCannonFP4Up)
PlasmaCannonFP4.SetArcWidthAngles(-1.374447, 1.374447)
PlasmaCannonFP4.SetArcHeightAngles(-1.374447, 1.374447)
PlasmaCannonFP4.SetCooldownTime(0.000001)
PlasmaCannonFP4.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaCannonFP4)
#################################################
PlasmaCannonFP5 = App.PulseWeaponProperty_Create("Cannon FP5")

PlasmaCannonFP5.SetMaxCondition(10000.000000)
PlasmaCannonFP5.SetCritical(0)
PlasmaCannonFP5.SetTargetable(1)
PlasmaCannonFP5.SetPrimary(1)
PlasmaCannonFP5.SetPosition(-17.167382, 17.167382, -7.347735)
PlasmaCannonFP5.SetPosition2D(0.000000, 0.000000)
PlasmaCannonFP5.SetRepairComplexity(2.000000)
PlasmaCannonFP5.SetDisabledPercentage(0.750000)
PlasmaCannonFP5.SetRadius(0.250000)
PlasmaCannonFP5.SetDumbfire(1)
PlasmaCannonFP5.SetWeaponID(0)
PlasmaCannonFP5.SetGroups(0)
PlasmaCannonFP5.SetDamageRadiusFactor(0.300000)
PlasmaCannonFP5.SetIconNum(365)
PlasmaCannonFP5.SetIconPositionX(51)
PlasmaCannonFP5.SetIconPositionY(53)
PlasmaCannonFP5.SetIconAboveShip(1)
PlasmaCannonFP5.SetFireSound("Borg Disruptor")
PlasmaCannonFP5.SetMaxCharge(15.000000)
PlasmaCannonFP5.SetMaxDamage(1000.000000)
PlasmaCannonFP5.SetMaxDamageDistance(300.000000)
PlasmaCannonFP5.SetMinFiringCharge(15.000000)
PlasmaCannonFP5.SetNormalDischargeRate(4.091928)
PlasmaCannonFP5.SetRechargeRate(1.500000)
PlasmaCannonFP5.SetIndicatorIconNum(0)
PlasmaCannonFP5.SetIndicatorIconPositionX(500.000000)
PlasmaCannonFP5.SetIndicatorIconPositionY(500.000000)
PlasmaCannonFP5Forward = App.TGPoint3()
PlasmaCannonFP5Forward.SetXYZ(-0.707107, 0.707107, 0.000000)
PlasmaCannonFP5Up = App.TGPoint3()
PlasmaCannonFP5Up.SetXYZ(0.000000, 0.000000, 4.091928)
PlasmaCannonFP5.SetOrientation(PlasmaCannonFP5Forward, PlasmaCannonFP5Up)
PlasmaCannonFP5.SetArcWidthAngles(-1.374447, 1.374447)
PlasmaCannonFP5.SetArcHeightAngles(-1.374447, 1.374447)
PlasmaCannonFP5.SetCooldownTime(0.000001)
PlasmaCannonFP5.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaCannonFP5)
#################################################
PlasmaCannonFP6 = App.PulseWeaponProperty_Create("Cannon FP6")

PlasmaCannonFP6.SetMaxCondition(10000.000000)
PlasmaCannonFP6.SetCritical(0)
PlasmaCannonFP6.SetTargetable(1)
PlasmaCannonFP6.SetPrimary(1)
PlasmaCannonFP6.SetPosition(-17.167382, 17.167382, -12.751989)
PlasmaCannonFP6.SetPosition2D(0.000000, 0.000000)
PlasmaCannonFP6.SetRepairComplexity(2.000000)
PlasmaCannonFP6.SetDisabledPercentage(0.750000)
PlasmaCannonFP6.SetRadius(0.250000)
PlasmaCannonFP6.SetDumbfire(1)
PlasmaCannonFP6.SetWeaponID(0)
PlasmaCannonFP6.SetGroups(0)
PlasmaCannonFP6.SetDamageRadiusFactor(0.300000)
PlasmaCannonFP6.SetIconNum(365)
PlasmaCannonFP6.SetIconPositionX(47)
PlasmaCannonFP6.SetIconPositionY(54)
PlasmaCannonFP6.SetIconAboveShip(1)
PlasmaCannonFP6.SetFireSound("Borg Disruptor")
PlasmaCannonFP6.SetMaxCharge(15.000000)
PlasmaCannonFP6.SetMaxDamage(1000.000000)
PlasmaCannonFP6.SetMaxDamageDistance(300.000000)
PlasmaCannonFP6.SetMinFiringCharge(15.000000)
PlasmaCannonFP6.SetNormalDischargeRate(4.091928)
PlasmaCannonFP6.SetRechargeRate(1.500000)
PlasmaCannonFP6.SetIndicatorIconNum(0)
PlasmaCannonFP6.SetIndicatorIconPositionX(500.000000)
PlasmaCannonFP6.SetIndicatorIconPositionY(500.000000)
PlasmaCannonFP6Forward = App.TGPoint3()
PlasmaCannonFP6Forward.SetXYZ(-0.707107, 0.707107, 0.000000)
PlasmaCannonFP6Up = App.TGPoint3()
PlasmaCannonFP6Up.SetXYZ(0.000000, 0.000000, 4.091928)
PlasmaCannonFP6.SetOrientation(PlasmaCannonFP6Forward, PlasmaCannonFP6Up)
PlasmaCannonFP6.SetArcWidthAngles(-1.374447, 1.374447)
PlasmaCannonFP6.SetArcHeightAngles(-1.374447, 1.374447)
PlasmaCannonFP6.SetCooldownTime(0.000001)
PlasmaCannonFP6.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaCannonFP6)
#################################################
PlasmaCannonFS1 = App.PulseWeaponProperty_Create("Cannon FS1")

PlasmaCannonFS1.SetMaxCondition(10000.000000)
PlasmaCannonFS1.SetCritical(0)
PlasmaCannonFS1.SetTargetable(1)
PlasmaCannonFS1.SetPrimary(1)
PlasmaCannonFS1.SetPosition(17.167382, 17.167382, 11.310749)
PlasmaCannonFS1.SetPosition2D(0.000000, 0.000000)
PlasmaCannonFS1.SetRepairComplexity(2.000000)
PlasmaCannonFS1.SetDisabledPercentage(0.750000)
PlasmaCannonFS1.SetRadius(0.250000)
PlasmaCannonFS1.SetDumbfire(1)
PlasmaCannonFS1.SetWeaponID(0)
PlasmaCannonFS1.SetGroups(0)
PlasmaCannonFS1.SetDamageRadiusFactor(0.300000)
PlasmaCannonFS1.SetIconNum(365)
PlasmaCannonFS1.SetIconPositionX(80)
PlasmaCannonFS1.SetIconPositionY(49)
PlasmaCannonFS1.SetIconAboveShip(1)
PlasmaCannonFS1.SetFireSound("Borg Disruptor")
PlasmaCannonFS1.SetMaxCharge(15.000000)
PlasmaCannonFS1.SetMaxDamage(1000.000000)
PlasmaCannonFS1.SetMaxDamageDistance(300.000000)
PlasmaCannonFS1.SetMinFiringCharge(15.000000)
PlasmaCannonFS1.SetNormalDischargeRate(4.091928)
PlasmaCannonFS1.SetRechargeRate(1.500000)
PlasmaCannonFS1.SetIndicatorIconNum(0)
PlasmaCannonFS1.SetIndicatorIconPositionX(500.000000)
PlasmaCannonFS1.SetIndicatorIconPositionY(500.000000)
PlasmaCannonFS1Forward = App.TGPoint3()
PlasmaCannonFS1Forward.SetXYZ(0.707107, 0.707107, 0.000000)
PlasmaCannonFS1Up = App.TGPoint3()
PlasmaCannonFS1Up.SetXYZ(0.000000, 0.000000, 4.091928)
PlasmaCannonFS1.SetOrientation(PlasmaCannonFS1Forward, PlasmaCannonFS1Up)
PlasmaCannonFS1.SetArcWidthAngles(-1.374447, 1.374447)
PlasmaCannonFS1.SetArcHeightAngles(-1.374447, 1.374447)
PlasmaCannonFS1.SetCooldownTime(0.000001)
PlasmaCannonFS1.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaCannonFS1)
#################################################
PlasmaCannonFS2 = App.PulseWeaponProperty_Create("Cannon FS2")

PlasmaCannonFS2.SetMaxCondition(10000.000000)
PlasmaCannonFS2.SetCritical(0)
PlasmaCannonFS2.SetTargetable(1)
PlasmaCannonFS2.SetPrimary(1)
PlasmaCannonFS2.SetPosition(17.167382, 17.167382, 9.062264)
PlasmaCannonFS2.SetPosition2D(0.000000, 0.000000)
PlasmaCannonFS2.SetRepairComplexity(2.000000)
PlasmaCannonFS2.SetDisabledPercentage(0.750000)
PlasmaCannonFS2.SetRadius(0.250000)
PlasmaCannonFS2.SetDumbfire(1)
PlasmaCannonFS2.SetWeaponID(0)
PlasmaCannonFS2.SetGroups(0)
PlasmaCannonFS2.SetDamageRadiusFactor(0.300000)
PlasmaCannonFS2.SetIconNum(365)
PlasmaCannonFS2.SetIconPositionX(84)
PlasmaCannonFS2.SetIconPositionY(50)
PlasmaCannonFS2.SetIconAboveShip(1)
PlasmaCannonFS2.SetFireSound("Borg Disruptor")
PlasmaCannonFS2.SetMaxCharge(15.000000)
PlasmaCannonFS2.SetMaxDamage(1000.000000)
PlasmaCannonFS2.SetMaxDamageDistance(300.000000)
PlasmaCannonFS2.SetMinFiringCharge(15.000000)
PlasmaCannonFS2.SetNormalDischargeRate(4.091928)
PlasmaCannonFS2.SetRechargeRate(1.500000)
PlasmaCannonFS2.SetIndicatorIconNum(0)
PlasmaCannonFS2.SetIndicatorIconPositionX(500.000000)
PlasmaCannonFS2.SetIndicatorIconPositionY(500.000000)
PlasmaCannonFS2Forward = App.TGPoint3()
PlasmaCannonFS2Forward.SetXYZ(0.707107, 0.707107, 0.000000)
PlasmaCannonFS2Up = App.TGPoint3()
PlasmaCannonFS2Up.SetXYZ(0.000000, 0.000000, 4.091928)
PlasmaCannonFS2.SetOrientation(PlasmaCannonFS2Forward, PlasmaCannonFS2Up)
PlasmaCannonFS2.SetArcWidthAngles(-1.374447, 1.374447)
PlasmaCannonFS2.SetArcHeightAngles(-1.374447, 1.374447)
PlasmaCannonFS2.SetCooldownTime(0.000001)
PlasmaCannonFS2.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaCannonFS2)
#################################################
PlasmaCannonFS3 = App.PulseWeaponProperty_Create("Cannon FS3")

PlasmaCannonFS3.SetMaxCondition(10000.000000)
PlasmaCannonFS3.SetCritical(0)
PlasmaCannonFS3.SetTargetable(1)
PlasmaCannonFS3.SetPrimary(1)
PlasmaCannonFS3.SetPosition(17.167382, 17.167382, 4.091928)
PlasmaCannonFS3.SetPosition2D(0.000000, 0.000000)
PlasmaCannonFS3.SetRepairComplexity(2.000000)
PlasmaCannonFS3.SetDisabledPercentage(0.750000)
PlasmaCannonFS3.SetRadius(0.250000)
PlasmaCannonFS3.SetDumbfire(1)
PlasmaCannonFS3.SetWeaponID(0)
PlasmaCannonFS3.SetGroups(0)
PlasmaCannonFS3.SetDamageRadiusFactor(0.300000)
PlasmaCannonFS3.SetIconNum(365)
PlasmaCannonFS3.SetIconPositionX(88)
PlasmaCannonFS3.SetIconPositionY(51)
PlasmaCannonFS3.SetIconAboveShip(1)
PlasmaCannonFS3.SetFireSound("Borg Disruptor")
PlasmaCannonFS3.SetMaxCharge(15.000000)
PlasmaCannonFS3.SetMaxDamage(1000.000000)
PlasmaCannonFS3.SetMaxDamageDistance(300.000000)
PlasmaCannonFS3.SetMinFiringCharge(15.000000)
PlasmaCannonFS3.SetNormalDischargeRate(4.091928)
PlasmaCannonFS3.SetRechargeRate(1.500000)
PlasmaCannonFS3.SetIndicatorIconNum(0)
PlasmaCannonFS3.SetIndicatorIconPositionX(500.000000)
PlasmaCannonFS3.SetIndicatorIconPositionY(500.000000)
PlasmaCannonFS3Forward = App.TGPoint3()
PlasmaCannonFS3Forward.SetXYZ(0.707107, 0.707107, 0.000000)
PlasmaCannonFS3Up = App.TGPoint3()
PlasmaCannonFS3Up.SetXYZ(0.000000, 0.000000, 4.091928)
PlasmaCannonFS3.SetOrientation(PlasmaCannonFS3Forward, PlasmaCannonFS3Up)
PlasmaCannonFS3.SetArcWidthAngles(-1.374447, 1.374447)
PlasmaCannonFS3.SetArcHeightAngles(-1.374447, 1.374447)
PlasmaCannonFS3.SetCooldownTime(0.000001)
PlasmaCannonFS3.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaCannonFS3)
#################################################
PlasmaCannonFS4 = App.PulseWeaponProperty_Create("Cannon FS4")

PlasmaCannonFS4.SetMaxCondition(10000.000000)
PlasmaCannonFS4.SetCritical(0)
PlasmaCannonFS4.SetTargetable(1)
PlasmaCannonFS4.SetPrimary(1)
PlasmaCannonFS4.SetPosition(17.167382, 17.167382, 0.502241)
PlasmaCannonFS4.SetPosition2D(0.000000, 0.000000)
PlasmaCannonFS4.SetRepairComplexity(2.000000)
PlasmaCannonFS4.SetDisabledPercentage(0.750000)
PlasmaCannonFS4.SetRadius(0.250000)
PlasmaCannonFS4.SetDumbfire(1)
PlasmaCannonFS4.SetWeaponID(0)
PlasmaCannonFS4.SetGroups(0)
PlasmaCannonFS4.SetDamageRadiusFactor(0.300000)
PlasmaCannonFS4.SetIconNum(365)
PlasmaCannonFS4.SetIconPositionX(92)
PlasmaCannonFS4.SetIconPositionY(52)
PlasmaCannonFS4.SetIconAboveShip(1)
PlasmaCannonFS4.SetFireSound("Borg Disruptor")
PlasmaCannonFS4.SetMaxCharge(15.000000)
PlasmaCannonFS4.SetMaxDamage(1000.000000)
PlasmaCannonFS4.SetMaxDamageDistance(300.000000)
PlasmaCannonFS4.SetMinFiringCharge(15.000000)
PlasmaCannonFS4.SetNormalDischargeRate(4.091928)
PlasmaCannonFS4.SetRechargeRate(1.500000)
PlasmaCannonFS4.SetIndicatorIconNum(0)
PlasmaCannonFS4.SetIndicatorIconPositionX(500.000000)
PlasmaCannonFS4.SetIndicatorIconPositionY(500.000000)
PlasmaCannonFS4Forward = App.TGPoint3()
PlasmaCannonFS4Forward.SetXYZ(0.707107, 0.707107, 0.000000)
PlasmaCannonFS4Up = App.TGPoint3()
PlasmaCannonFS4Up.SetXYZ(0.000000, 0.000000, 4.091928)
PlasmaCannonFS4.SetOrientation(PlasmaCannonFS4Forward, PlasmaCannonFS4Up)
PlasmaCannonFS4.SetArcWidthAngles(-1.374447, 1.374447)
PlasmaCannonFS4.SetArcHeightAngles(-1.374447, 1.374447)
PlasmaCannonFS4.SetCooldownTime(0.000001)
PlasmaCannonFS4.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaCannonFS4)
#################################################
PlasmaCannonFS5 = App.PulseWeaponProperty_Create("Cannon FS5")

PlasmaCannonFS5.SetMaxCondition(10000.000000)
PlasmaCannonFS5.SetCritical(0)
PlasmaCannonFS5.SetTargetable(1)
PlasmaCannonFS5.SetPrimary(1)
PlasmaCannonFS5.SetPosition(17.167382, 17.167382, -7.347735)
PlasmaCannonFS5.SetPosition2D(0.000000, 0.000000)
PlasmaCannonFS5.SetRepairComplexity(2.000000)
PlasmaCannonFS5.SetDisabledPercentage(0.750000)
PlasmaCannonFS5.SetRadius(0.250000)
PlasmaCannonFS5.SetDumbfire(1)
PlasmaCannonFS5.SetWeaponID(0)
PlasmaCannonFS5.SetGroups(0)
PlasmaCannonFS5.SetDamageRadiusFactor(0.300000)
PlasmaCannonFS5.SetIconNum(365)
PlasmaCannonFS5.SetIconPositionX(96)
PlasmaCannonFS5.SetIconPositionY(53)
PlasmaCannonFS5.SetIconAboveShip(1)
PlasmaCannonFS5.SetFireSound("Borg Disruptor")
PlasmaCannonFS5.SetMaxCharge(15.000000)
PlasmaCannonFS5.SetMaxDamage(1000.000000)
PlasmaCannonFS5.SetMaxDamageDistance(300.000000)
PlasmaCannonFS5.SetMinFiringCharge(15.000000)
PlasmaCannonFS5.SetNormalDischargeRate(4.091928)
PlasmaCannonFS5.SetRechargeRate(1.500000)
PlasmaCannonFS5.SetIndicatorIconNum(0)
PlasmaCannonFS5.SetIndicatorIconPositionX(500.000000)
PlasmaCannonFS5.SetIndicatorIconPositionY(500.000000)
PlasmaCannonFS5Forward = App.TGPoint3()
PlasmaCannonFS5Forward.SetXYZ(0.707107, 0.707107, 0.000000)
PlasmaCannonFS5Up = App.TGPoint3()
PlasmaCannonFS5Up.SetXYZ(0.000000, 0.000000, 4.091928)
PlasmaCannonFS5.SetOrientation(PlasmaCannonFS5Forward, PlasmaCannonFS5Up)
PlasmaCannonFS5.SetArcWidthAngles(-1.374447, 1.374447)
PlasmaCannonFS5.SetArcHeightAngles(-1.374447, 1.374447)
PlasmaCannonFS5.SetCooldownTime(0.000001)
PlasmaCannonFS5.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaCannonFS5)
#################################################
PlasmaCannonFS6 = App.PulseWeaponProperty_Create("Cannon FS6")

PlasmaCannonFS6.SetMaxCondition(10000.000000)
PlasmaCannonFS6.SetCritical(0)
PlasmaCannonFS6.SetTargetable(1)
PlasmaCannonFS6.SetPrimary(1)
PlasmaCannonFS6.SetPosition(17.167382, 17.167382, -12.751989)
PlasmaCannonFS6.SetPosition2D(0.000000, 0.000000)
PlasmaCannonFS6.SetRepairComplexity(2.000000)
PlasmaCannonFS6.SetDisabledPercentage(0.750000)
PlasmaCannonFS6.SetRadius(0.250000)
PlasmaCannonFS6.SetDumbfire(1)
PlasmaCannonFS6.SetWeaponID(0)
PlasmaCannonFS6.SetGroups(0)
PlasmaCannonFS6.SetDamageRadiusFactor(0.300000)
PlasmaCannonFS6.SetIconNum(365)
PlasmaCannonFS6.SetIconPositionX(100)
PlasmaCannonFS6.SetIconPositionY(54)
PlasmaCannonFS6.SetIconAboveShip(1)
PlasmaCannonFS6.SetFireSound("Borg Disruptor")
PlasmaCannonFS6.SetMaxCharge(15.000000)
PlasmaCannonFS6.SetMaxDamage(1000.000000)
PlasmaCannonFS6.SetMaxDamageDistance(300.000000)
PlasmaCannonFS6.SetMinFiringCharge(15.000000)
PlasmaCannonFS6.SetNormalDischargeRate(4.091928)
PlasmaCannonFS6.SetRechargeRate(1.500000)
PlasmaCannonFS6.SetIndicatorIconNum(0)
PlasmaCannonFS6.SetIndicatorIconPositionX(500.000000)
PlasmaCannonFS6.SetIndicatorIconPositionY(500.000000)
PlasmaCannonFS6Forward = App.TGPoint3()
PlasmaCannonFS6Forward.SetXYZ(0.707107, 0.707107, 0.000000)
PlasmaCannonFS6Up = App.TGPoint3()
PlasmaCannonFS6Up.SetXYZ(0.000000, 0.000000, 4.091928)
PlasmaCannonFS6.SetOrientation(PlasmaCannonFS6Forward, PlasmaCannonFS6Up)
PlasmaCannonFS6.SetArcWidthAngles(-1.374447, 1.374447)
PlasmaCannonFS6.SetArcHeightAngles(-1.374447, 1.374447)
PlasmaCannonFS6.SetCooldownTime(0.000001)
PlasmaCannonFS6.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaCannonFS6)
#################################################
PlasmaCannonAP1 = App.PulseWeaponProperty_Create("Cannon AP1")

PlasmaCannonAP1.SetMaxCondition(10000.000000)
PlasmaCannonAP1.SetCritical(0)
PlasmaCannonAP1.SetTargetable(1)
PlasmaCannonAP1.SetPrimary(1)
PlasmaCannonAP1.SetPosition(-17.167382, -17.167382, 11.310749)
PlasmaCannonAP1.SetPosition2D(0.000000, 0.000000)
PlasmaCannonAP1.SetRepairComplexity(2.000000)
PlasmaCannonAP1.SetDisabledPercentage(0.750000)
PlasmaCannonAP1.SetRadius(0.250000)
PlasmaCannonAP1.SetDumbfire(1)
PlasmaCannonAP1.SetWeaponID(0)
PlasmaCannonAP1.SetGroups(0)
PlasmaCannonAP1.SetDamageRadiusFactor(0.300000)
PlasmaCannonAP1.SetIconNum(366)
PlasmaCannonAP1.SetIconPositionX(67)
PlasmaCannonAP1.SetIconPositionY(92)
PlasmaCannonAP1.SetIconAboveShip(1)
PlasmaCannonAP1.SetFireSound("Borg Disruptor")
PlasmaCannonAP1.SetMaxCharge(15.000000)
PlasmaCannonAP1.SetMaxDamage(1000.000000)
PlasmaCannonAP1.SetMaxDamageDistance(300.000000)
PlasmaCannonAP1.SetMinFiringCharge(15.000000)
PlasmaCannonAP1.SetNormalDischargeRate(4.091928)
PlasmaCannonAP1.SetRechargeRate(1.500000)
PlasmaCannonAP1.SetIndicatorIconNum(0)
PlasmaCannonAP1.SetIndicatorIconPositionX(500.000000)
PlasmaCannonAP1.SetIndicatorIconPositionY(500.000000)
PlasmaCannonAP1Forward = App.TGPoint3()
PlasmaCannonAP1Forward.SetXYZ(-0.707107, -0.707107, 0.000000)
PlasmaCannonAP1Up = App.TGPoint3()
PlasmaCannonAP1Up.SetXYZ(0.000000, 0.000000, 4.091928)
PlasmaCannonAP1.SetOrientation(PlasmaCannonAP1Forward, PlasmaCannonAP1Up)
PlasmaCannonAP1.SetArcWidthAngles(-1.374447, 1.374447)
PlasmaCannonAP1.SetArcHeightAngles(-1.374447, 1.374447)
PlasmaCannonAP1.SetCooldownTime(0.000001)
PlasmaCannonAP1.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaCannonAP1)
#################################################
PlasmaCannonAP2 = App.PulseWeaponProperty_Create("Cannon AP2")

PlasmaCannonAP2.SetMaxCondition(10000.000000)
PlasmaCannonAP2.SetCritical(0)
PlasmaCannonAP2.SetTargetable(1)
PlasmaCannonAP2.SetPrimary(1)
PlasmaCannonAP2.SetPosition(-17.167382, -17.167382, 9.062264)
PlasmaCannonAP2.SetPosition2D(0.000000, 0.000000)
PlasmaCannonAP2.SetRepairComplexity(2.000000)
PlasmaCannonAP2.SetDisabledPercentage(0.750000)
PlasmaCannonAP2.SetRadius(0.250000)
PlasmaCannonAP2.SetDumbfire(1)
PlasmaCannonAP2.SetWeaponID(0)
PlasmaCannonAP2.SetGroups(0)
PlasmaCannonAP2.SetDamageRadiusFactor(0.300000)
PlasmaCannonAP2.SetIconNum(366)
PlasmaCannonAP2.SetIconPositionX(63)
PlasmaCannonAP2.SetIconPositionY(91)
PlasmaCannonAP2.SetIconAboveShip(1)
PlasmaCannonAP2.SetFireSound("Borg Disruptor")
PlasmaCannonAP2.SetMaxCharge(15.000000)
PlasmaCannonAP2.SetMaxDamage(1000.000000)
PlasmaCannonAP2.SetMaxDamageDistance(300.000000)
PlasmaCannonAP2.SetMinFiringCharge(15.000000)
PlasmaCannonAP2.SetNormalDischargeRate(4.091928)
PlasmaCannonAP2.SetRechargeRate(1.500000)
PlasmaCannonAP2.SetIndicatorIconNum(0)
PlasmaCannonAP2.SetIndicatorIconPositionX(500.000000)
PlasmaCannonAP2.SetIndicatorIconPositionY(500.000000)
PlasmaCannonAP2Forward = App.TGPoint3()
PlasmaCannonAP2Forward.SetXYZ(-0.707107, -0.707107, 0.000000)
PlasmaCannonAP2Up = App.TGPoint3()
PlasmaCannonAP2Up.SetXYZ(0.000000, 0.000000, 4.091928)
PlasmaCannonAP2.SetOrientation(PlasmaCannonAP2Forward, PlasmaCannonAP2Up)
PlasmaCannonAP2.SetArcWidthAngles(-1.374447, 1.374447)
PlasmaCannonAP2.SetArcHeightAngles(-1.374447, 1.374447)
PlasmaCannonAP2.SetCooldownTime(0.000001)
PlasmaCannonAP2.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaCannonAP2)
#################################################
PlasmaCannonAP3 = App.PulseWeaponProperty_Create("Cannon AP3")

PlasmaCannonAP3.SetMaxCondition(10000.000000)
PlasmaCannonAP3.SetCritical(0)
PlasmaCannonAP3.SetTargetable(1)
PlasmaCannonAP3.SetPrimary(1)
PlasmaCannonAP3.SetPosition(-17.167382, -17.167382, 4.091928)
PlasmaCannonAP3.SetPosition2D(0.000000, 0.000000)
PlasmaCannonAP3.SetRepairComplexity(2.000000)
PlasmaCannonAP3.SetDisabledPercentage(0.750000)
PlasmaCannonAP3.SetRadius(0.250000)
PlasmaCannonAP3.SetDumbfire(1)
PlasmaCannonAP3.SetWeaponID(0)
PlasmaCannonAP3.SetGroups(0)
PlasmaCannonAP3.SetDamageRadiusFactor(0.300000)
PlasmaCannonAP3.SetIconNum(366)
PlasmaCannonAP3.SetIconPositionX(59)
PlasmaCannonAP3.SetIconPositionY(90)
PlasmaCannonAP3.SetIconAboveShip(1)
PlasmaCannonAP3.SetFireSound("Borg Disruptor")
PlasmaCannonAP3.SetMaxCharge(15.000000)
PlasmaCannonAP3.SetMaxDamage(1000.000000)
PlasmaCannonAP3.SetMaxDamageDistance(300.000000)
PlasmaCannonAP3.SetMinFiringCharge(15.000000)
PlasmaCannonAP3.SetNormalDischargeRate(4.091928)
PlasmaCannonAP3.SetRechargeRate(1.500000)
PlasmaCannonAP3.SetIndicatorIconNum(0)
PlasmaCannonAP3.SetIndicatorIconPositionX(500.000000)
PlasmaCannonAP3.SetIndicatorIconPositionY(500.000000)
PlasmaCannonAP3Forward = App.TGPoint3()
PlasmaCannonAP3Forward.SetXYZ(-0.707107, -0.707107, 0.000000)
PlasmaCannonAP3Up = App.TGPoint3()
PlasmaCannonAP3Up.SetXYZ(0.000000, 0.000000, 4.091928)
PlasmaCannonAP3.SetOrientation(PlasmaCannonAP3Forward, PlasmaCannonAP3Up)
PlasmaCannonAP3.SetArcWidthAngles(-1.374447, 1.374447)
PlasmaCannonAP3.SetArcHeightAngles(-1.374447, 1.374447)
PlasmaCannonAP3.SetCooldownTime(0.000001)
PlasmaCannonAP3.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaCannonAP3)
#################################################
PlasmaCannonAP4 = App.PulseWeaponProperty_Create("Cannon AP4")

PlasmaCannonAP4.SetMaxCondition(10000.000000)
PlasmaCannonAP4.SetCritical(0)
PlasmaCannonAP4.SetTargetable(1)
PlasmaCannonAP4.SetPrimary(1)
PlasmaCannonAP4.SetPosition(-17.167382, -17.167382, 0.502241)
PlasmaCannonAP4.SetPosition2D(0.000000, 0.000000)
PlasmaCannonAP4.SetRepairComplexity(2.000000)
PlasmaCannonAP4.SetDisabledPercentage(0.750000)
PlasmaCannonAP4.SetRadius(0.250000)
PlasmaCannonAP4.SetDumbfire(1)
PlasmaCannonAP4.SetWeaponID(0)
PlasmaCannonAP4.SetGroups(0)
PlasmaCannonAP4.SetDamageRadiusFactor(0.300000)
PlasmaCannonAP4.SetIconNum(366)
PlasmaCannonAP4.SetIconPositionX(55)
PlasmaCannonAP4.SetIconPositionY(89)
PlasmaCannonAP4.SetIconAboveShip(1)
PlasmaCannonAP4.SetFireSound("Borg Disruptor")
PlasmaCannonAP4.SetMaxCharge(15.000000)
PlasmaCannonAP4.SetMaxDamage(1000.000000)
PlasmaCannonAP4.SetMaxDamageDistance(300.000000)
PlasmaCannonAP4.SetMinFiringCharge(15.000000)
PlasmaCannonAP4.SetNormalDischargeRate(4.091928)
PlasmaCannonAP4.SetRechargeRate(1.500000)
PlasmaCannonAP4.SetIndicatorIconNum(0)
PlasmaCannonAP4.SetIndicatorIconPositionX(500.000000)
PlasmaCannonAP4.SetIndicatorIconPositionY(500.000000)
PlasmaCannonAP4Forward = App.TGPoint3()
PlasmaCannonAP4Forward.SetXYZ(-0.707107, -0.707107, 0.000000)
PlasmaCannonAP4Up = App.TGPoint3()
PlasmaCannonAP4Up.SetXYZ(0.000000, 0.000000, 4.091928)
PlasmaCannonAP4.SetOrientation(PlasmaCannonAP4Forward, PlasmaCannonAP4Up)
PlasmaCannonAP4.SetArcWidthAngles(-1.374447, 1.374447)
PlasmaCannonAP4.SetArcHeightAngles(-1.374447, 1.374447)
PlasmaCannonAP4.SetCooldownTime(0.000001)
PlasmaCannonAP4.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaCannonAP4)
#################################################
PlasmaCannonAP5 = App.PulseWeaponProperty_Create("Cannon AP5")

PlasmaCannonAP5.SetMaxCondition(10000.000000)
PlasmaCannonAP5.SetCritical(0)
PlasmaCannonAP5.SetTargetable(1)
PlasmaCannonAP5.SetPrimary(1)
PlasmaCannonAP5.SetPosition(-17.167382, -17.167382, -7.347735)
PlasmaCannonAP5.SetPosition2D(0.000000, 0.000000)
PlasmaCannonAP5.SetRepairComplexity(2.000000)
PlasmaCannonAP5.SetDisabledPercentage(0.750000)
PlasmaCannonAP5.SetRadius(0.250000)
PlasmaCannonAP5.SetDumbfire(1)
PlasmaCannonAP5.SetWeaponID(0)
PlasmaCannonAP5.SetGroups(0)
PlasmaCannonAP5.SetDamageRadiusFactor(0.300000)
PlasmaCannonAP5.SetIconNum(366)
PlasmaCannonAP5.SetIconPositionX(51)
PlasmaCannonAP5.SetIconPositionY(88)
PlasmaCannonAP5.SetIconAboveShip(1)
PlasmaCannonAP5.SetFireSound("Borg Disruptor")
PlasmaCannonAP5.SetMaxCharge(15.000000)
PlasmaCannonAP5.SetMaxDamage(1000.000000)
PlasmaCannonAP5.SetMaxDamageDistance(300.000000)
PlasmaCannonAP5.SetMinFiringCharge(15.000000)
PlasmaCannonAP5.SetNormalDischargeRate(4.091928)
PlasmaCannonAP5.SetRechargeRate(1.500000)
PlasmaCannonAP5.SetIndicatorIconNum(0)
PlasmaCannonAP5.SetIndicatorIconPositionX(500.000000)
PlasmaCannonAP5.SetIndicatorIconPositionY(500.000000)
PlasmaCannonAP5Forward = App.TGPoint3()
PlasmaCannonAP5Forward.SetXYZ(-0.707107, -0.707107, 0.000000)
PlasmaCannonAP5Up = App.TGPoint3()
PlasmaCannonAP5Up.SetXYZ(0.000000, 0.000000, 4.091928)
PlasmaCannonAP5.SetOrientation(PlasmaCannonAP5Forward, PlasmaCannonAP5Up)
PlasmaCannonAP5.SetArcWidthAngles(-1.374447, 1.374447)
PlasmaCannonAP5.SetArcHeightAngles(-1.374447, 1.374447)
PlasmaCannonAP5.SetCooldownTime(0.000001)
PlasmaCannonAP5.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaCannonAP5)
#################################################
PlasmaCannonAP6 = App.PulseWeaponProperty_Create("Cannon AP6")

PlasmaCannonAP6.SetMaxCondition(10000.000000)
PlasmaCannonAP6.SetCritical(0)
PlasmaCannonAP6.SetTargetable(1)
PlasmaCannonAP6.SetPrimary(1)
PlasmaCannonAP6.SetPosition(-17.167382, -17.167382, -12.751989)
PlasmaCannonAP6.SetPosition2D(0.000000, 0.000000)
PlasmaCannonAP6.SetRepairComplexity(2.000000)
PlasmaCannonAP6.SetDisabledPercentage(0.750000)
PlasmaCannonAP6.SetRadius(0.250000)
PlasmaCannonAP6.SetDumbfire(1)
PlasmaCannonAP6.SetWeaponID(0)
PlasmaCannonAP6.SetGroups(0)
PlasmaCannonAP6.SetDamageRadiusFactor(0.300000)
PlasmaCannonAP6.SetIconNum(366)
PlasmaCannonAP6.SetIconPositionX(47)
PlasmaCannonAP6.SetIconPositionY(87)
PlasmaCannonAP6.SetIconAboveShip(1)
PlasmaCannonAP6.SetFireSound("Borg Disruptor")
PlasmaCannonAP6.SetMaxCharge(15.000000)
PlasmaCannonAP6.SetMaxDamage(1000.000000)
PlasmaCannonAP6.SetMaxDamageDistance(300.000000)
PlasmaCannonAP6.SetMinFiringCharge(15.000000)
PlasmaCannonAP6.SetNormalDischargeRate(4.091928)
PlasmaCannonAP6.SetRechargeRate(1.500000)
PlasmaCannonAP6.SetIndicatorIconNum(0)
PlasmaCannonAP6.SetIndicatorIconPositionX(500.000000)
PlasmaCannonAP6.SetIndicatorIconPositionY(500.000000)
PlasmaCannonAP6Forward = App.TGPoint3()
PlasmaCannonAP6Forward.SetXYZ(-0.707107, -0.707107, 0.000000)
PlasmaCannonAP6Up = App.TGPoint3()
PlasmaCannonAP6Up.SetXYZ(0.000000, 0.000000, 4.091928)
PlasmaCannonAP6.SetOrientation(PlasmaCannonAP6Forward, PlasmaCannonAP6Up)
PlasmaCannonAP6.SetArcWidthAngles(-1.374447, 1.374447)
PlasmaCannonAP6.SetArcHeightAngles(-1.374447, 1.374447)
PlasmaCannonAP6.SetCooldownTime(0.000001)
PlasmaCannonAP6.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaCannonAP6)
#################################################
PlasmaCannonAS1 = App.PulseWeaponProperty_Create("Cannon AS1")

PlasmaCannonAS1.SetMaxCondition(10000.000000)
PlasmaCannonAS1.SetCritical(0)
PlasmaCannonAS1.SetTargetable(1)
PlasmaCannonAS1.SetPrimary(1)
PlasmaCannonAS1.SetPosition(17.167382, -17.167382, 11.310749)
PlasmaCannonAS1.SetPosition2D(0.000000, 0.000000)
PlasmaCannonAS1.SetRepairComplexity(2.000000)
PlasmaCannonAS1.SetDisabledPercentage(0.750000)
PlasmaCannonAS1.SetRadius(0.250000)
PlasmaCannonAS1.SetDumbfire(1)
PlasmaCannonAS1.SetWeaponID(0)
PlasmaCannonAS1.SetGroups(0)
PlasmaCannonAS1.SetDamageRadiusFactor(0.300000)
PlasmaCannonAS1.SetIconNum(366)
PlasmaCannonAS1.SetIconPositionX(80)
PlasmaCannonAS1.SetIconPositionY(92)
PlasmaCannonAS1.SetIconAboveShip(1)
PlasmaCannonAS1.SetFireSound("Borg Disruptor")
PlasmaCannonAS1.SetMaxCharge(15.000000)
PlasmaCannonAS1.SetMaxDamage(1000.000000)
PlasmaCannonAS1.SetMaxDamageDistance(300.000000)
PlasmaCannonAS1.SetMinFiringCharge(15.000000)
PlasmaCannonAS1.SetNormalDischargeRate(4.091928)
PlasmaCannonAS1.SetRechargeRate(1.500000)
PlasmaCannonAS1.SetIndicatorIconNum(0)
PlasmaCannonAS1.SetIndicatorIconPositionX(500.000000)
PlasmaCannonAS1.SetIndicatorIconPositionY(500.000000)
PlasmaCannonAS1Forward = App.TGPoint3()
PlasmaCannonAS1Forward.SetXYZ(0.707107, -0.707107, 0.000000)
PlasmaCannonAS1Up = App.TGPoint3()
PlasmaCannonAS1Up.SetXYZ(0.000000, 0.000000, 4.091928)
PlasmaCannonAS1.SetOrientation(PlasmaCannonAS1Forward, PlasmaCannonAS1Up)
PlasmaCannonAS1.SetArcWidthAngles(-1.374447, 1.374447)
PlasmaCannonAS1.SetArcHeightAngles(-1.374447, 1.374447)
PlasmaCannonAS1.SetCooldownTime(0.000001)
PlasmaCannonAS1.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaCannonAS1)
#################################################
PlasmaCannonAS2 = App.PulseWeaponProperty_Create("Cannon AS2")

PlasmaCannonAS2.SetMaxCondition(10000.000000)
PlasmaCannonAS2.SetCritical(0)
PlasmaCannonAS2.SetTargetable(1)
PlasmaCannonAS2.SetPrimary(1)
PlasmaCannonAS2.SetPosition(17.167382, -17.167382, 9.062264)
PlasmaCannonAS2.SetPosition2D(0.000000, 0.000000)
PlasmaCannonAS2.SetRepairComplexity(2.000000)
PlasmaCannonAS2.SetDisabledPercentage(0.750000)
PlasmaCannonAS2.SetRadius(0.250000)
PlasmaCannonAS2.SetDumbfire(1)
PlasmaCannonAS2.SetWeaponID(0)
PlasmaCannonAS2.SetGroups(0)
PlasmaCannonAS2.SetDamageRadiusFactor(0.300000)
PlasmaCannonAS2.SetIconNum(366)
PlasmaCannonAS2.SetIconPositionX(84)
PlasmaCannonAS2.SetIconPositionY(91)
PlasmaCannonAS2.SetIconAboveShip(1)
PlasmaCannonAS2.SetFireSound("Borg Disruptor")
PlasmaCannonAS2.SetMaxCharge(15.000000)
PlasmaCannonAS2.SetMaxDamage(1000.000000)
PlasmaCannonAS2.SetMaxDamageDistance(300.000000)
PlasmaCannonAS2.SetMinFiringCharge(15.000000)
PlasmaCannonAS2.SetNormalDischargeRate(4.091928)
PlasmaCannonAS2.SetRechargeRate(1.500000)
PlasmaCannonAS2.SetIndicatorIconNum(0)
PlasmaCannonAS2.SetIndicatorIconPositionX(500.000000)
PlasmaCannonAS2.SetIndicatorIconPositionY(500.000000)
PlasmaCannonAS2Forward = App.TGPoint3()
PlasmaCannonAS2Forward.SetXYZ(0.707107, -0.707107, 0.000000)
PlasmaCannonAS2Up = App.TGPoint3()
PlasmaCannonAS2Up.SetXYZ(0.000000, 0.000000, 4.091928)
PlasmaCannonAS2.SetOrientation(PlasmaCannonAS2Forward, PlasmaCannonAS2Up)
PlasmaCannonAS2.SetArcWidthAngles(-1.374447, 1.374447)
PlasmaCannonAS2.SetArcHeightAngles(-1.374447, 1.374447)
PlasmaCannonAS2.SetCooldownTime(0.000001)
PlasmaCannonAS2.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaCannonAS2)
#################################################
PlasmaCannonAS3 = App.PulseWeaponProperty_Create("Cannon AS3")

PlasmaCannonAS3.SetMaxCondition(10000.000000)
PlasmaCannonAS3.SetCritical(0)
PlasmaCannonAS3.SetTargetable(1)
PlasmaCannonAS3.SetPrimary(1)
PlasmaCannonAS3.SetPosition(17.167382, -17.167382, 4.091928)
PlasmaCannonAS3.SetPosition2D(0.000000, 0.000000)
PlasmaCannonAS3.SetRepairComplexity(2.000000)
PlasmaCannonAS3.SetDisabledPercentage(0.750000)
PlasmaCannonAS3.SetRadius(0.250000)
PlasmaCannonAS3.SetDumbfire(1)
PlasmaCannonAS3.SetWeaponID(0)
PlasmaCannonAS3.SetGroups(0)
PlasmaCannonAS3.SetDamageRadiusFactor(0.300000)
PlasmaCannonAS3.SetIconNum(366)
PlasmaCannonAS3.SetIconPositionX(88)
PlasmaCannonAS3.SetIconPositionY(90)
PlasmaCannonAS3.SetIconAboveShip(1)
PlasmaCannonAS3.SetFireSound("Borg Disruptor")
PlasmaCannonAS3.SetMaxCharge(15.000000)
PlasmaCannonAS3.SetMaxDamage(1000.000000)
PlasmaCannonAS3.SetMaxDamageDistance(300.000000)
PlasmaCannonAS3.SetMinFiringCharge(15.000000)
PlasmaCannonAS3.SetNormalDischargeRate(4.091928)
PlasmaCannonAS3.SetRechargeRate(1.500000)
PlasmaCannonAS3.SetIndicatorIconNum(0)
PlasmaCannonAS3.SetIndicatorIconPositionX(500.000000)
PlasmaCannonAS3.SetIndicatorIconPositionY(500.000000)
PlasmaCannonAS3Forward = App.TGPoint3()
PlasmaCannonAS3Forward.SetXYZ(0.707107, -0.707107, 0.000000)
PlasmaCannonAS3Up = App.TGPoint3()
PlasmaCannonAS3Up.SetXYZ(0.000000, 0.000000, 4.091928)
PlasmaCannonAS3.SetOrientation(PlasmaCannonAS3Forward, PlasmaCannonAS3Up)
PlasmaCannonAS3.SetArcWidthAngles(-1.374447, 1.374447)
PlasmaCannonAS3.SetArcHeightAngles(-1.374447, 1.374447)
PlasmaCannonAS3.SetCooldownTime(0.000001)
PlasmaCannonAS3.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaCannonAS3)
#################################################
PlasmaCannonAS4 = App.PulseWeaponProperty_Create("Cannon AS4")

PlasmaCannonAS4.SetMaxCondition(10000.000000)
PlasmaCannonAS4.SetCritical(0)
PlasmaCannonAS4.SetTargetable(1)
PlasmaCannonAS4.SetPrimary(1)
PlasmaCannonAS4.SetPosition(17.167382, -17.167382, 0.502241)
PlasmaCannonAS4.SetPosition2D(0.000000, 0.000000)
PlasmaCannonAS4.SetRepairComplexity(2.000000)
PlasmaCannonAS4.SetDisabledPercentage(0.750000)
PlasmaCannonAS4.SetRadius(0.250000)
PlasmaCannonAS4.SetDumbfire(1)
PlasmaCannonAS4.SetWeaponID(0)
PlasmaCannonAS4.SetGroups(0)
PlasmaCannonAS4.SetDamageRadiusFactor(0.300000)
PlasmaCannonAS4.SetIconNum(366)
PlasmaCannonAS4.SetIconPositionX(92)
PlasmaCannonAS4.SetIconPositionY(89)
PlasmaCannonAS4.SetIconAboveShip(1)
PlasmaCannonAS4.SetFireSound("Borg Disruptor")
PlasmaCannonAS4.SetMaxCharge(15.000000)
PlasmaCannonAS4.SetMaxDamage(1000.000000)
PlasmaCannonAS4.SetMaxDamageDistance(300.000000)
PlasmaCannonAS4.SetMinFiringCharge(15.000000)
PlasmaCannonAS4.SetNormalDischargeRate(4.091928)
PlasmaCannonAS4.SetRechargeRate(1.500000)
PlasmaCannonAS4.SetIndicatorIconNum(0)
PlasmaCannonAS4.SetIndicatorIconPositionX(500.000000)
PlasmaCannonAS4.SetIndicatorIconPositionY(500.000000)
PlasmaCannonAS4Forward = App.TGPoint3()
PlasmaCannonAS4Forward.SetXYZ(0.707107, -0.707107, 0.000000)
PlasmaCannonAS4Up = App.TGPoint3()
PlasmaCannonAS4Up.SetXYZ(0.000000, 0.000000, 4.091928)
PlasmaCannonAS4.SetOrientation(PlasmaCannonAS4Forward, PlasmaCannonAS4Up)
PlasmaCannonAS4.SetArcWidthAngles(-1.374447, 1.374447)
PlasmaCannonAS4.SetArcHeightAngles(-1.374447, 1.374447)
PlasmaCannonAS4.SetCooldownTime(0.000001)
PlasmaCannonAS4.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaCannonAS4)
#################################################
PlasmaCannonAS5 = App.PulseWeaponProperty_Create("Cannon AS5")

PlasmaCannonAS5.SetMaxCondition(10000.000000)
PlasmaCannonAS5.SetCritical(0)
PlasmaCannonAS5.SetTargetable(1)
PlasmaCannonAS5.SetPrimary(1)
PlasmaCannonAS5.SetPosition(17.167382, -17.167382, -7.347735)
PlasmaCannonAS5.SetPosition2D(0.000000, 0.000000)
PlasmaCannonAS5.SetRepairComplexity(2.000000)
PlasmaCannonAS5.SetDisabledPercentage(0.750000)
PlasmaCannonAS5.SetRadius(0.250000)
PlasmaCannonAS5.SetDumbfire(1)
PlasmaCannonAS5.SetWeaponID(0)
PlasmaCannonAS5.SetGroups(0)
PlasmaCannonAS5.SetDamageRadiusFactor(0.300000)
PlasmaCannonAS5.SetIconNum(366)
PlasmaCannonAS5.SetIconPositionX(96)
PlasmaCannonAS5.SetIconPositionY(88)
PlasmaCannonAS5.SetIconAboveShip(1)
PlasmaCannonAS5.SetFireSound("Borg Disruptor")
PlasmaCannonAS5.SetMaxCharge(15.000000)
PlasmaCannonAS5.SetMaxDamage(1000.000000)
PlasmaCannonAS5.SetMaxDamageDistance(300.000000)
PlasmaCannonAS5.SetMinFiringCharge(15.000000)
PlasmaCannonAS5.SetNormalDischargeRate(4.091928)
PlasmaCannonAS5.SetRechargeRate(1.500000)
PlasmaCannonAS5.SetIndicatorIconNum(0)
PlasmaCannonAS5.SetIndicatorIconPositionX(500.000000)
PlasmaCannonAS5.SetIndicatorIconPositionY(500.000000)
PlasmaCannonAS5Forward = App.TGPoint3()
PlasmaCannonAS5Forward.SetXYZ(0.707107, -0.707107, 0.000000)
PlasmaCannonAS5Up = App.TGPoint3()
PlasmaCannonAS5Up.SetXYZ(0.000000, 0.000000, 4.091928)
PlasmaCannonAS5.SetOrientation(PlasmaCannonAS5Forward, PlasmaCannonAS5Up)
PlasmaCannonAS5.SetArcWidthAngles(-1.374447, 1.374447)
PlasmaCannonAS5.SetArcHeightAngles(-1.374447, 1.374447)
PlasmaCannonAS5.SetCooldownTime(0.000001)
PlasmaCannonAS5.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaCannonAS5)
#################################################
PlasmaCannonAS6 = App.PulseWeaponProperty_Create("Cannon AS6")

PlasmaCannonAS6.SetMaxCondition(10000.000000)
PlasmaCannonAS6.SetCritical(0)
PlasmaCannonAS6.SetTargetable(1)
PlasmaCannonAS6.SetPrimary(1)
PlasmaCannonAS6.SetPosition(17.167382, -17.167382, -12.751989)
PlasmaCannonAS6.SetPosition2D(0.000000, 0.000000)
PlasmaCannonAS6.SetRepairComplexity(2.000000)
PlasmaCannonAS6.SetDisabledPercentage(0.750000)
PlasmaCannonAS6.SetRadius(0.250000)
PlasmaCannonAS6.SetDumbfire(1)
PlasmaCannonAS6.SetWeaponID(0)
PlasmaCannonAS6.SetGroups(0)
PlasmaCannonAS6.SetDamageRadiusFactor(0.300000)
PlasmaCannonAS6.SetIconNum(366)
PlasmaCannonAS6.SetIconPositionX(100)
PlasmaCannonAS6.SetIconPositionY(87)
PlasmaCannonAS6.SetIconAboveShip(1)
PlasmaCannonAS6.SetFireSound("Borg Disruptor")
PlasmaCannonAS6.SetMaxCharge(15.000000)
PlasmaCannonAS6.SetMaxDamage(1000.000000)
PlasmaCannonAS6.SetMaxDamageDistance(300.000000)
PlasmaCannonAS6.SetMinFiringCharge(15.000000)
PlasmaCannonAS6.SetNormalDischargeRate(4.091928)
PlasmaCannonAS6.SetRechargeRate(1.500000)
PlasmaCannonAS6.SetIndicatorIconNum(0)
PlasmaCannonAS6.SetIndicatorIconPositionX(500.000000)
PlasmaCannonAS6.SetIndicatorIconPositionY(500.000000)
PlasmaCannonAS6Forward = App.TGPoint3()
PlasmaCannonAS6Forward.SetXYZ(0.707107, -0.707107, 0.000000)
PlasmaCannonAS6Up = App.TGPoint3()
PlasmaCannonAS6Up.SetXYZ(0.000000, 0.000000, 4.091928)
PlasmaCannonAS6.SetOrientation(PlasmaCannonAS6Forward, PlasmaCannonAS6Up)
PlasmaCannonAS6.SetArcWidthAngles(-1.374447, 1.374447)
PlasmaCannonAS6.SetArcHeightAngles(-1.374447, 1.374447)
PlasmaCannonAS6.SetCooldownTime(0.000001)
PlasmaCannonAS6.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaCannonAS6)
#################################################
Torpedoes = App.TorpedoSystemProperty_Create("Torpedo Bays")

Torpedoes.SetMaxCondition(2000000.000000)
Torpedoes.SetCritical(0)
Torpedoes.SetTargetable(1)
Torpedoes.SetPrimary(1)
Torpedoes.SetPosition(0.000000, 0.000000, 0.000000)
Torpedoes.SetPosition2D(0.000000, 0.000000)
Torpedoes.SetRepairComplexity(1.000000)
Torpedoes.SetDisabledPercentage(0.500000)
Torpedoes.SetRadius(1.250000)
Torpedoes.SetNormalPowerPerSecond(250.000000)
Torpedoes.SetWeaponSystemType(Torpedoes.WST_TORPEDO)
Torpedoes.SetSingleFire(0)
Torpedoes.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("0;Single;1;Burst")
Torpedoes.SetFiringChainString(kFiringChainString)
Torpedoes.SetMaxTorpedoes(0, 1)
Torpedoes.SetTorpedoScript(0, "Tactical.Projectiles.BorgHail")
Torpedoes.SetMaxTorpedoes(1, 500000)
Torpedoes.SetTorpedoScript(1, "Tactical.Projectiles.BorgWarpPlasma")
Torpedoes.SetMaxTorpedoes(2, 500000)
Torpedoes.SetTorpedoScript(2, "Tactical.Projectiles.BorgNanite")
Torpedoes.SetNumAmmoTypes(3)
App.g_kModelPropertyManager.RegisterLocalTemplate(Torpedoes)
#################################################
TorpedoBayF1 = App.TorpedoTubeProperty_Create("Bay F1")

TorpedoBayF1.SetMaxCondition(15000.000000)
TorpedoBayF1.SetCritical(0)
TorpedoBayF1.SetTargetable(1)
TorpedoBayF1.SetPrimary(1)
TorpedoBayF1.SetPosition(-7.941966, 17.177954, -1.420096)
TorpedoBayF1.SetPosition2D(0.000000, 0.000000)
TorpedoBayF1.SetRepairComplexity(0.750000)
TorpedoBayF1.SetDisabledPercentage(0.500000)
TorpedoBayF1.SetRadius(0.250000)
TorpedoBayF1.SetDumbfire(1)
TorpedoBayF1.SetWeaponID(0)
TorpedoBayF1.SetGroups(1)
TorpedoBayF1.SetDamageRadiusFactor(0.400000)
TorpedoBayF1.SetIconNum(370)
TorpedoBayF1.SetIconPositionX(72)
TorpedoBayF1.SetIconPositionY(37)
TorpedoBayF1.SetIconAboveShip(1)
TorpedoBayF1.SetImmediateDelay(0.000001)
TorpedoBayF1.SetReloadDelay(10.000000)
TorpedoBayF1.SetMaxReady(6)
TorpedoBayF1Direction = App.TGPoint3()
TorpedoBayF1Direction.SetXYZ(0.000000, 1.000000, 0.000000)
TorpedoBayF1.SetDirection(TorpedoBayF1Direction)
TorpedoBayF1Right = App.TGPoint3()
TorpedoBayF1Right.SetXYZ(0.000000, 0.000000, -1.000000)
TorpedoBayF1.SetRight(TorpedoBayF1Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(TorpedoBayF1)
#################################################
TorpedoBayF2 = App.TorpedoTubeProperty_Create("Bay F2")

TorpedoBayF2.SetMaxCondition(15000.000000)
TorpedoBayF2.SetCritical(0)
TorpedoBayF2.SetTargetable(1)
TorpedoBayF2.SetPrimary(1)
TorpedoBayF2.SetPosition(-2.358938, 17.177954, 0.028876)
TorpedoBayF2.SetPosition2D(0.000000, 0.000000)
TorpedoBayF2.SetRepairComplexity(0.750000)
TorpedoBayF2.SetDisabledPercentage(0.500000)
TorpedoBayF2.SetRadius(0.250000)
TorpedoBayF2.SetDumbfire(1)
TorpedoBayF2.SetWeaponID(0)
TorpedoBayF2.SetGroups(1)
TorpedoBayF2.SetDamageRadiusFactor(0.400000)
TorpedoBayF2.SetIconNum(370)
TorpedoBayF2.SetIconPositionX(77)
TorpedoBayF2.SetIconPositionY(37)
TorpedoBayF2.SetIconAboveShip(1)
TorpedoBayF2.SetImmediateDelay(0.000001)
TorpedoBayF2.SetReloadDelay(10.000000)
TorpedoBayF2.SetMaxReady(6)
TorpedoBayF2Direction = App.TGPoint3()
TorpedoBayF2Direction.SetXYZ(0.000000, 1.000000, 0.000000)
TorpedoBayF2.SetDirection(TorpedoBayF2Direction)
TorpedoBayF2Right = App.TGPoint3()
TorpedoBayF2Right.SetXYZ(0.000000, 0.000000, -1.000000)
TorpedoBayF2.SetRight(TorpedoBayF2Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(TorpedoBayF2)
#################################################
TorpedoBayF3 = App.TorpedoTubeProperty_Create("Bay F3")

TorpedoBayF3.SetMaxCondition(15000.000000)
TorpedoBayF3.SetCritical(0)
TorpedoBayF3.SetTargetable(1)
TorpedoBayF3.SetPrimary(1)
TorpedoBayF3.SetPosition(9.317408, 17.177954, -2.298505)
TorpedoBayF3.SetPosition2D(0.000000, 0.000000)
TorpedoBayF3.SetRepairComplexity(0.750000)
TorpedoBayF3.SetDisabledPercentage(0.500000)
TorpedoBayF3.SetRadius(0.250000)
TorpedoBayF3.SetDumbfire(1)
TorpedoBayF3.SetWeaponID(0)
TorpedoBayF3.SetGroups(1)
TorpedoBayF3.SetDamageRadiusFactor(0.400000)
TorpedoBayF3.SetIconNum(370)
TorpedoBayF3.SetIconPositionX(72)
TorpedoBayF3.SetIconPositionY(43)
TorpedoBayF3.SetIconAboveShip(1)
TorpedoBayF3.SetImmediateDelay(0.000001)
TorpedoBayF3.SetReloadDelay(10.000000)
TorpedoBayF3.SetMaxReady(6)
TorpedoBayF3Direction = App.TGPoint3()
TorpedoBayF3Direction.SetXYZ(0.000000, 1.000000, 0.000000)
TorpedoBayF3.SetDirection(TorpedoBayF3Direction)
TorpedoBayF3Right = App.TGPoint3()
TorpedoBayF3Right.SetXYZ(0.000000, 0.000000, -1.000000)
TorpedoBayF3.SetRight(TorpedoBayF3Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(TorpedoBayF3)
#################################################
TorpedoBayF4 = App.TorpedoTubeProperty_Create("Bay F4")

TorpedoBayF4.SetMaxCondition(15000.000000)
TorpedoBayF4.SetCritical(0)
TorpedoBayF4.SetTargetable(1)
TorpedoBayF4.SetPrimary(1)
TorpedoBayF4.SetPosition(12.197047, 17.177954, 7.168802)
TorpedoBayF4.SetPosition2D(0.000000, 0.000000)
TorpedoBayF4.SetRepairComplexity(0.750000)
TorpedoBayF4.SetDisabledPercentage(0.500000)
TorpedoBayF4.SetRadius(0.250000)
TorpedoBayF4.SetDumbfire(1)
TorpedoBayF4.SetWeaponID(0)
TorpedoBayF4.SetGroups(1)
TorpedoBayF4.SetDamageRadiusFactor(0.400000)
TorpedoBayF4.SetIconNum(370)
TorpedoBayF4.SetIconPositionX(77)
TorpedoBayF4.SetIconPositionY(43)
TorpedoBayF4.SetIconAboveShip(1)
TorpedoBayF4.SetImmediateDelay(0.000001)
TorpedoBayF4.SetReloadDelay(10.000000)
TorpedoBayF4.SetMaxReady(6)
TorpedoBayF4Direction = App.TGPoint3()
TorpedoBayF4Direction.SetXYZ(0.000000, 1.000000, 0.000000)
TorpedoBayF4.SetDirection(TorpedoBayF4Direction)
TorpedoBayF4Right = App.TGPoint3()
TorpedoBayF4Right.SetXYZ(0.000000, 0.000000, -1.000000)
TorpedoBayF4.SetRight(TorpedoBayF4Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(TorpedoBayF4)
#################################################
TorpedoBayA1 = App.TorpedoTubeProperty_Create("Bay A1")

TorpedoBayA1.SetMaxCondition(15000.000000)
TorpedoBayA1.SetCritical(0)
TorpedoBayA1.SetTargetable(1)
TorpedoBayA1.SetPrimary(1)
TorpedoBayA1.SetPosition(-7.941966, -17.177954, -1.420096)
TorpedoBayA1.SetPosition2D(0.000000, 0.000000)
TorpedoBayA1.SetRepairComplexity(0.750000)
TorpedoBayA1.SetDisabledPercentage(0.500000)
TorpedoBayA1.SetRadius(0.250000)
TorpedoBayA1.SetDumbfire(1)
TorpedoBayA1.SetWeaponID(0)
TorpedoBayA1.SetGroups(1)
TorpedoBayA1.SetDamageRadiusFactor(0.400000)
TorpedoBayA1.SetIconNum(370)
TorpedoBayA1.SetIconPositionX(72)
TorpedoBayA1.SetIconPositionY(98)
TorpedoBayA1.SetIconAboveShip(1)
TorpedoBayA1.SetImmediateDelay(0.000001)
TorpedoBayA1.SetReloadDelay(10.000000)
TorpedoBayA1.SetMaxReady(6)
TorpedoBayA1Direction = App.TGPoint3()
TorpedoBayA1Direction.SetXYZ(0.000000, -1.000000, 0.000000)
TorpedoBayA1.SetDirection(TorpedoBayA1Direction)
TorpedoBayA1Right = App.TGPoint3()
TorpedoBayA1Right.SetXYZ(0.000000, 0.000000, -1.000000)
TorpedoBayA1.SetRight(TorpedoBayA1Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(TorpedoBayA1)
#################################################
TorpedoBayA2 = App.TorpedoTubeProperty_Create("Bay A2")

TorpedoBayA2.SetMaxCondition(15000.000000)
TorpedoBayA2.SetCritical(0)
TorpedoBayA2.SetTargetable(1)
TorpedoBayA2.SetPrimary(1)
TorpedoBayA2.SetPosition(-2.358938, -17.177954, 0.028876)
TorpedoBayA2.SetPosition2D(0.000000, 0.000000)
TorpedoBayA2.SetRepairComplexity(0.750000)
TorpedoBayA2.SetDisabledPercentage(0.500000)
TorpedoBayA2.SetRadius(0.250000)
TorpedoBayA2.SetDumbfire(1)
TorpedoBayA2.SetWeaponID(0)
TorpedoBayA2.SetGroups(1)
TorpedoBayA2.SetDamageRadiusFactor(0.400000)
TorpedoBayA2.SetIconNum(370)
TorpedoBayA2.SetIconPositionX(77)
TorpedoBayA2.SetIconPositionY(98)
TorpedoBayA2.SetIconAboveShip(1)
TorpedoBayA2.SetImmediateDelay(0.000001)
TorpedoBayA2.SetReloadDelay(10.000000)
TorpedoBayA2.SetMaxReady(6)
TorpedoBayA2Direction = App.TGPoint3()
TorpedoBayA2Direction.SetXYZ(0.000000, -1.000000, 0.000000)
TorpedoBayA2.SetDirection(TorpedoBayA2Direction)
TorpedoBayA2Right = App.TGPoint3()
TorpedoBayA2Right.SetXYZ(0.000000, 0.000000, -1.000000)
TorpedoBayA2.SetRight(TorpedoBayA2Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(TorpedoBayA2)
#################################################
TorpedoBayA3 = App.TorpedoTubeProperty_Create("Bay A3")

TorpedoBayA3.SetMaxCondition(15000.000000)
TorpedoBayA3.SetCritical(0)
TorpedoBayA3.SetTargetable(1)
TorpedoBayA3.SetPrimary(1)
TorpedoBayA3.SetPosition(9.317408, -17.177954, -2.298505)
TorpedoBayA3.SetPosition2D(0.000000, 0.000000)
TorpedoBayA3.SetRepairComplexity(0.750000)
TorpedoBayA3.SetDisabledPercentage(0.500000)
TorpedoBayA3.SetRadius(0.250000)
TorpedoBayA3.SetDumbfire(1)
TorpedoBayA3.SetWeaponID(0)
TorpedoBayA3.SetGroups(1)
TorpedoBayA3.SetDamageRadiusFactor(0.400000)
TorpedoBayA3.SetIconNum(370)
TorpedoBayA3.SetIconPositionX(72)
TorpedoBayA3.SetIconPositionY(104)
TorpedoBayA3.SetIconAboveShip(1)
TorpedoBayA3.SetImmediateDelay(0.000001)
TorpedoBayA3.SetReloadDelay(10.000000)
TorpedoBayA3.SetMaxReady(6)
TorpedoBayA3Direction = App.TGPoint3()
TorpedoBayA3Direction.SetXYZ(0.000000, -1.000000, 0.000000)
TorpedoBayA3.SetDirection(TorpedoBayA3Direction)
TorpedoBayA3Right = App.TGPoint3()
TorpedoBayA3Right.SetXYZ(0.000000, 0.000000, -1.000000)
TorpedoBayA3.SetRight(TorpedoBayA3Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(TorpedoBayA3)
#################################################
TorpedoBayA4 = App.TorpedoTubeProperty_Create("Bay A4")

TorpedoBayA4.SetMaxCondition(15000.000000)
TorpedoBayA4.SetCritical(0)
TorpedoBayA4.SetTargetable(1)
TorpedoBayA4.SetPrimary(1)
TorpedoBayA4.SetPosition(12.197047, -17.177954, 7.168802)
TorpedoBayA4.SetPosition2D(0.000000, 0.000000)
TorpedoBayA4.SetRepairComplexity(0.750000)
TorpedoBayA4.SetDisabledPercentage(0.500000)
TorpedoBayA4.SetRadius(0.250000)
TorpedoBayA4.SetDumbfire(1)
TorpedoBayA4.SetWeaponID(0)
TorpedoBayA4.SetGroups(1)
TorpedoBayA4.SetDamageRadiusFactor(0.400000)
TorpedoBayA4.SetIconNum(370)
TorpedoBayA4.SetIconPositionX(77)
TorpedoBayA4.SetIconPositionY(104)
TorpedoBayA4.SetIconAboveShip(1)
TorpedoBayA4.SetImmediateDelay(0.000001)
TorpedoBayA4.SetReloadDelay(10.000000)
TorpedoBayA4.SetMaxReady(6)
TorpedoBayA4Direction = App.TGPoint3()
TorpedoBayA4Direction.SetXYZ(0.000000, -1.000000, 0.000000)
TorpedoBayA4.SetDirection(TorpedoBayA4Direction)
TorpedoBayA4Right = App.TGPoint3()
TorpedoBayA4Right.SetXYZ(0.000000, 0.000000, -1.000000)
TorpedoBayA4.SetRight(TorpedoBayA4Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(TorpedoBayA4)
#################################################
TorpedoBayD1 = App.TorpedoTubeProperty_Create("Bay D1")

TorpedoBayD1.SetMaxCondition(15000.000000)
TorpedoBayD1.SetCritical(0)
TorpedoBayD1.SetTargetable(1)
TorpedoBayD1.SetPrimary(1)
TorpedoBayD1.SetPosition(-1.453863, -13.943607, 17.177954)
TorpedoBayD1.SetPosition2D(0.000000, 0.000000)
TorpedoBayD1.SetRepairComplexity(0.750000)
TorpedoBayD1.SetDisabledPercentage(0.500000)
TorpedoBayD1.SetRadius(0.250000)
TorpedoBayD1.SetDumbfire(1)
TorpedoBayD1.SetWeaponID(0)
TorpedoBayD1.SetGroups(1)
TorpedoBayD1.SetDamageRadiusFactor(0.400000)
TorpedoBayD1.SetIconNum(370)
TorpedoBayD1.SetIconPositionX(108)
TorpedoBayD1.SetIconPositionY(54)
TorpedoBayD1.SetIconAboveShip(1)
TorpedoBayD1.SetImmediateDelay(0.000001)
TorpedoBayD1.SetReloadDelay(10.000000)
TorpedoBayD1.SetMaxReady(6)
TorpedoBayD1Direction = App.TGPoint3()
TorpedoBayD1Direction.SetXYZ(0.000000, 0.000000, 1.000000)
TorpedoBayD1.SetDirection(TorpedoBayD1Direction)
TorpedoBayD1Right = App.TGPoint3()
TorpedoBayD1Right.SetXYZ(0.000000, 1.000000, 0.000000)
TorpedoBayD1.SetRight(TorpedoBayD1Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(TorpedoBayD1)
#################################################
TorpedoBayD2 = App.TorpedoTubeProperty_Create("Bay D2")

TorpedoBayD2.SetMaxCondition(15000.000000)
TorpedoBayD2.SetCritical(0)
TorpedoBayD2.SetTargetable(1)
TorpedoBayD2.SetPrimary(1)
TorpedoBayD2.SetPosition(0.000000, -2.477752, 17.177954)
TorpedoBayD2.SetPosition2D(0.000000, 0.000000)
TorpedoBayD2.SetRepairComplexity(0.750000)
TorpedoBayD2.SetDisabledPercentage(0.500000)
TorpedoBayD2.SetRadius(0.250000)
TorpedoBayD2.SetDumbfire(1)
TorpedoBayD2.SetWeaponID(0)
TorpedoBayD2.SetGroups(1)
TorpedoBayD2.SetDamageRadiusFactor(0.400000)
TorpedoBayD2.SetIconNum(370)
TorpedoBayD2.SetIconPositionX(113)
TorpedoBayD2.SetIconPositionY(54)
TorpedoBayD2.SetIconAboveShip(1)
TorpedoBayD2.SetImmediateDelay(0.000001)
TorpedoBayD2.SetReloadDelay(10.000000)
TorpedoBayD2.SetMaxReady(6)
TorpedoBayD2Direction = App.TGPoint3()
TorpedoBayD2Direction.SetXYZ(0.000000, 0.000000, 1.000000)
TorpedoBayD2.SetDirection(TorpedoBayD2Direction)
TorpedoBayD2Right = App.TGPoint3()
TorpedoBayD2Right.SetXYZ(0.000000, 1.000000, 0.000000)
TorpedoBayD2.SetRight(TorpedoBayD2Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(TorpedoBayD2)
#################################################
TorpedoBayD3 = App.TorpedoTubeProperty_Create("Bay D3")

TorpedoBayD3.SetMaxCondition(15000.000000)
TorpedoBayD3.SetCritical(0)
TorpedoBayD3.SetTargetable(1)
TorpedoBayD3.SetPrimary(1)
TorpedoBayD3.SetPosition(0.000000, 2.477752, 17.177954)
TorpedoBayD3.SetPosition2D(0.000000, 0.000000)
TorpedoBayD3.SetRepairComplexity(0.750000)
TorpedoBayD3.SetDisabledPercentage(0.500000)
TorpedoBayD3.SetRadius(0.250000)
TorpedoBayD3.SetDumbfire(1)
TorpedoBayD3.SetWeaponID(0)
TorpedoBayD3.SetGroups(1)
TorpedoBayD3.SetDamageRadiusFactor(0.400000)
TorpedoBayD3.SetIconNum(370)
TorpedoBayD3.SetIconPositionX(108)
TorpedoBayD3.SetIconPositionY(60)
TorpedoBayD3.SetIconAboveShip(1)
TorpedoBayD3.SetImmediateDelay(0.000001)
TorpedoBayD3.SetReloadDelay(10.000000)
TorpedoBayD3.SetMaxReady(6)
TorpedoBayD3Direction = App.TGPoint3()
TorpedoBayD3Direction.SetXYZ(0.000000, 0.000000, 1.000000)
TorpedoBayD3.SetDirection(TorpedoBayD3Direction)
TorpedoBayD3Right = App.TGPoint3()
TorpedoBayD3Right.SetXYZ(0.000000, 1.000000, 0.000000)
TorpedoBayD3.SetRight(TorpedoBayD3Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(TorpedoBayD3)
#################################################
TorpedoBayD4 = App.TorpedoTubeProperty_Create("Bay D4")

TorpedoBayD4.SetMaxCondition(15000.000000)
TorpedoBayD4.SetCritical(0)
TorpedoBayD4.SetTargetable(1)
TorpedoBayD4.SetPrimary(1)
TorpedoBayD4.SetPosition(-1.453863, 7.357833, 17.177954)
TorpedoBayD4.SetPosition2D(0.000000, 0.000000)
TorpedoBayD4.SetRepairComplexity(0.750000)
TorpedoBayD4.SetDisabledPercentage(0.500000)
TorpedoBayD4.SetRadius(0.250000)
TorpedoBayD4.SetDumbfire(1)
TorpedoBayD4.SetWeaponID(0)
TorpedoBayD4.SetGroups(1)
TorpedoBayD4.SetDamageRadiusFactor(0.400000)
TorpedoBayD4.SetIconNum(370)
TorpedoBayD4.SetIconPositionX(113)
TorpedoBayD4.SetIconPositionY(60)
TorpedoBayD4.SetIconAboveShip(1)
TorpedoBayD4.SetImmediateDelay(0.000001)
TorpedoBayD4.SetReloadDelay(10.000000)
TorpedoBayD4.SetMaxReady(6)
TorpedoBayD4Direction = App.TGPoint3()
TorpedoBayD4Direction.SetXYZ(0.000000, 0.000000, 1.000000)
TorpedoBayD4.SetDirection(TorpedoBayD4Direction)
TorpedoBayD4Right = App.TGPoint3()
TorpedoBayD4Right.SetXYZ(0.000000, 1.000000, 0.000000)
TorpedoBayD4.SetRight(TorpedoBayD4Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(TorpedoBayD4)
#################################################
TorpedoBayV1 = App.TorpedoTubeProperty_Create("Bay V1")

TorpedoBayV1.SetMaxCondition(15000.000000)
TorpedoBayV1.SetCritical(0)
TorpedoBayV1.SetTargetable(1)
TorpedoBayV1.SetPrimary(1)
TorpedoBayV1.SetPosition(-1.453863, -13.943607, -17.177954)
TorpedoBayV1.SetPosition2D(0.000000, 0.000000)
TorpedoBayV1.SetRepairComplexity(0.750000)
TorpedoBayV1.SetDisabledPercentage(0.500000)
TorpedoBayV1.SetRadius(0.250000)
TorpedoBayV1.SetDumbfire(1)
TorpedoBayV1.SetWeaponID(0)
TorpedoBayV1.SetGroups(1)
TorpedoBayV1.SetDamageRadiusFactor(0.400000)
TorpedoBayV1.SetIconNum(370)
TorpedoBayV1.SetIconPositionX(33)
TorpedoBayV1.SetIconPositionY(54)
TorpedoBayV1.SetIconAboveShip(1)
TorpedoBayV1.SetImmediateDelay(0.000001)
TorpedoBayV1.SetReloadDelay(10.000000)
TorpedoBayV1.SetMaxReady(6)
TorpedoBayV1Direction = App.TGPoint3()
TorpedoBayV1Direction.SetXYZ(0.000000, 0.000000, -1.000000)
TorpedoBayV1.SetDirection(TorpedoBayV1Direction)
TorpedoBayV1Right = App.TGPoint3()
TorpedoBayV1Right.SetXYZ(0.000000, 1.000000, 0.000000)
TorpedoBayV1.SetRight(TorpedoBayV1Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(TorpedoBayV1)
#################################################
TorpedoBayV2 = App.TorpedoTubeProperty_Create("Bay V2")

TorpedoBayV2.SetMaxCondition(15000.000000)
TorpedoBayV2.SetCritical(0)
TorpedoBayV2.SetTargetable(1)
TorpedoBayV2.SetPrimary(1)
TorpedoBayV2.SetPosition(0.000000, -2.477752, -17.177954)
TorpedoBayV2.SetPosition2D(0.000000, 0.000000)
TorpedoBayV2.SetRepairComplexity(0.750000)
TorpedoBayV2.SetDisabledPercentage(0.500000)
TorpedoBayV2.SetRadius(0.250000)
TorpedoBayV2.SetDumbfire(1)
TorpedoBayV2.SetWeaponID(0)
TorpedoBayV2.SetGroups(1)
TorpedoBayV2.SetDamageRadiusFactor(0.400000)
TorpedoBayV2.SetIconNum(370)
TorpedoBayV2.SetIconPositionX(38)
TorpedoBayV2.SetIconPositionY(54)
TorpedoBayV2.SetIconAboveShip(1)
TorpedoBayV2.SetImmediateDelay(0.000001)
TorpedoBayV2.SetReloadDelay(10.000000)
TorpedoBayV2.SetMaxReady(6)
TorpedoBayV2Direction = App.TGPoint3()
TorpedoBayV2Direction.SetXYZ(0.000000, 0.000000, -1.000000)
TorpedoBayV2.SetDirection(TorpedoBayV2Direction)
TorpedoBayV2Right = App.TGPoint3()
TorpedoBayV2Right.SetXYZ(0.000000, 1.000000, 0.000000)
TorpedoBayV2.SetRight(TorpedoBayV2Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(TorpedoBayV2)
#################################################
TorpedoBayV3 = App.TorpedoTubeProperty_Create("Bay V3")

TorpedoBayV3.SetMaxCondition(15000.000000)
TorpedoBayV3.SetCritical(0)
TorpedoBayV3.SetTargetable(1)
TorpedoBayV3.SetPrimary(1)
TorpedoBayV3.SetPosition(0.000000, 2.477752, -17.177954)
TorpedoBayV3.SetPosition2D(0.000000, 0.000000)
TorpedoBayV3.SetRepairComplexity(0.750000)
TorpedoBayV3.SetDisabledPercentage(0.500000)
TorpedoBayV3.SetRadius(0.250000)
TorpedoBayV3.SetDumbfire(1)
TorpedoBayV3.SetWeaponID(0)
TorpedoBayV3.SetGroups(1)
TorpedoBayV3.SetDamageRadiusFactor(0.400000)
TorpedoBayV3.SetIconNum(370)
TorpedoBayV3.SetIconPositionX(33)
TorpedoBayV3.SetIconPositionY(60)
TorpedoBayV3.SetIconAboveShip(1)
TorpedoBayV3.SetImmediateDelay(0.000001)
TorpedoBayV3.SetReloadDelay(10.000000)
TorpedoBayV3.SetMaxReady(6)
TorpedoBayV3Direction = App.TGPoint3()
TorpedoBayV3Direction.SetXYZ(0.000000, 0.000000, -1.000000)
TorpedoBayV3.SetDirection(TorpedoBayV3Direction)
TorpedoBayV3Right = App.TGPoint3()
TorpedoBayV3Right.SetXYZ(0.000000, 1.000000, 0.000000)
TorpedoBayV3.SetRight(TorpedoBayV3Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(TorpedoBayV3)
#################################################
TorpedoBayV4 = App.TorpedoTubeProperty_Create("Bay V4")

TorpedoBayV4.SetMaxCondition(15000.000000)
TorpedoBayV4.SetCritical(0)
TorpedoBayV4.SetTargetable(1)
TorpedoBayV4.SetPrimary(1)
TorpedoBayV4.SetPosition(-1.453863, 7.357833, -17.177954)
TorpedoBayV4.SetPosition2D(0.000000, 0.000000)
TorpedoBayV4.SetRepairComplexity(0.750000)
TorpedoBayV4.SetDisabledPercentage(0.500000)
TorpedoBayV4.SetRadius(0.250000)
TorpedoBayV4.SetDumbfire(1)
TorpedoBayV4.SetWeaponID(0)
TorpedoBayV4.SetGroups(1)
TorpedoBayV4.SetDamageRadiusFactor(0.400000)
TorpedoBayV4.SetIconNum(370)
TorpedoBayV4.SetIconPositionX(38)
TorpedoBayV4.SetIconPositionY(60)
TorpedoBayV4.SetIconAboveShip(1)
TorpedoBayV4.SetImmediateDelay(0.000001)
TorpedoBayV4.SetReloadDelay(10.000000)
TorpedoBayV4.SetMaxReady(6)
TorpedoBayV4Direction = App.TGPoint3()
TorpedoBayV4Direction.SetXYZ(0.000000, 0.000000, -1.000000)
TorpedoBayV4.SetDirection(TorpedoBayV4Direction)
TorpedoBayV4Right = App.TGPoint3()
TorpedoBayV4Right.SetXYZ(0.000000, 1.000000, 0.000000)
TorpedoBayV4.SetRight(TorpedoBayV4Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(TorpedoBayV4)
#################################################
TorpedoBayP1 = App.TorpedoTubeProperty_Create("Bay P1")

TorpedoBayP1.SetMaxCondition(15000.000000)
TorpedoBayP1.SetCritical(0)
TorpedoBayP1.SetTargetable(1)
TorpedoBayP1.SetPrimary(1)
TorpedoBayP1.SetPosition(-17.177954, 7.941966, -1.420096)
TorpedoBayP1.SetPosition2D(0.000000, 0.000000)
TorpedoBayP1.SetRepairComplexity(0.750000)
TorpedoBayP1.SetDisabledPercentage(0.500000)
TorpedoBayP1.SetRadius(0.250000)
TorpedoBayP1.SetDumbfire(1)
TorpedoBayP1.SetWeaponID(0)
TorpedoBayP1.SetGroups(1)
TorpedoBayP1.SetDamageRadiusFactor(0.400000)
TorpedoBayP1.SetIconNum(370)
TorpedoBayP1.SetIconPositionX(33)
TorpedoBayP1.SetIconPositionY(80)
TorpedoBayP1.SetIconAboveShip(1)
TorpedoBayP1.SetImmediateDelay(0.000001)
TorpedoBayP1.SetReloadDelay(10.000000)
TorpedoBayP1.SetMaxReady(6)
TorpedoBayP1Direction = App.TGPoint3()
TorpedoBayP1Direction.SetXYZ(-1.000000, 0.000000, 0.000000)
TorpedoBayP1.SetDirection(TorpedoBayP1Direction)
TorpedoBayP1Right = App.TGPoint3()
TorpedoBayP1Right.SetXYZ(0.000000, 0.000000, 1.000000)
TorpedoBayP1.SetRight(TorpedoBayP1Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(TorpedoBayP1)
#################################################
TorpedoBayP2 = App.TorpedoTubeProperty_Create("Bay P2")

TorpedoBayP2.SetMaxCondition(15000.000000)
TorpedoBayP2.SetCritical(0)
TorpedoBayP2.SetTargetable(1)
TorpedoBayP2.SetPrimary(1)
TorpedoBayP2.SetPosition(-17.177954, 2.358938, 0.028876)
TorpedoBayP2.SetPosition2D(0.000000, 0.000000)
TorpedoBayP2.SetRepairComplexity(0.750000)
TorpedoBayP2.SetDisabledPercentage(0.500000)
TorpedoBayP2.SetRadius(0.250000)
TorpedoBayP2.SetDumbfire(1)
TorpedoBayP2.SetWeaponID(0)
TorpedoBayP2.SetGroups(1)
TorpedoBayP2.SetDamageRadiusFactor(0.400000)
TorpedoBayP2.SetIconNum(370)
TorpedoBayP2.SetIconPositionX(38)
TorpedoBayP2.SetIconPositionY(80)
TorpedoBayP2.SetIconAboveShip(1)
TorpedoBayP2.SetImmediateDelay(0.000001)
TorpedoBayP2.SetReloadDelay(10.000000)
TorpedoBayP2.SetMaxReady(6)
TorpedoBayP2Direction = App.TGPoint3()
TorpedoBayP2Direction.SetXYZ(-1.000000, 0.000000, 0.000000)
TorpedoBayP2.SetDirection(TorpedoBayP2Direction)
TorpedoBayP2Right = App.TGPoint3()
TorpedoBayP2Right.SetXYZ(0.000000, 0.000000, 1.000000)
TorpedoBayP2.SetRight(TorpedoBayP2Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(TorpedoBayP2)
#################################################
TorpedoBayP3 = App.TorpedoTubeProperty_Create("Bay P3")

TorpedoBayP3.SetMaxCondition(15000.000000)
TorpedoBayP3.SetCritical(0)
TorpedoBayP3.SetTargetable(1)
TorpedoBayP3.SetPrimary(1)
TorpedoBayP3.SetPosition(-17.177954, -9.317408, -2.298505)
TorpedoBayP3.SetPosition2D(0.000000, 0.000000)
TorpedoBayP3.SetRepairComplexity(0.750000)
TorpedoBayP3.SetDisabledPercentage(0.500000)
TorpedoBayP3.SetRadius(0.250000)
TorpedoBayP3.SetDumbfire(1)
TorpedoBayP3.SetWeaponID(0)
TorpedoBayP3.SetGroups(1)
TorpedoBayP3.SetDamageRadiusFactor(0.400000)
TorpedoBayP3.SetIconNum(370)
TorpedoBayP3.SetIconPositionX(33)
TorpedoBayP3.SetIconPositionY(86)
TorpedoBayP3.SetIconAboveShip(1)
TorpedoBayP3.SetImmediateDelay(0.000001)
TorpedoBayP3.SetReloadDelay(10.000000)
TorpedoBayP3.SetMaxReady(6)
TorpedoBayP3Direction = App.TGPoint3()
TorpedoBayP3Direction.SetXYZ(-1.000000, 0.000000, 0.000000)
TorpedoBayP3.SetDirection(TorpedoBayP3Direction)
TorpedoBayP3Right = App.TGPoint3()
TorpedoBayP3Right.SetXYZ(0.000000, 0.000000, 1.000000)
TorpedoBayP3.SetRight(TorpedoBayP3Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(TorpedoBayP3)
#################################################
TorpedoBayP4 = App.TorpedoTubeProperty_Create("Bay P4")

TorpedoBayP4.SetMaxCondition(15000.000000)
TorpedoBayP4.SetCritical(0)
TorpedoBayP4.SetTargetable(1)
TorpedoBayP4.SetPrimary(1)
TorpedoBayP4.SetPosition(-17.177954, -12.197047, 7.168802)
TorpedoBayP4.SetPosition2D(0.000000, 0.000000)
TorpedoBayP4.SetRepairComplexity(0.750000)
TorpedoBayP4.SetDisabledPercentage(0.500000)
TorpedoBayP4.SetRadius(0.250000)
TorpedoBayP4.SetDumbfire(1)
TorpedoBayP4.SetWeaponID(0)
TorpedoBayP4.SetGroups(1)
TorpedoBayP4.SetDamageRadiusFactor(0.400000)
TorpedoBayP4.SetIconNum(370)
TorpedoBayP4.SetIconPositionX(38)
TorpedoBayP4.SetIconPositionY(86)
TorpedoBayP4.SetIconAboveShip(1)
TorpedoBayP4.SetImmediateDelay(0.000001)
TorpedoBayP4.SetReloadDelay(10.000000)
TorpedoBayP4.SetMaxReady(6)
TorpedoBayP4Direction = App.TGPoint3()
TorpedoBayP4Direction.SetXYZ(-1.000000, 0.000000, 0.000000)
TorpedoBayP4.SetDirection(TorpedoBayP4Direction)
TorpedoBayP4Right = App.TGPoint3()
TorpedoBayP4Right.SetXYZ(0.000000, 0.000000, 1.000000)
TorpedoBayP4.SetRight(TorpedoBayP4Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(TorpedoBayP4)
#################################################
TorpedoBayS1 = App.TorpedoTubeProperty_Create("Bay S1")

TorpedoBayS1.SetMaxCondition(15000.000000)
TorpedoBayS1.SetCritical(0)
TorpedoBayS1.SetTargetable(1)
TorpedoBayS1.SetPrimary(1)
TorpedoBayS1.SetPosition(17.177954, 7.941966, -1.420096)
TorpedoBayS1.SetPosition2D(0.000000, 0.000000)
TorpedoBayS1.SetRepairComplexity(0.750000)
TorpedoBayS1.SetDisabledPercentage(0.500000)
TorpedoBayS1.SetRadius(0.250000)
TorpedoBayS1.SetDumbfire(1)
TorpedoBayS1.SetWeaponID(0)
TorpedoBayS1.SetGroups(1)
TorpedoBayS1.SetDamageRadiusFactor(0.400000)
TorpedoBayS1.SetIconNum(370)
TorpedoBayS1.SetIconPositionX(108)
TorpedoBayS1.SetIconPositionY(80)
TorpedoBayS1.SetIconAboveShip(1)
TorpedoBayS1.SetImmediateDelay(0.000001)
TorpedoBayS1.SetReloadDelay(10.000000)
TorpedoBayS1.SetMaxReady(6)
TorpedoBayS1Direction = App.TGPoint3()
TorpedoBayS1Direction.SetXYZ(1.000000, 0.000000, 0.000000)
TorpedoBayS1.SetDirection(TorpedoBayS1Direction)
TorpedoBayS1Right = App.TGPoint3()
TorpedoBayS1Right.SetXYZ(0.000000, 0.000000, 1.000000)
TorpedoBayS1.SetRight(TorpedoBayS1Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(TorpedoBayS1)
#################################################
TorpedoBayS2 = App.TorpedoTubeProperty_Create("Bay S2")

TorpedoBayS2.SetMaxCondition(15000.000000)
TorpedoBayS2.SetCritical(0)
TorpedoBayS2.SetTargetable(1)
TorpedoBayS2.SetPrimary(1)
TorpedoBayS2.SetPosition(17.177954, 2.358938, 0.028876)
TorpedoBayS2.SetPosition2D(0.000000, 0.000000)
TorpedoBayS2.SetRepairComplexity(0.750000)
TorpedoBayS2.SetDisabledPercentage(0.500000)
TorpedoBayS2.SetRadius(0.250000)
TorpedoBayS2.SetDumbfire(1)
TorpedoBayS2.SetWeaponID(0)
TorpedoBayS2.SetGroups(1)
TorpedoBayS2.SetDamageRadiusFactor(0.400000)
TorpedoBayS2.SetIconNum(370)
TorpedoBayS2.SetIconPositionX(113)
TorpedoBayS2.SetIconPositionY(80)
TorpedoBayS2.SetIconAboveShip(1)
TorpedoBayS2.SetImmediateDelay(0.000001)
TorpedoBayS2.SetReloadDelay(10.000000)
TorpedoBayS2.SetMaxReady(6)
TorpedoBayS2Direction = App.TGPoint3()
TorpedoBayS2Direction.SetXYZ(1.000000, 0.000000, 0.000000)
TorpedoBayS2.SetDirection(TorpedoBayS2Direction)
TorpedoBayS2Right = App.TGPoint3()
TorpedoBayS2Right.SetXYZ(0.000000, 0.000000, 1.000000)
TorpedoBayS2.SetRight(TorpedoBayS2Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(TorpedoBayS2)
#################################################
TorpedoBayS3 = App.TorpedoTubeProperty_Create("Bay S3")

TorpedoBayS3.SetMaxCondition(15000.000000)
TorpedoBayS3.SetCritical(0)
TorpedoBayS3.SetTargetable(1)
TorpedoBayS3.SetPrimary(1)
TorpedoBayS3.SetPosition(17.177954, -9.317408, -2.298505)
TorpedoBayS3.SetPosition2D(0.000000, 0.000000)
TorpedoBayS3.SetRepairComplexity(0.750000)
TorpedoBayS3.SetDisabledPercentage(0.500000)
TorpedoBayS3.SetRadius(0.250000)
TorpedoBayS3.SetDumbfire(1)
TorpedoBayS3.SetWeaponID(0)
TorpedoBayS3.SetGroups(1)
TorpedoBayS3.SetDamageRadiusFactor(0.400000)
TorpedoBayS3.SetIconNum(370)
TorpedoBayS3.SetIconPositionX(108)
TorpedoBayS3.SetIconPositionY(86)
TorpedoBayS3.SetIconAboveShip(1)
TorpedoBayS3.SetImmediateDelay(0.000001)
TorpedoBayS3.SetReloadDelay(10.000000)
TorpedoBayS3.SetMaxReady(6)
TorpedoBayS3Direction = App.TGPoint3()
TorpedoBayS3Direction.SetXYZ(1.000000, 0.000000, 0.000000)
TorpedoBayS3.SetDirection(TorpedoBayS3Direction)
TorpedoBayS3Right = App.TGPoint3()
TorpedoBayS3Right.SetXYZ(0.000000, 0.000000, 1.000000)
TorpedoBayS3.SetRight(TorpedoBayS3Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(TorpedoBayS3)
#################################################
TorpedoBayS4 = App.TorpedoTubeProperty_Create("Bay S4")

TorpedoBayS4.SetMaxCondition(15000.000000)
TorpedoBayS4.SetCritical(0)
TorpedoBayS4.SetTargetable(1)
TorpedoBayS4.SetPrimary(1)
TorpedoBayS4.SetPosition(17.177954, -12.197047, 7.168802)
TorpedoBayS4.SetPosition2D(0.000000, 0.000000)
TorpedoBayS4.SetRepairComplexity(0.750000)
TorpedoBayS4.SetDisabledPercentage(0.500000)
TorpedoBayS4.SetRadius(0.250000)
TorpedoBayS4.SetDumbfire(1)
TorpedoBayS4.SetWeaponID(0)
TorpedoBayS4.SetGroups(1)
TorpedoBayS4.SetDamageRadiusFactor(0.400000)
TorpedoBayS4.SetIconNum(370)
TorpedoBayS4.SetIconPositionX(113)
TorpedoBayS4.SetIconPositionY(86)
TorpedoBayS4.SetIconAboveShip(1)
TorpedoBayS4.SetImmediateDelay(0.000001)
TorpedoBayS4.SetReloadDelay(10.000000)
TorpedoBayS4.SetMaxReady(6)
TorpedoBayS4Direction = App.TGPoint3()
TorpedoBayS4Direction.SetXYZ(1.000000, 0.000000, 0.000000)
TorpedoBayS4.SetDirection(TorpedoBayS4Direction)
TorpedoBayS4Right = App.TGPoint3()
TorpedoBayS4Right.SetXYZ(0.000000, 0.000000, 1.000000)
TorpedoBayS4.SetRight(TorpedoBayS4Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(TorpedoBayS4)
#################################################
TractorBeams = App.WeaponSystemProperty_Create("Holding Beams")

TractorBeams.SetMaxCondition(2000000.000000)
TractorBeams.SetCritical(0)
TractorBeams.SetTargetable(1)
TractorBeams.SetPrimary(1)
TractorBeams.SetPosition(0.000000, 0.000000, 0.000000)
TractorBeams.SetPosition2D(0.000000, 0.000000)
TractorBeams.SetRepairComplexity(1.000000)
TractorBeams.SetDisabledPercentage(0.500000)
TractorBeams.SetRadius(1.250000)
TractorBeams.SetNormalPowerPerSecond(0.000000)
TractorBeams.SetWeaponSystemType(TractorBeams.WST_TRACTOR)
TractorBeams.SetSingleFire(0)
TractorBeams.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
TractorBeams.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(TractorBeams)
#################################################
TractorF1 = App.TractorBeamProperty_Create("Holding Beam F1")

TractorF1.SetMaxCondition(15000.000000)
TractorF1.SetCritical(0)
TractorF1.SetTargetable(1)
TractorF1.SetPrimary(1)
TractorF1.SetPosition(-14.300524, 17.177954, 7.947646)
TractorF1.SetPosition2D(0.000000, 0.000000)
TractorF1.SetRepairComplexity(1.000000)
TractorF1.SetDisabledPercentage(0.500000)
TractorF1.SetRadius(0.250000)
TractorF1.SetDumbfire(0)
TractorF1.SetWeaponID(0)
TractorF1.SetGroups(0)
TractorF1.SetDamageRadiusFactor(0.300000)
TractorF1.SetIconNum(0)
TractorF1.SetIconPositionX(500.000000)
TractorF1.SetIconPositionY(500.000000)
TractorF1.SetIconAboveShip(1)
TractorF1.SetFireSound("Tractor Beam")
TractorF1.SetMaxCharge(20000.000000)
TractorF1.SetMaxDamage(3000000.000000)
TractorF1.SetMaxDamageDistance(855.000000)
TractorF1.SetMinFiringCharge(3.000000)
TractorF1.SetNormalDischargeRate(10.000000)
TractorF1.SetRechargeRate(1000.000000)
TractorF1.SetIndicatorIconNum(0)
TractorF1.SetIndicatorIconPositionX(500.000000)
TractorF1.SetIndicatorIconPositionY(500.000000)
TractorF1Forward = App.TGPoint3()
TractorF1Forward.SetXYZ(0.000000, 1.000000, 0.000000)
TractorF1Up = App.TGPoint3()
TractorF1Up.SetXYZ(0.000000, 0.000000, 1.000000)
TractorF1.SetOrientation(TractorF1Forward, TractorF1Up)
TractorF1.SetArcWidthAngles(-1.178098, 1.178098)
TractorF1.SetArcHeightAngles(-1.178098, 1.178098)
TractorF1.SetTractorBeamWidth(1.800000)
TractorF1.SetTextureStart(0)
TractorF1.SetTextureEnd(0)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorF1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.800000)
TractorF1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorF1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.900000)
TractorF1.SetInnerCoreColor(kColor)
TractorF1.SetNumSides(12)
TractorF1.SetMainRadius(6.000000)
TractorF1.SetTaperRadius(0.100000)
TractorF1.SetCoreScale(0.250000)
TractorF1.SetTaperRatio(0.900000)
TractorF1.SetTaperMinLength(100.000000)
TractorF1.SetTaperMaxLength(400.000000)
TractorF1.SetLengthTextureTilePerUnit(0.250000)
TractorF1.SetPerimeterTile(1.000000)
TractorF1.SetTextureSpeed(0.500000)
TractorF1.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(TractorF1)
#################################################
TractorF2 = App.TractorBeamProperty_Create("Holding Beam F2")

TractorF2.SetMaxCondition(15000.000000)
TractorF2.SetCritical(0)
TractorF2.SetTargetable(1)
TractorF2.SetPrimary(1)
TractorF2.SetPosition(-2.545286, 17.177954, 0.137119)
TractorF2.SetPosition2D(0.000000, 0.000000)
TractorF2.SetRepairComplexity(1.000000)
TractorF2.SetDisabledPercentage(0.500000)
TractorF2.SetRadius(0.250000)
TractorF2.SetDumbfire(0)
TractorF2.SetWeaponID(0)
TractorF2.SetGroups(0)
TractorF2.SetDamageRadiusFactor(0.300000)
TractorF2.SetIconNum(0)
TractorF2.SetIconPositionX(500.000000)
TractorF2.SetIconPositionY(500.000000)
TractorF2.SetIconAboveShip(1)
TractorF2.SetFireSound("Tractor Beam")
TractorF2.SetMaxCharge(20000.000000)
TractorF2.SetMaxDamage(3000000.000000)
TractorF2.SetMaxDamageDistance(855.000000)
TractorF2.SetMinFiringCharge(3.000000)
TractorF2.SetNormalDischargeRate(10.000000)
TractorF2.SetRechargeRate(1000.000000)
TractorF2.SetIndicatorIconNum(0)
TractorF2.SetIndicatorIconPositionX(500.000000)
TractorF2.SetIndicatorIconPositionY(500.000000)
TractorF2Forward = App.TGPoint3()
TractorF2Forward.SetXYZ(0.000000, 1.000000, 0.000000)
TractorF2Up = App.TGPoint3()
TractorF2Up.SetXYZ(0.000000, 0.000000, 1.000000)
TractorF2.SetOrientation(TractorF2Forward, TractorF2Up)
TractorF2.SetArcWidthAngles(-1.178098, 1.178098)
TractorF2.SetArcHeightAngles(-1.178098, 1.178098)
TractorF2.SetTractorBeamWidth(1.800000)
TractorF2.SetTextureStart(0)
TractorF2.SetTextureEnd(0)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorF2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.800000)
TractorF2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorF2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.900000)
TractorF2.SetInnerCoreColor(kColor)
TractorF2.SetNumSides(12)
TractorF2.SetMainRadius(6.000000)
TractorF2.SetTaperRadius(0.100000)
TractorF2.SetCoreScale(0.250000)
TractorF2.SetTaperRatio(0.900000)
TractorF2.SetTaperMinLength(100.000000)
TractorF2.SetTaperMaxLength(400.000000)
TractorF2.SetLengthTextureTilePerUnit(0.250000)
TractorF2.SetPerimeterTile(1.000000)
TractorF2.SetTextureSpeed(0.500000)
TractorF2.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(TractorF2)
#################################################
TractorF3 = App.TractorBeamProperty_Create("Holding Beam F3")

TractorF3.SetMaxCondition(15000.000000)
TractorF3.SetCritical(0)
TractorF3.SetTargetable(1)
TractorF3.SetPrimary(1)
TractorF3.SetPosition(13.036323, 17.177954, 3.095652)
TractorF3.SetPosition2D(0.000000, 0.000000)
TractorF3.SetRepairComplexity(1.000000)
TractorF3.SetDisabledPercentage(0.500000)
TractorF3.SetRadius(0.250000)
TractorF3.SetDumbfire(0)
TractorF3.SetWeaponID(0)
TractorF3.SetGroups(0)
TractorF3.SetDamageRadiusFactor(0.300000)
TractorF3.SetIconNum(0)
TractorF3.SetIconPositionX(500.000000)
TractorF3.SetIconPositionY(500.000000)
TractorF3.SetIconAboveShip(1)
TractorF3.SetFireSound("Tractor Beam")
TractorF3.SetMaxCharge(20000.000000)
TractorF3.SetMaxDamage(3000000.000000)
TractorF3.SetMaxDamageDistance(855.000000)
TractorF3.SetMinFiringCharge(3.000000)
TractorF3.SetNormalDischargeRate(10.000000)
TractorF3.SetRechargeRate(1000.000000)
TractorF3.SetIndicatorIconNum(0)
TractorF3.SetIndicatorIconPositionX(500.000000)
TractorF3.SetIndicatorIconPositionY(500.000000)
TractorF3Forward = App.TGPoint3()
TractorF3Forward.SetXYZ(0.000000, 1.000000, 0.000000)
TractorF3Up = App.TGPoint3()
TractorF3Up.SetXYZ(0.000000, 0.000000, 1.000000)
TractorF3.SetOrientation(TractorF3Forward, TractorF3Up)
TractorF3.SetArcWidthAngles(-1.178098, 1.178098)
TractorF3.SetArcHeightAngles(-1.178098, 1.178098)
TractorF3.SetTractorBeamWidth(1.800000)
TractorF3.SetTextureStart(0)
TractorF3.SetTextureEnd(0)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorF3.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.800000)
TractorF3.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorF3.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.900000)
TractorF3.SetInnerCoreColor(kColor)
TractorF3.SetNumSides(12)
TractorF3.SetMainRadius(6.000000)
TractorF3.SetTaperRadius(0.100000)
TractorF3.SetCoreScale(0.250000)
TractorF3.SetTaperRatio(0.900000)
TractorF3.SetTaperMinLength(100.000000)
TractorF3.SetTaperMaxLength(400.000000)
TractorF3.SetLengthTextureTilePerUnit(0.250000)
TractorF3.SetPerimeterTile(1.000000)
TractorF3.SetTextureSpeed(0.500000)
TractorF3.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(TractorF3)
#################################################
TractorA1 = App.TractorBeamProperty_Create("Holding Beam A1")

TractorA1.SetMaxCondition(15000.000000)
TractorA1.SetCritical(0)
TractorA1.SetTargetable(1)
TractorA1.SetPrimary(1)
TractorA1.SetPosition(-14.300524, -17.177954, 7.947646)
TractorA1.SetPosition2D(0.000000, 0.000000)
TractorA1.SetRepairComplexity(1.000000)
TractorA1.SetDisabledPercentage(0.500000)
TractorA1.SetRadius(0.250000)
TractorA1.SetDumbfire(0)
TractorA1.SetWeaponID(0)
TractorA1.SetGroups(0)
TractorA1.SetDamageRadiusFactor(0.300000)
TractorA1.SetIconNum(0)
TractorA1.SetIconPositionX(500.000000)
TractorA1.SetIconPositionY(500.000000)
TractorA1.SetIconAboveShip(1)
TractorA1.SetFireSound("Tractor Beam")
TractorA1.SetMaxCharge(20000.000000)
TractorA1.SetMaxDamage(3000000.000000)
TractorA1.SetMaxDamageDistance(855.000000)
TractorA1.SetMinFiringCharge(3.000000)
TractorA1.SetNormalDischargeRate(10.000000)
TractorA1.SetRechargeRate(1000.000000)
TractorA1.SetIndicatorIconNum(0)
TractorA1.SetIndicatorIconPositionX(500.000000)
TractorA1.SetIndicatorIconPositionY(500.000000)
TractorA1Forward = App.TGPoint3()
TractorA1Forward.SetXYZ(0.000000, -1.000000, 0.000000)
TractorA1Up = App.TGPoint3()
TractorA1Up.SetXYZ(0.000000, 0.000000, 1.000000)
TractorA1.SetOrientation(TractorA1Forward, TractorA1Up)
TractorA1.SetArcWidthAngles(-1.178098, 1.178098)
TractorA1.SetArcHeightAngles(-1.178098, 1.178098)
TractorA1.SetTractorBeamWidth(1.800000)
TractorA1.SetTextureStart(0)
TractorA1.SetTextureEnd(0)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorA1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.800000)
TractorA1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorA1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.900000)
TractorA1.SetInnerCoreColor(kColor)
TractorA1.SetNumSides(12)
TractorA1.SetMainRadius(6.000000)
TractorA1.SetTaperRadius(0.100000)
TractorA1.SetCoreScale(0.250000)
TractorA1.SetTaperRatio(0.900000)
TractorA1.SetTaperMinLength(100.000000)
TractorA1.SetTaperMaxLength(400.000000)
TractorA1.SetLengthTextureTilePerUnit(0.250000)
TractorA1.SetPerimeterTile(1.000000)
TractorA1.SetTextureSpeed(0.500000)
TractorA1.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(TractorA1)
#################################################
TractorA2 = App.TractorBeamProperty_Create("Holding Beam A2")

TractorA2.SetMaxCondition(15000.000000)
TractorA2.SetCritical(0)
TractorA2.SetTargetable(1)
TractorA2.SetPrimary(1)
TractorA2.SetPosition(-2.545286, -17.177954, 0.137119)
TractorA2.SetPosition2D(0.000000, 0.000000)
TractorA2.SetRepairComplexity(1.000000)
TractorA2.SetDisabledPercentage(0.500000)
TractorA2.SetRadius(0.250000)
TractorA2.SetDumbfire(0)
TractorA2.SetWeaponID(0)
TractorA2.SetGroups(0)
TractorA2.SetDamageRadiusFactor(0.300000)
TractorA2.SetIconNum(0)
TractorA2.SetIconPositionX(500.000000)
TractorA2.SetIconPositionY(500.000000)
TractorA2.SetIconAboveShip(1)
TractorA2.SetFireSound("Tractor Beam")
TractorA2.SetMaxCharge(20000.000000)
TractorA2.SetMaxDamage(3000000.000000)
TractorA2.SetMaxDamageDistance(855.000000)
TractorA2.SetMinFiringCharge(3.000000)
TractorA2.SetNormalDischargeRate(10.000000)
TractorA2.SetRechargeRate(1000.000000)
TractorA2.SetIndicatorIconNum(0)
TractorA2.SetIndicatorIconPositionX(500.000000)
TractorA2.SetIndicatorIconPositionY(500.000000)
TractorA2Forward = App.TGPoint3()
TractorA2Forward.SetXYZ(0.000000, -1.000000, 0.000000)
TractorA2Up = App.TGPoint3()
TractorA2Up.SetXYZ(0.000000, 0.000000, 1.000000)
TractorA2.SetOrientation(TractorA2Forward, TractorA2Up)
TractorA2.SetArcWidthAngles(-1.178098, 1.178098)
TractorA2.SetArcHeightAngles(-1.178098, 1.178098)
TractorA2.SetTractorBeamWidth(1.800000)
TractorA2.SetTextureStart(0)
TractorA2.SetTextureEnd(0)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorA2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.800000)
TractorA2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorA2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.900000)
TractorA2.SetInnerCoreColor(kColor)
TractorA2.SetNumSides(12)
TractorA2.SetMainRadius(6.000000)
TractorA2.SetTaperRadius(0.100000)
TractorA2.SetCoreScale(0.250000)
TractorA2.SetTaperRatio(0.900000)
TractorA2.SetTaperMinLength(100.000000)
TractorA2.SetTaperMaxLength(400.000000)
TractorA2.SetLengthTextureTilePerUnit(0.250000)
TractorA2.SetPerimeterTile(1.000000)
TractorA2.SetTextureSpeed(0.500000)
TractorA2.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(TractorA2)
#################################################
TractorA3 = App.TractorBeamProperty_Create("Holding Beam A3")

TractorA3.SetMaxCondition(15000.000000)
TractorA3.SetCritical(0)
TractorA3.SetTargetable(1)
TractorA3.SetPrimary(1)
TractorA3.SetPosition(13.036323, -17.177954, 3.095652)
TractorA3.SetPosition2D(0.000000, 0.000000)
TractorA3.SetRepairComplexity(1.000000)
TractorA3.SetDisabledPercentage(0.500000)
TractorA3.SetRadius(0.250000)
TractorA3.SetDumbfire(0)
TractorA3.SetWeaponID(0)
TractorA3.SetGroups(0)
TractorA3.SetDamageRadiusFactor(0.300000)
TractorA3.SetIconNum(0)
TractorA3.SetIconPositionX(500.000000)
TractorA3.SetIconPositionY(500.000000)
TractorA3.SetIconAboveShip(1)
TractorA3.SetFireSound("Tractor Beam")
TractorA3.SetMaxCharge(20000.000000)
TractorA3.SetMaxDamage(3000000.000000)
TractorA3.SetMaxDamageDistance(855.000000)
TractorA3.SetMinFiringCharge(3.000000)
TractorA3.SetNormalDischargeRate(10.000000)
TractorA3.SetRechargeRate(1000.000000)
TractorA3.SetIndicatorIconNum(0)
TractorA3.SetIndicatorIconPositionX(500.000000)
TractorA3.SetIndicatorIconPositionY(500.000000)
TractorA3Forward = App.TGPoint3()
TractorA3Forward.SetXYZ(0.000000, -1.000000, 0.000000)
TractorA3Up = App.TGPoint3()
TractorA3Up.SetXYZ(0.000000, 0.000000, 1.000000)
TractorA3.SetOrientation(TractorA3Forward, TractorA3Up)
TractorA3.SetArcWidthAngles(-1.178098, 1.178098)
TractorA3.SetArcHeightAngles(-1.178098, 1.178098)
TractorA3.SetTractorBeamWidth(1.800000)
TractorA3.SetTextureStart(0)
TractorA3.SetTextureEnd(0)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorA3.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.800000)
TractorA3.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorA3.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.900000)
TractorA3.SetInnerCoreColor(kColor)
TractorA3.SetNumSides(12)
TractorA3.SetMainRadius(6.000000)
TractorA3.SetTaperRadius(0.100000)
TractorA3.SetCoreScale(0.250000)
TractorA3.SetTaperRatio(0.900000)
TractorA3.SetTaperMinLength(100.000000)
TractorA3.SetTaperMaxLength(400.000000)
TractorA3.SetLengthTextureTilePerUnit(0.250000)
TractorA3.SetPerimeterTile(1.000000)
TractorA3.SetTextureSpeed(0.500000)
TractorA3.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(TractorA3)
#################################################
TractorD1 = App.TractorBeamProperty_Create("Holding Beam D1")

TractorD1.SetMaxCondition(15000.000000)
TractorD1.SetCritical(0)
TractorD1.SetTargetable(1)
TractorD1.SetPrimary(1)
TractorD1.SetPosition(-1.743089, -12.010699, 17.177954)
TractorD1.SetPosition2D(0.000000, 0.000000)
TractorD1.SetRepairComplexity(1.000000)
TractorD1.SetDisabledPercentage(0.500000)
TractorD1.SetRadius(0.250000)
TractorD1.SetDumbfire(0)
TractorD1.SetWeaponID(0)
TractorD1.SetGroups(0)
TractorD1.SetDamageRadiusFactor(0.300000)
TractorD1.SetIconNum(0)
TractorD1.SetIconPositionX(500.000000)
TractorD1.SetIconPositionY(500.000000)
TractorD1.SetIconAboveShip(1)
TractorD1.SetFireSound("Tractor Beam")
TractorD1.SetMaxCharge(20000.000000)
TractorD1.SetMaxDamage(3000000.000000)
TractorD1.SetMaxDamageDistance(855.000000)
TractorD1.SetMinFiringCharge(3.000000)
TractorD1.SetNormalDischargeRate(10.000000)
TractorD1.SetRechargeRate(1000.000000)
TractorD1.SetIndicatorIconNum(0)
TractorD1.SetIndicatorIconPositionX(500.000000)
TractorD1.SetIndicatorIconPositionY(500.000000)
TractorD1Forward = App.TGPoint3()
TractorD1Forward.SetXYZ(0.000000, 0.000000, 1.000000)
TractorD1Up = App.TGPoint3()
TractorD1Up.SetXYZ(0.000000, 1.000000, 0.000000)
TractorD1.SetOrientation(TractorD1Forward, TractorD1Up)
TractorD1.SetArcWidthAngles(-1.178098, 1.178098)
TractorD1.SetArcHeightAngles(-1.178098, 1.178098)
TractorD1.SetTractorBeamWidth(1.800000)
TractorD1.SetTextureStart(0)
TractorD1.SetTextureEnd(0)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorD1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.800000)
TractorD1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorD1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.900000)
TractorD1.SetInnerCoreColor(kColor)
TractorD1.SetNumSides(12)
TractorD1.SetMainRadius(6.000000)
TractorD1.SetTaperRadius(0.100000)
TractorD1.SetCoreScale(0.250000)
TractorD1.SetTaperRatio(0.900000)
TractorD1.SetTaperMinLength(100.000000)
TractorD1.SetTaperMaxLength(400.000000)
TractorD1.SetLengthTextureTilePerUnit(0.250000)
TractorD1.SetPerimeterTile(1.000000)
TractorD1.SetTextureSpeed(0.500000)
TractorD1.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(TractorD1)
#################################################
TractorD2 = App.TractorBeamProperty_Create("Holding Beam D2")

TractorD2.SetMaxCondition(15000.000000)
TractorD2.SetCritical(0)
TractorD2.SetTargetable(1)
TractorD2.SetPrimary(1)
TractorD2.SetPosition(0.518493, -6.488103, 17.177954)
TractorD2.SetPosition2D(0.000000, 0.000000)
TractorD2.SetRepairComplexity(1.000000)
TractorD2.SetDisabledPercentage(0.500000)
TractorD2.SetRadius(0.250000)
TractorD2.SetDumbfire(0)
TractorD2.SetWeaponID(0)
TractorD2.SetGroups(0)
TractorD2.SetDamageRadiusFactor(0.300000)
TractorD2.SetIconNum(0)
TractorD2.SetIconPositionX(500.000000)
TractorD2.SetIconPositionY(500.000000)
TractorD2.SetIconAboveShip(1)
TractorD2.SetFireSound("Tractor Beam")
TractorD2.SetMaxCharge(20000.000000)
TractorD2.SetMaxDamage(3000000.000000)
TractorD2.SetMaxDamageDistance(855.000000)
TractorD2.SetMinFiringCharge(3.000000)
TractorD2.SetNormalDischargeRate(10.000000)
TractorD2.SetRechargeRate(1000.000000)
TractorD2.SetIndicatorIconNum(0)
TractorD2.SetIndicatorIconPositionX(500.000000)
TractorD2.SetIndicatorIconPositionY(500.000000)
TractorD2Forward = App.TGPoint3()
TractorD2Forward.SetXYZ(0.000000, 0.000000, 1.000000)
TractorD2Up = App.TGPoint3()
TractorD2Up.SetXYZ(0.000000, 1.000000, 0.000000)
TractorD2.SetOrientation(TractorD2Forward, TractorD2Up)
TractorD2.SetArcWidthAngles(-1.178098, 1.178098)
TractorD2.SetArcHeightAngles(-1.178098, 1.178098)
TractorD2.SetTractorBeamWidth(1.800000)
TractorD2.SetTextureStart(0)
TractorD2.SetTextureEnd(0)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorD2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.800000)
TractorD2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorD2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.900000)
TractorD2.SetInnerCoreColor(kColor)
TractorD2.SetNumSides(12)
TractorD2.SetMainRadius(6.000000)
TractorD2.SetTaperRadius(0.100000)
TractorD2.SetCoreScale(0.250000)
TractorD2.SetTaperRatio(0.900000)
TractorD2.SetTaperMinLength(100.000000)
TractorD2.SetTaperMaxLength(400.000000)
TractorD2.SetLengthTextureTilePerUnit(0.250000)
TractorD2.SetPerimeterTile(1.000000)
TractorD2.SetTextureSpeed(0.500000)
TractorD2.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(TractorD2)
#################################################
TractorD3 = App.TractorBeamProperty_Create("Holding Beam D3")

TractorD3.SetMaxCondition(15000.000000)
TractorD3.SetCritical(0)
TractorD3.SetTargetable(1)
TractorD3.SetPrimary(1)
TractorD3.SetPosition(-0.691272, 10.921169, 17.177954)
TractorD3.SetPosition2D(0.000000, 0.000000)
TractorD3.SetRepairComplexity(1.000000)
TractorD3.SetDisabledPercentage(0.500000)
TractorD3.SetRadius(0.250000)
TractorD3.SetDumbfire(0)
TractorD3.SetWeaponID(0)
TractorD3.SetGroups(0)
TractorD3.SetDamageRadiusFactor(0.300000)
TractorD3.SetIconNum(0)
TractorD3.SetIconPositionX(500.000000)
TractorD3.SetIconPositionY(500.000000)
TractorD3.SetIconAboveShip(1)
TractorD3.SetFireSound("Tractor Beam")
TractorD3.SetMaxCharge(20000.000000)
TractorD3.SetMaxDamage(3000000.000000)
TractorD3.SetMaxDamageDistance(855.000000)
TractorD3.SetMinFiringCharge(3.000000)
TractorD3.SetNormalDischargeRate(10.000000)
TractorD3.SetRechargeRate(1000.000000)
TractorD3.SetIndicatorIconNum(0)
TractorD3.SetIndicatorIconPositionX(500.000000)
TractorD3.SetIndicatorIconPositionY(500.000000)
TractorD3Forward = App.TGPoint3()
TractorD3Forward.SetXYZ(0.000000, 0.000000, 1.000000)
TractorD3Up = App.TGPoint3()
TractorD3Up.SetXYZ(0.000000, 1.000000, 0.000000)
TractorD3.SetOrientation(TractorD3Forward, TractorD3Up)
TractorD3.SetArcWidthAngles(-1.178098, 1.178098)
TractorD3.SetArcHeightAngles(-1.178098, 1.178098)
TractorD3.SetTractorBeamWidth(1.800000)
TractorD3.SetTextureStart(0)
TractorD3.SetTextureEnd(0)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorD3.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.800000)
TractorD3.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorD3.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.900000)
TractorD3.SetInnerCoreColor(kColor)
TractorD3.SetNumSides(12)
TractorD3.SetMainRadius(6.000000)
TractorD3.SetTaperRadius(0.100000)
TractorD3.SetCoreScale(0.250000)
TractorD3.SetTaperRatio(0.900000)
TractorD3.SetTaperMinLength(100.000000)
TractorD3.SetTaperMaxLength(400.000000)
TractorD3.SetLengthTextureTilePerUnit(0.250000)
TractorD3.SetPerimeterTile(1.000000)
TractorD3.SetTextureSpeed(0.500000)
TractorD3.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(TractorD3)
#################################################
TractorV1 = App.TractorBeamProperty_Create("Holding Beam V1")

TractorV1.SetMaxCondition(15000.000000)
TractorV1.SetCritical(0)
TractorV1.SetTargetable(1)
TractorV1.SetPrimary(1)
TractorV1.SetPosition(-1.743089, -12.010699, -17.177954)
TractorV1.SetPosition2D(0.000000, 0.000000)
TractorV1.SetRepairComplexity(1.000000)
TractorV1.SetDisabledPercentage(0.500000)
TractorV1.SetRadius(0.250000)
TractorV1.SetDumbfire(0)
TractorV1.SetWeaponID(0)
TractorV1.SetGroups(0)
TractorV1.SetDamageRadiusFactor(0.300000)
TractorV1.SetIconNum(0)
TractorV1.SetIconPositionX(500.000000)
TractorV1.SetIconPositionY(500.000000)
TractorV1.SetIconAboveShip(1)
TractorV1.SetFireSound("Tractor Beam")
TractorV1.SetMaxCharge(20000.000000)
TractorV1.SetMaxDamage(3000000.000000)
TractorV1.SetMaxDamageDistance(855.000000)
TractorV1.SetMinFiringCharge(3.000000)
TractorV1.SetNormalDischargeRate(10.000000)
TractorV1.SetRechargeRate(1000.000000)
TractorV1.SetIndicatorIconNum(0)
TractorV1.SetIndicatorIconPositionX(500.000000)
TractorV1.SetIndicatorIconPositionY(500.000000)
TractorV1Forward = App.TGPoint3()
TractorV1Forward.SetXYZ(0.000000, 0.000000, -1.000000)
TractorV1Up = App.TGPoint3()
TractorV1Up.SetXYZ(0.000000, 1.000000, 0.000000)
TractorV1.SetOrientation(TractorV1Forward, TractorV1Up)
TractorV1.SetArcWidthAngles(-1.178098, 1.178098)
TractorV1.SetArcHeightAngles(-1.178098, 1.178098)
TractorV1.SetTractorBeamWidth(1.800000)
TractorV1.SetTextureStart(0)
TractorV1.SetTextureEnd(0)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorV1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.800000)
TractorV1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorV1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.900000)
TractorV1.SetInnerCoreColor(kColor)
TractorV1.SetNumSides(12)
TractorV1.SetMainRadius(6.000000)
TractorV1.SetTaperRadius(0.100000)
TractorV1.SetCoreScale(0.250000)
TractorV1.SetTaperRatio(0.900000)
TractorV1.SetTaperMinLength(100.000000)
TractorV1.SetTaperMaxLength(400.000000)
TractorV1.SetLengthTextureTilePerUnit(0.250000)
TractorV1.SetPerimeterTile(1.000000)
TractorV1.SetTextureSpeed(0.500000)
TractorV1.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(TractorV1)
#################################################
TractorV2 = App.TractorBeamProperty_Create("Holding Beam V2")

TractorV2.SetMaxCondition(15000.000000)
TractorV2.SetCritical(0)
TractorV2.SetTargetable(1)
TractorV2.SetPrimary(1)
TractorV2.SetPosition(0.518493, -6.488103, -17.177954)
TractorV2.SetPosition2D(0.000000, 0.000000)
TractorV2.SetRepairComplexity(1.000000)
TractorV2.SetDisabledPercentage(0.500000)
TractorV2.SetRadius(0.250000)
TractorV2.SetDumbfire(0)
TractorV2.SetWeaponID(0)
TractorV2.SetGroups(0)
TractorV2.SetDamageRadiusFactor(0.300000)
TractorV2.SetIconNum(0)
TractorV2.SetIconPositionX(500.000000)
TractorV2.SetIconPositionY(500.000000)
TractorV2.SetIconAboveShip(1)
TractorV2.SetFireSound("Tractor Beam")
TractorV2.SetMaxCharge(20000.000000)
TractorV2.SetMaxDamage(3000000.000000)
TractorV2.SetMaxDamageDistance(855.000000)
TractorV2.SetMinFiringCharge(3.000000)
TractorV2.SetNormalDischargeRate(10.000000)
TractorV2.SetRechargeRate(1000.000000)
TractorV2.SetIndicatorIconNum(0)
TractorV2.SetIndicatorIconPositionX(500.000000)
TractorV2.SetIndicatorIconPositionY(500.000000)
TractorV2Forward = App.TGPoint3()
TractorV2Forward.SetXYZ(0.000000, 0.000000, -1.000000)
TractorV2Up = App.TGPoint3()
TractorV2Up.SetXYZ(0.000000, 1.000000, 0.000000)
TractorV2.SetOrientation(TractorV2Forward, TractorV2Up)
TractorV2.SetArcWidthAngles(-1.178098, 1.178098)
TractorV2.SetArcHeightAngles(-1.178098, 1.178098)
TractorV2.SetTractorBeamWidth(1.800000)
TractorV2.SetTextureStart(0)
TractorV2.SetTextureEnd(0)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorV2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.800000)
TractorV2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorV2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.900000)
TractorV2.SetInnerCoreColor(kColor)
TractorV2.SetNumSides(12)
TractorV2.SetMainRadius(6.000000)
TractorV2.SetTaperRadius(0.100000)
TractorV2.SetCoreScale(0.250000)
TractorV2.SetTaperRatio(0.900000)
TractorV2.SetTaperMinLength(100.000000)
TractorV2.SetTaperMaxLength(400.000000)
TractorV2.SetLengthTextureTilePerUnit(0.250000)
TractorV2.SetPerimeterTile(1.000000)
TractorV2.SetTextureSpeed(0.500000)
TractorV2.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(TractorV2)
#################################################
TractorV3 = App.TractorBeamProperty_Create("Holding Beam V3")

TractorV3.SetMaxCondition(15000.000000)
TractorV3.SetCritical(0)
TractorV3.SetTargetable(1)
TractorV3.SetPrimary(1)
TractorV3.SetPosition(-0.691272, 10.921169, -17.177954)
TractorV3.SetPosition2D(0.000000, 0.000000)
TractorV3.SetRepairComplexity(1.000000)
TractorV3.SetDisabledPercentage(0.500000)
TractorV3.SetRadius(0.250000)
TractorV3.SetDumbfire(0)
TractorV3.SetWeaponID(0)
TractorV3.SetGroups(0)
TractorV3.SetDamageRadiusFactor(0.300000)
TractorV3.SetIconNum(0)
TractorV3.SetIconPositionX(500.000000)
TractorV3.SetIconPositionY(500.000000)
TractorV3.SetIconAboveShip(1)
TractorV3.SetFireSound("Tractor Beam")
TractorV3.SetMaxCharge(20000.000000)
TractorV3.SetMaxDamage(3000000.000000)
TractorV3.SetMaxDamageDistance(855.000000)
TractorV3.SetMinFiringCharge(3.000000)
TractorV3.SetNormalDischargeRate(10.000000)
TractorV3.SetRechargeRate(1000.000000)
TractorV3.SetIndicatorIconNum(0)
TractorV3.SetIndicatorIconPositionX(500.000000)
TractorV3.SetIndicatorIconPositionY(500.000000)
TractorV3Forward = App.TGPoint3()
TractorV3Forward.SetXYZ(0.000000, 0.000000, -1.000000)
TractorV3Up = App.TGPoint3()
TractorV3Up.SetXYZ(0.000000, 1.000000, 0.000000)
TractorV3.SetOrientation(TractorV3Forward, TractorV3Up)
TractorV3.SetArcWidthAngles(-1.178098, 1.178098)
TractorV3.SetArcHeightAngles(-1.178098, 1.178098)
TractorV3.SetTractorBeamWidth(1.800000)
TractorV3.SetTextureStart(0)
TractorV3.SetTextureEnd(0)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorV3.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.800000)
TractorV3.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorV3.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.900000)
TractorV3.SetInnerCoreColor(kColor)
TractorV3.SetNumSides(12)
TractorV3.SetMainRadius(6.000000)
TractorV3.SetTaperRadius(0.100000)
TractorV3.SetCoreScale(0.250000)
TractorV3.SetTaperRatio(0.900000)
TractorV3.SetTaperMinLength(100.000000)
TractorV3.SetTaperMaxLength(400.000000)
TractorV3.SetLengthTextureTilePerUnit(0.250000)
TractorV3.SetPerimeterTile(1.000000)
TractorV3.SetTextureSpeed(0.500000)
TractorV3.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(TractorV3)
#################################################
TractorP1 = App.TractorBeamProperty_Create("Holding Beam P1")

TractorP1.SetMaxCondition(15000.000000)
TractorP1.SetCritical(0)
TractorP1.SetTargetable(1)
TractorP1.SetPrimary(1)
TractorP1.SetPosition(-17.177954, 14.300524, 7.947646)
TractorP1.SetPosition2D(0.000000, 0.000000)
TractorP1.SetRepairComplexity(1.000000)
TractorP1.SetDisabledPercentage(0.500000)
TractorP1.SetRadius(0.250000)
TractorP1.SetDumbfire(0)
TractorP1.SetWeaponID(0)
TractorP1.SetGroups(0)
TractorP1.SetDamageRadiusFactor(0.300000)
TractorP1.SetIconNum(0)
TractorP1.SetIconPositionX(500.000000)
TractorP1.SetIconPositionY(500.000000)
TractorP1.SetIconAboveShip(1)
TractorP1.SetFireSound("Tractor Beam")
TractorP1.SetMaxCharge(20000.000000)
TractorP1.SetMaxDamage(3000000.000000)
TractorP1.SetMaxDamageDistance(855.000000)
TractorP1.SetMinFiringCharge(3.000000)
TractorP1.SetNormalDischargeRate(10.000000)
TractorP1.SetRechargeRate(1000.000000)
TractorP1.SetIndicatorIconNum(0)
TractorP1.SetIndicatorIconPositionX(500.000000)
TractorP1.SetIndicatorIconPositionY(500.000000)
TractorP1Forward = App.TGPoint3()
TractorP1Forward.SetXYZ(-1.000000, 0.000000, 0.000000)
TractorP1Up = App.TGPoint3()
TractorP1Up.SetXYZ(0.000000, 0.000000, 1.000000)
TractorP1.SetOrientation(TractorP1Forward, TractorP1Up)
TractorP1.SetArcWidthAngles(-1.178098, 1.178098)
TractorP1.SetArcHeightAngles(-1.178098, 1.178098)
TractorP1.SetTractorBeamWidth(1.800000)
TractorP1.SetTextureStart(0)
TractorP1.SetTextureEnd(0)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorP1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.800000)
TractorP1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorP1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.900000)
TractorP1.SetInnerCoreColor(kColor)
TractorP1.SetNumSides(12)
TractorP1.SetMainRadius(6.000000)
TractorP1.SetTaperRadius(0.100000)
TractorP1.SetCoreScale(0.250000)
TractorP1.SetTaperRatio(0.900000)
TractorP1.SetTaperMinLength(100.000000)
TractorP1.SetTaperMaxLength(400.000000)
TractorP1.SetLengthTextureTilePerUnit(0.250000)
TractorP1.SetPerimeterTile(1.000000)
TractorP1.SetTextureSpeed(0.500000)
TractorP1.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(TractorP1)
#################################################
TractorP2 = App.TractorBeamProperty_Create("Holding Beam P2")

TractorP2.SetMaxCondition(15000.000000)
TractorP2.SetCritical(0)
TractorP2.SetTargetable(1)
TractorP2.SetPrimary(1)
TractorP2.SetPosition(-17.177954, 2.545286, 0.137119)
TractorP2.SetPosition2D(0.000000, 0.000000)
TractorP2.SetRepairComplexity(1.000000)
TractorP2.SetDisabledPercentage(0.500000)
TractorP2.SetRadius(0.250000)
TractorP2.SetDumbfire(0)
TractorP2.SetWeaponID(0)
TractorP2.SetGroups(0)
TractorP2.SetDamageRadiusFactor(0.300000)
TractorP2.SetIconNum(0)
TractorP2.SetIconPositionX(500.000000)
TractorP2.SetIconPositionY(500.000000)
TractorP2.SetIconAboveShip(1)
TractorP2.SetFireSound("Tractor Beam")
TractorP2.SetMaxCharge(20000.000000)
TractorP2.SetMaxDamage(3000000.000000)
TractorP2.SetMaxDamageDistance(855.000000)
TractorP2.SetMinFiringCharge(3.000000)
TractorP2.SetNormalDischargeRate(10.000000)
TractorP2.SetRechargeRate(1000.000000)
TractorP2.SetIndicatorIconNum(0)
TractorP2.SetIndicatorIconPositionX(500.000000)
TractorP2.SetIndicatorIconPositionY(500.000000)
TractorP2Forward = App.TGPoint3()
TractorP2Forward.SetXYZ(-1.000000, 0.000000, 0.000000)
TractorP2Up = App.TGPoint3()
TractorP2Up.SetXYZ(0.000000, 0.000000, 1.000000)
TractorP2.SetOrientation(TractorP2Forward, TractorP2Up)
TractorP2.SetArcWidthAngles(-1.178098, 1.178098)
TractorP2.SetArcHeightAngles(-1.178098, 1.178098)
TractorP2.SetTractorBeamWidth(1.800000)
TractorP2.SetTextureStart(0)
TractorP2.SetTextureEnd(0)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorP2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.800000)
TractorP2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorP2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.900000)
TractorP2.SetInnerCoreColor(kColor)
TractorP2.SetNumSides(12)
TractorP2.SetMainRadius(6.000000)
TractorP2.SetTaperRadius(0.100000)
TractorP2.SetCoreScale(0.250000)
TractorP2.SetTaperRatio(0.900000)
TractorP2.SetTaperMinLength(100.000000)
TractorP2.SetTaperMaxLength(400.000000)
TractorP2.SetLengthTextureTilePerUnit(0.250000)
TractorP2.SetPerimeterTile(1.000000)
TractorP2.SetTextureSpeed(0.500000)
TractorP2.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(TractorP2)
#################################################
TractorP3 = App.TractorBeamProperty_Create("Holding Beam P3")

TractorP3.SetMaxCondition(15000.000000)
TractorP3.SetCritical(0)
TractorP3.SetTargetable(1)
TractorP3.SetPrimary(1)
TractorP3.SetPosition(-17.177954, -13.036323, 3.095652)
TractorP3.SetPosition2D(0.000000, 0.000000)
TractorP3.SetRepairComplexity(1.000000)
TractorP3.SetDisabledPercentage(0.500000)
TractorP3.SetRadius(0.250000)
TractorP3.SetDumbfire(0)
TractorP3.SetWeaponID(0)
TractorP3.SetGroups(0)
TractorP3.SetDamageRadiusFactor(0.300000)
TractorP3.SetIconNum(0)
TractorP3.SetIconPositionX(500.000000)
TractorP3.SetIconPositionY(500.000000)
TractorP3.SetIconAboveShip(1)
TractorP3.SetFireSound("Tractor Beam")
TractorP3.SetMaxCharge(20000.000000)
TractorP3.SetMaxDamage(3000000.000000)
TractorP3.SetMaxDamageDistance(855.000000)
TractorP3.SetMinFiringCharge(3.000000)
TractorP3.SetNormalDischargeRate(10.000000)
TractorP3.SetRechargeRate(1000.000000)
TractorP3.SetIndicatorIconNum(0)
TractorP3.SetIndicatorIconPositionX(500.000000)
TractorP3.SetIndicatorIconPositionY(500.000000)
TractorP3Forward = App.TGPoint3()
TractorP3Forward.SetXYZ(-1.000000, 0.000000, 0.000000)
TractorP3Up = App.TGPoint3()
TractorP3Up.SetXYZ(0.000000, 0.000000, 1.000000)
TractorP3.SetOrientation(TractorP3Forward, TractorP3Up)
TractorP3.SetArcWidthAngles(-1.178098, 1.178098)
TractorP3.SetArcHeightAngles(-1.178098, 1.178098)
TractorP3.SetTractorBeamWidth(1.800000)
TractorP3.SetTextureStart(0)
TractorP3.SetTextureEnd(0)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorP3.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.800000)
TractorP3.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorP3.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.900000)
TractorP3.SetInnerCoreColor(kColor)
TractorP3.SetNumSides(12)
TractorP3.SetMainRadius(6.000000)
TractorP3.SetTaperRadius(0.100000)
TractorP3.SetCoreScale(0.250000)
TractorP3.SetTaperRatio(0.900000)
TractorP3.SetTaperMinLength(100.000000)
TractorP3.SetTaperMaxLength(400.000000)
TractorP3.SetLengthTextureTilePerUnit(0.250000)
TractorP3.SetPerimeterTile(1.000000)
TractorP3.SetTextureSpeed(0.500000)
TractorP3.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(TractorP3)
#################################################
TractorS1 = App.TractorBeamProperty_Create("Holding Beam S1")

TractorS1.SetMaxCondition(15000.000000)
TractorS1.SetCritical(0)
TractorS1.SetTargetable(1)
TractorS1.SetPrimary(1)
TractorS1.SetPosition(17.177954, 14.300524, 7.947646)
TractorS1.SetPosition2D(0.000000, 0.000000)
TractorS1.SetRepairComplexity(1.000000)
TractorS1.SetDisabledPercentage(0.500000)
TractorS1.SetRadius(0.250000)
TractorS1.SetDumbfire(0)
TractorS1.SetWeaponID(0)
TractorS1.SetGroups(0)
TractorS1.SetDamageRadiusFactor(0.300000)
TractorS1.SetIconNum(0)
TractorS1.SetIconPositionX(500.000000)
TractorS1.SetIconPositionY(500.000000)
TractorS1.SetIconAboveShip(1)
TractorS1.SetFireSound("Tractor Beam")
TractorS1.SetMaxCharge(20000.000000)
TractorS1.SetMaxDamage(3000000.000000)
TractorS1.SetMaxDamageDistance(855.000000)
TractorS1.SetMinFiringCharge(3.000000)
TractorS1.SetNormalDischargeRate(10.000000)
TractorS1.SetRechargeRate(1000.000000)
TractorS1.SetIndicatorIconNum(0)
TractorS1.SetIndicatorIconPositionX(500.000000)
TractorS1.SetIndicatorIconPositionY(500.000000)
TractorS1Forward = App.TGPoint3()
TractorS1Forward.SetXYZ(1.000000, 0.000000, 0.000000)
TractorS1Up = App.TGPoint3()
TractorS1Up.SetXYZ(0.000000, 0.000000, 1.000000)
TractorS1.SetOrientation(TractorS1Forward, TractorS1Up)
TractorS1.SetArcWidthAngles(-1.178098, 1.178098)
TractorS1.SetArcHeightAngles(-1.178098, 1.178098)
TractorS1.SetTractorBeamWidth(1.800000)
TractorS1.SetTextureStart(0)
TractorS1.SetTextureEnd(0)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorS1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.800000)
TractorS1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorS1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.900000)
TractorS1.SetInnerCoreColor(kColor)
TractorS1.SetNumSides(12)
TractorS1.SetMainRadius(6.000000)
TractorS1.SetTaperRadius(0.100000)
TractorS1.SetCoreScale(0.250000)
TractorS1.SetTaperRatio(0.900000)
TractorS1.SetTaperMinLength(100.000000)
TractorS1.SetTaperMaxLength(400.000000)
TractorS1.SetLengthTextureTilePerUnit(0.250000)
TractorS1.SetPerimeterTile(1.000000)
TractorS1.SetTextureSpeed(0.500000)
TractorS1.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(TractorS1)
#################################################
TractorS2 = App.TractorBeamProperty_Create("Holding Beam S2")

TractorS2.SetMaxCondition(15000.000000)
TractorS2.SetCritical(0)
TractorS2.SetTargetable(1)
TractorS2.SetPrimary(1)
TractorS2.SetPosition(17.177954, 2.545286, 0.137119)
TractorS2.SetPosition2D(0.000000, 0.000000)
TractorS2.SetRepairComplexity(1.000000)
TractorS2.SetDisabledPercentage(0.500000)
TractorS2.SetRadius(0.250000)
TractorS2.SetDumbfire(0)
TractorS2.SetWeaponID(0)
TractorS2.SetGroups(0)
TractorS2.SetDamageRadiusFactor(0.300000)
TractorS2.SetIconNum(0)
TractorS2.SetIconPositionX(500.000000)
TractorS2.SetIconPositionY(500.000000)
TractorS2.SetIconAboveShip(1)
TractorS2.SetFireSound("Tractor Beam")
TractorS2.SetMaxCharge(20000.000000)
TractorS2.SetMaxDamage(3000000.000000)
TractorS2.SetMaxDamageDistance(855.000000)
TractorS2.SetMinFiringCharge(3.000000)
TractorS2.SetNormalDischargeRate(10.000000)
TractorS2.SetRechargeRate(1000.000000)
TractorS2.SetIndicatorIconNum(0)
TractorS2.SetIndicatorIconPositionX(500.000000)
TractorS2.SetIndicatorIconPositionY(500.000000)
TractorS2Forward = App.TGPoint3()
TractorS2Forward.SetXYZ(1.000000, 0.000000, 0.000000)
TractorS2Up = App.TGPoint3()
TractorS2Up.SetXYZ(0.000000, 0.000000, 1.000000)
TractorS2.SetOrientation(TractorS2Forward, TractorS2Up)
TractorS2.SetArcWidthAngles(-1.178098, 1.178098)
TractorS2.SetArcHeightAngles(-1.178098, 1.178098)
TractorS2.SetTractorBeamWidth(1.800000)
TractorS2.SetTextureStart(0)
TractorS2.SetTextureEnd(0)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorS2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.800000)
TractorS2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorS2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.900000)
TractorS2.SetInnerCoreColor(kColor)
TractorS2.SetNumSides(12)
TractorS2.SetMainRadius(6.000000)
TractorS2.SetTaperRadius(0.100000)
TractorS2.SetCoreScale(0.250000)
TractorS2.SetTaperRatio(0.900000)
TractorS2.SetTaperMinLength(100.000000)
TractorS2.SetTaperMaxLength(400.000000)
TractorS2.SetLengthTextureTilePerUnit(0.250000)
TractorS2.SetPerimeterTile(1.000000)
TractorS2.SetTextureSpeed(0.500000)
TractorS2.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(TractorS2)
#################################################
TractorS3 = App.TractorBeamProperty_Create("Holding Beam S3")

TractorS3.SetMaxCondition(15000.000000)
TractorS3.SetCritical(0)
TractorS3.SetTargetable(1)
TractorS3.SetPrimary(1)
TractorS3.SetPosition(17.177954, -13.036323, 3.095652)
TractorS3.SetPosition2D(0.000000, 0.000000)
TractorS3.SetRepairComplexity(1.000000)
TractorS3.SetDisabledPercentage(0.500000)
TractorS3.SetRadius(0.250000)
TractorS3.SetDumbfire(0)
TractorS3.SetWeaponID(0)
TractorS3.SetGroups(0)
TractorS3.SetDamageRadiusFactor(0.300000)
TractorS3.SetIconNum(0)
TractorS3.SetIconPositionX(500.000000)
TractorS3.SetIconPositionY(500.000000)
TractorS3.SetIconAboveShip(1)
TractorS3.SetFireSound("Tractor Beam")
TractorS3.SetMaxCharge(20000.000000)
TractorS3.SetMaxDamage(3000000.000000)
TractorS3.SetMaxDamageDistance(855.000000)
TractorS3.SetMinFiringCharge(3.000000)
TractorS3.SetNormalDischargeRate(10.000000)
TractorS3.SetRechargeRate(1000.000000)
TractorS3.SetIndicatorIconNum(0)
TractorS3.SetIndicatorIconPositionX(500.000000)
TractorS3.SetIndicatorIconPositionY(500.000000)
TractorS3Forward = App.TGPoint3()
TractorS3Forward.SetXYZ(1.000000, 0.000000, 0.000000)
TractorS3Up = App.TGPoint3()
TractorS3Up.SetXYZ(0.000000, 0.000000, 1.000000)
TractorS3.SetOrientation(TractorS3Forward, TractorS3Up)
TractorS3.SetArcWidthAngles(-1.178098, 1.178098)
TractorS3.SetArcHeightAngles(-1.178098, 1.178098)
TractorS3.SetTractorBeamWidth(1.800000)
TractorS3.SetTextureStart(0)
TractorS3.SetTextureEnd(0)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorS3.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.800000)
TractorS3.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
TractorS3.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.900000)
TractorS3.SetInnerCoreColor(kColor)
TractorS3.SetNumSides(12)
TractorS3.SetMainRadius(6.000000)
TractorS3.SetTaperRadius(0.100000)
TractorS3.SetCoreScale(0.250000)
TractorS3.SetTaperRatio(0.900000)
TractorS3.SetTaperMinLength(100.000000)
TractorS3.SetTaperMaxLength(400.000000)
TractorS3.SetLengthTextureTilePerUnit(0.250000)
TractorS3.SetPerimeterTile(1.000000)
TractorS3.SetTextureSpeed(0.500000)
TractorS3.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(TractorS3)
#################################################
ViewscreenForward = App.PositionOrientationProperty_Create("ViewscreenForward")

ViewscreenForwardForward = App.TGPoint3()
ViewscreenForwardForward.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenForwardUp = App.TGPoint3()
ViewscreenForwardUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenForwardRight = App.TGPoint3()
ViewscreenForwardRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenForward.SetOrientation(ViewscreenForwardForward, ViewscreenForwardUp, ViewscreenForwardRight)
ViewscreenForwardPosition = App.TGPoint3()
ViewscreenForwardPosition.SetXYZ(0.000000, 22.000000, 0.000000)
ViewscreenForward.SetPosition(ViewscreenForwardPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenForward)
#################################################
ViewscreenBack = App.PositionOrientationProperty_Create("ViewscreenBack")

ViewscreenBackForward = App.TGPoint3()
ViewscreenBackForward.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenBackUp = App.TGPoint3()
ViewscreenBackUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenBackRight = App.TGPoint3()
ViewscreenBackRight.SetXYZ(-1.000000, 0.000000, 0.000000)
ViewscreenBack.SetOrientation(ViewscreenBackForward, ViewscreenBackUp, ViewscreenBackRight)
ViewscreenBackPosition = App.TGPoint3()
ViewscreenBackPosition.SetXYZ(0.000000, -22.200001, 0.000000)
ViewscreenBack.SetPosition(ViewscreenBackPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenBack)
#################################################
ViewscreenLeft = App.PositionOrientationProperty_Create("ViewscreenLeft")

ViewscreenLeftForward = App.TGPoint3()
ViewscreenLeftForward.SetXYZ(-1.000000, 0.000000, 0.000000)
ViewscreenLeftUp = App.TGPoint3()
ViewscreenLeftUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenLeftRight = App.TGPoint3()
ViewscreenLeftRight.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenLeft.SetOrientation(ViewscreenLeftForward, ViewscreenLeftUp, ViewscreenLeftRight)
ViewscreenLeftPosition = App.TGPoint3()
ViewscreenLeftPosition.SetXYZ(-22.274599, 0.000000, 0.000000)
ViewscreenLeft.SetPosition(ViewscreenLeftPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenLeft)
#################################################
ViewscreenRight = App.PositionOrientationProperty_Create("ViewscreenRight")

ViewscreenRightForward = App.TGPoint3()
ViewscreenRightForward.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenRightUp = App.TGPoint3()
ViewscreenRightUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenRightRight = App.TGPoint3()
ViewscreenRightRight.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenRight.SetOrientation(ViewscreenRightForward, ViewscreenRightUp, ViewscreenRightRight)
ViewscreenRightPosition = App.TGPoint3()
ViewscreenRightPosition.SetXYZ(22.990000, 0.000000, 0.000000)
ViewscreenRight.SetPosition(ViewscreenRightPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenRight)
#################################################
ViewscreenUp = App.PositionOrientationProperty_Create("ViewscreenUp")

ViewscreenUpForward = App.TGPoint3()
ViewscreenUpForward.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenUpUp = App.TGPoint3()
ViewscreenUpUp.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenUpRight = App.TGPoint3()
ViewscreenUpRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenUp.SetOrientation(ViewscreenUpForward, ViewscreenUpUp, ViewscreenUpRight)
ViewscreenUpPosition = App.TGPoint3()
ViewscreenUpPosition.SetXYZ(0.000000, 0.000000, 18.320000)
ViewscreenUp.SetPosition(ViewscreenUpPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenUp)
#################################################
ViewscreenDown = App.PositionOrientationProperty_Create("ViewscreenDown")

ViewscreenDownForward = App.TGPoint3()
ViewscreenDownForward.SetXYZ(0.000000, 0.000000, -1.000000)
ViewscreenDownUp = App.TGPoint3()
ViewscreenDownUp.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenDownRight = App.TGPoint3()
ViewscreenDownRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenDown.SetOrientation(ViewscreenDownForward, ViewscreenDownUp, ViewscreenDownRight)
ViewscreenDownPosition = App.TGPoint3()
ViewscreenDownPosition.SetXYZ(0.000000, 0.000000, -18.889999)
ViewscreenDown.SetPosition(ViewscreenDownPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenDown)
#################################################
FirstPersonCamera = App.PositionOrientationProperty_Create("FirstPersonCamera")

FirstPersonCameraForward = App.TGPoint3()
FirstPersonCameraForward.SetXYZ(0.000000, 1.000000, 0.000000)
FirstPersonCameraUp = App.TGPoint3()
FirstPersonCameraUp.SetXYZ(0.000000, 0.000000, 1.000000)
FirstPersonCameraRight = App.TGPoint3()
FirstPersonCameraRight.SetXYZ(1.000000, 0.000000, 0.000000)
FirstPersonCamera.SetOrientation(FirstPersonCameraForward, FirstPersonCameraUp, FirstPersonCameraRight)
FirstPersonCameraPosition = App.TGPoint3()
FirstPersonCameraPosition.SetXYZ(0.000000, 24.000000, 0.000000)
FirstPersonCamera.SetPosition(FirstPersonCameraPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(FirstPersonCamera)

# Property load function.
def LoadPropertySet(pObj):
	"Sets up the object's properties."
	prop = App.g_kModelPropertyManager.FindByName("BorgTacticalCube", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Hull", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cortical Node 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cortical Node 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shield Generator", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Primary Sensor", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Secondary Sensor", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Impulse Engines", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Impulse", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Impulse", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Center Impulse", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Transwarp Engines", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Transwarp1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Transwarp2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Transwarp1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Transwarp2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Raw Material Storage", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Beam Arrays", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam F1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam F2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam F3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam F4", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam A1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam A2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam A3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam A4", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam D1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam D2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam D3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam D4", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam V1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam V2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam V3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam V4", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam P1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam P2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam P3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam P4", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam S1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam S2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam S3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam S4", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Plasma Projector F1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Plasma Projector F2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Plasma Projector F3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Plasma Projector A1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Plasma Projector A2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Plasma Projector A3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Plasma Projector D1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Plasma Projector D2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Plasma Projector D3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Plasma Projector V1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Plasma Projector V2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Plasma Projector V3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Plasma Projector P1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Plasma Projector P2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Plasma Projector P3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Plasma Projector S1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Plasma Projector S2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Plasma Projector S3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cutting Beam F1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cutting Beam F2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cutting Beam A1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cutting Beam A2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cutting Beam D1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cutting Beam D2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cutting Beam V1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cutting Beam V2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cutting Beam P1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cutting Beam P2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cutting Beam S1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cutting Beam S2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Plasma Cannons", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon FP1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon FP2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon FP3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon FP4", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon FP5", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon FP6", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon FS1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon FS2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon FS3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon FS4", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon FS5", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon FS6", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon AP1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon AP2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon AP3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon AP4", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon AP5", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon AP6", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon AS1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon AS2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon AS3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon AS4", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon AS5", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon AS6", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Torpedo Bays", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay F1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay F2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay F3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay F4", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay A1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay A2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay A3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay A4", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay D1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay D2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay D3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay D4", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay V1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay V2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay V3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay V4", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay P1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay P2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay P3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay P4", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay S1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay S2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay S3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay S4", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Holding Beams", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Holding Beam F1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Holding Beam F2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Holding Beam F3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Holding Beam A1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Holding Beam A2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Holding Beam A3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Holding Beam D1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Holding Beam D2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Holding Beam D3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Holding Beam V1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Holding Beam V2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Holding Beam V3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Holding Beam P1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Holding Beam P2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Holding Beam P3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Holding Beam S1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Holding Beam S2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Holding Beam S3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenForward", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenBack", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenLeft", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenRight", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenUp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenDown", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("FirstPersonCamera", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
